2003-05-19  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-backend-ldap.c (func_beginswith): use the more
	convoluted (but more correct) query if evolutionPerson is
	supported.  Fixes #42825.

2003-05-19  Chris Toshok  <toshok@ximian.com>

	* backend/ebook/e-destination.c (use_default_book_cb): handle the
	case where @book == NULL, which can happen if there was a problem
	opening the default book.  Should fix #43005.
	
2003-05-19  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook-component.c
	(ensure_completion_uris_exist): fix the initial run case.  the
	config upgrade code creates all elements so we can't just check
	for NULL - we have to check if the string is empty.  Fixes #43213.

2003-05-19  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/e-minicard-label.c (set_colors): if we've got focus,
	set the background of the rect to bg[NORMAL], and the fill color
	of the text and label to text[NORMAL].  This will make the
	background a different color than the canvas, but won't make it
	use the selected background.  fixes #42472

2003-05-19  Chris Toshok  <toshok@ximian.com>

	* gui/merging/e-card-merging.c (e_card_merging_book_commit_card):
	add a g_object_ref(card), to match the one in
	e_card_merging_book_add_card.  Fixes #43175.

2003-05-19  Anna Marie Dirks  <anna@ximian.com>

	* gui/contact-editor/e-contact-quick-add.c: Added HIG-appropriate
	HIG-appropriate spacing, padding, accelerators. Fixes bug #41210

	* gui/component/ldap-config.glade: HIG-ified the various dialogs
	(including the settings pages, the config druid, and the edit dialog) 
	in this glade file. This fixes bugs #41140, #41137, #41130

	* gui/merging/e-card-merging-book-commit-duplicate-detected.glade: 
	Changed button order, and added HIG-appropriate spacing/padding. 
	Fixes bug #41232.

	* gui/merging/e-card-duplicate-detected.glade: Changed button 
	order, and added HIG-appropriate spacing/padding. Fixes bug
	#41229 and #41231.

2003-05-19  Sean Gao  <sean.gao@sun.com>

	* gui/component/addressbook-component.c (xfer_folder): remove the
	summary if @remove_source is TRUE.  Fixes 38084.

2003-05-16  Anna Marie Dirks  <anna@ximian.com>

	* gui/contact-list-editor/contact-list-editor.glade:  Added 
	HIG-appropriate spacing, padding, capitalization and accelerators. 
	Fixes bug #41254

2003-05-16  Anna Marie Dirks  <anna@ximian.com>

	* gui/contact-editor/fulladdr.glade: Added HIG-appropriate
	spacing, padding, capitalization and accelerators. Fixes bug #41251	
2003-05-14  Anna Marie Dirks  <anna@ximian.com>

	* gui/contact-editor/fullname.glade:  Added HIG-appropriate
	spacing, padding, caps, title and accelerators. Fixes bug #41249, 
	and also bug #41250..

2003-05-16  Anna Marie Dirks  <anna@ximian.com>

	* gui/contact-editor/contact-editor.glade: Added HIG-appropriate
	spacing, padding, capitalization and accelerators. Fixes bug #41248.


2003-05-16  Rodney Dawes  <dobey@ximian.com>

	* addressbook/backend/ebook/Makefile.am: Move the tools to a
 	more appropriate directory, privlibexecdir
	
2003-05-15  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook.c (book_open_cb): backing out a tiny
	porting of jpr's fix - we need to set the book on the
	EAddressbookView, or else it won't do queries, and it won't show
	any cards.  Fixes #43023, #43090.

2003-05-15  Chris Toshok  <toshok@ximian.com>

	* gui/merging/e-card-merging.c (free_lookup): new function, split
	out the duplicated teardown code from final_cb and final_id_cb.
	also, unref the card.
	(final_id_cb): call free_lookup.
	(final_cb): same.
	(e_card_merging_book_add_card): ref the card.  fixes bug #43016.

2003-05-14  Chris Toshok  <toshok@ximian.com>

	* gui/contact-editor/e-contact-editor.c (full_addr_clicked):
	replace the text_buffer_delete/text_buffer_insert with
	set_buffer_set_text.  call widget_changed if they clicked OK, so
	we actually mark the dialog changed.
	(fill_in_field): make this handle GtkTextViews, because for some
	reason that escapes rational thought GtkTextView's don't implement
	GtkEditable.  fixes #42606.
	(extract_field): same.

2003-05-14  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/e-minicard-label.c (e_minicard_label_reflow): set
	the clip_height on reflow so the name of the field is as high as
	the field's value.  makes it possible to click anywhere to the
	left of a tall field (like an address) and have it select the
	field.  Fixes #42625.

2003-05-14  Chris Toshok  <toshok@ximian.com>

	* gui/contact-editor/e-contact-editor.c (address_mailing_changed):
	handle the case where we haven't filled in the address yet. fixes
	#42620.

2003-05-14  JP Rosevear  <jpr@ximian.com>

	* gui/component/addressbook.c (addressbook_view_unref): clear the
	view
	(book_open_cb): track the book in the view, don't unref the book
	(set_prop): set the book
	(retrieve_shell_view_interface_from_control): get the shell view
	every time
	(set_folder_bar_label): release and unref the shell view

	* gui/component/addressbook-storage.h: add proto

	* gui/component/addressbook-storage.c
	(addressbook_storage_cleanup): unref the storage

	* gui/component/addressbook-component.c (owner_unset_cb): clean up
	storage

	* backend/ebook/e-book.c (e_book_load_uri): track the listener
	signal
	(e_book_dispose): unref the listener and disconnect the signal

2003-05-13  Chris Toshok  <toshok@ximian.com>

	* gui/component/select-names/e-select-names-text-model.c
	(e_select_names_text_model_set_separator): strlen ->
	g_utf8_strlen.
	(e_select_names_text_model_insert): same.
	(e_select_names_text_model_insert_length): big change, make this
	work with multibyte utf8.
	(e_select_names_text_model_delete): same.  this could possibly use
	a tighter loop + a memmove, but this works.

	* gui/component/select-names/e-select-names-model.c
	(e_select_names_model_get_textification): make sure our truncation
	to MAX_LENGTH characters uses utf8 characters, not bytes.
	(e_select_names_model_name_pos): track e-text-model change.
	pos/length are now in utf8 character terms, so use g_utf8_strlen
	instead of strlen.
	(e_select_names_model_text_pos): same.

2003-05-13  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/e-addressbook-table-adapter.c (addressbook_dispose):
	rename addressbook_destroy to this, and guard against multiple
	calls.
	(e_addressbook_table_adapter_class_init): GtkObject -> GObject,
	and destroy -> dispose.
	(e_addressbook_table_adapter_init): GtkObject -> GObject.

2003-05-12  Sean Gao  <sean.gao@sun.com>

	* gui/contact-list-editor/e-contact-list-editor.c
	(e_contact_list_editor_init): terminate g_build_filename with
	NULL.

2003-05-11  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #42048 ]
	* gui/widgets/e-addressbook-view.c (e_contact_print_button):
	button => response.
	(e_addressbook_view_print): connect to "response", not "clicked".

2003-05-11  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #41245 ]
	* gui/component/select-names/select-names.glade: fix
	spacing/border widths as per HIG.

	* gui/component/select-names/e-select-names.c
	(e_select_names_init): set the border width/spacing on widgets we
	create here.
	
2003-05-09  Jeremy Katz  <katzj@redhat.com>

	* printing/e-contact-print.c (e_contact_print_response): Use glib
	macro to case from pointer to int.

	* printing/e-contact-print-envelope.c: Add missing #include.

	* gui/component/select-names/e-select-names-completion.c 
	(e_select_names_completion_start_query): Use
	E_SELECT_NAMES_COMPLETION to avoid warning

2003-05-06  Chris Toshok  <toshok@ximian.com>

	[ really commit this, fixes bug #41910 ] 
	* gui/contact-list-editor/e-contact-list-model.c
	(e_contact_list_model_remove_row): change from model_changed to
	row_deleted here.  model_changed causes the table to free its
	ETableSelection, which is what we iterate over when deleting
	contacts.
	(e_contact_list_model_add_destination): no need to be calling
	model_changed here either.

2003-04-29  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #41255 ]
	* gui/contact-list-editor/contact-list-editor.glade: use stock
	buttons for Add/Remove.

2003-04-29  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #41144 ]
	* gui/component/ldap-config.glade: use stock buttons for the
	Add/Delete buttons.  Switch from "Delete" to "Remove", though, as
	"Remove" fits much better with the one for "Add".  Also, add our
	stock-edit-24.png icon for "Edit".
	
2003-04-29  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #41211 ]
	* gui/component/e-address-popup.c (e_address_popup_no_matches):
	call e_button_new_with_stock_icon to create our button and give it
	the right icon.

2003-04-29  Gilbert Fang  <gilbert.fang@sun.com>

	* tools/evolution-addressbook-export-list-cards.c
	(set_pre_defined_field): remove duplicate HOME_COUNTRY field add.

2003-04-28  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #41843]
	* tools/evolution-addressbook-export-list-cards.c
	(e_card_simple_csv_get_name): use e_card_simple_get_ecard_field
	instead of e_card_simple_get_name, so the return value won't be
	localized.

2003-04-28  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #41779 ]
	* gui/component/e-address-popup.c (mini_wizard_container_add): we
	don't need to call gtk_widget_destroy on the old child, since
	gtk_container_remove will unref it for us.

2003-04-23  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #37351 ]
	* gui/widgets/e-addressbook-view.c (table_drag_data_get): the row
	the signal is called with is already the model row, not the view
	row, so don't call e_table_view_to_model_row on it.

2003-04-23  Chris Toshok  <toshok@ximian.com>

	[ either mostly or entirely fixes #33708 ]
	* gui/component/select-names/e-select-names-completion.c
	(e_select_names_completion_done): new function, factor it out of
	_seq_complete_cb because we need to run the same code in a couple
	of places.
	(e_select_names_completion_got_book_view_cb): treat an error from
	a book as getting a "sequence_complete", and decrement the count
	of pending complete signals.
	(e_select_names_completion_got_book_view_cb): remove the increment
	of pending_completion_seq from here.
	(e_select_names_completion_seq_complete_cb): factor out the body
	of e_select_names_completion_done from here, and call it.
	(e_select_names_completion_start_query): increment
	pending_completion_seq here.  remove the async variable, as we can
	now use pending_completion_seq for that purpose (it's > 0 iff
	async would have been TRUE).

2003-04-19  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #40954 ]
	* backend/pas/pas-backend-file.c (pas_backend_file_dispose): guard
	against NULL bf->priv->summary (happens if the initial load_uri
	failed).
	(pas_backend_file_load_uri): always set bf->priv->uri, since it's
	used in _get_uri, which is called when the backend goes away.
	This only happened before if you tried to load a folder that
	didn't exist.

2003-04-19  Chris Toshok  <toshok@ximian.com>

	[ fixes #40694 ]
	* gui/component/select-names/e-select-names-bonobo.c
	(control_activate_cb): just grab focus if @activate == TRUE.
	we'll do all merging/unmerging in the focus handler.
	(widget_focus_cb): handle the merging here.
	(e_bonobo_control_automerge_ui): store off the widget (so we can
	grab focus on it) and connect to "activate".

2003-04-18  Rodney Dawes  <dobey@ximian.com>

	* gui/component/select-names/Makefile.am: Add missing -DPREFIX
	
2003-04-18  Rodney Dawes  <dobey@ximian.com>

	[ fixes #21499 ]
	* gui/component/Makefile.am:
	* gui/component/addressbook.c:
	* gui/component/select-names/e-select-names-bonobo.c:
	* gui/contact-editor/Makefile.am:
	* gui/contact-editor/e-contact-editor.c:
	* gui/contact-list-editor/Makefile.am:
	* gui/contact-list-editor/e-contact-list-editor.c:
	Use PREFIX instead of EVOLUTION_DATADIR for bonobo_ui_util_set_ui ()
	
2003-04-15  Chris Toshok  <toshok@ximian.com>

	[ fixes #41252 ]
	* gui/contact-editor/fulladdr.glade: change title from "Check
	Address" to "Full Address".

2003-04-09  Chris Toshok  <toshok@ximian.com>

	[ fixes #40727 ]
	* gui/component/select-names/e-select-names-completion.c
	(e_select_names_completion_start_query): if the query text is
	either shorter than the cached query_text or they don't match,
	don't just set can_reuse_cached_cards to FALSE.  we also need to
	invalidate the cache.

2003-04-08  Ettore Perazzoli  <ettore@ximian.com>

	* backend/ebook/e-destination.c (d): Remove all debugging
	messages.

2003-04-08  Dan Winship  <danw@ximian.com>

	* gui/component/ldap-config.glade: Remove color specifications
	from the druid so it will use theme colors.

	* gui/component/addressbook-config.c
	(addressbook_add_server_druid): Use g_signal_connect_after for
	"prepare" signal (to work around b.g.o 81869)

2003-04-07  Chris Toshok  <toshok@ximian.com>

	[ fixes #7103 ]
	* gui/widgets/e-minicard-label.c (e_minicard_label_class_init):
	init style_set. and add the signal.
	(e_minicard_label_realize): include e_minicard_label_construct's
	code here, and call set_colors after we create the sub-items.
	(e_minicard_label_unrealize): indent, and remove dead code.
	(e_minicard_label_event): indent, and call set_colors instead of
	setting the colors manually.
	(set_colors): new function, set our colors based on the current
	style.
	(e_minicard_label_style_set): new function, just call set_colors.
	(e_minicard_label_new): e_minicard_label_construct doesn't exist
	anymore.

	* gui/widgets/e-minicard-label.h (struct _EMinicardLabelClass):
	add style_set signal.

	* gui/widgets/e-minicard.c (set_selected): little tweaks in the
	coloring.
	(e_minicard_unrealize): reindent, and remove some unused code.

	* gui/widgets/e-minicard-view-widget.h (struct
	_EMinicardViewWidget): add background.

	* gui/widgets/e-minicard-view-widget.c
	(e_minicard_view_widget_class_init): init
	widget_class->style_class.
	(e_minicard_view_widget_style_set): new function, just set the
	background's fill_color_gdk to base[GTK_STATE_NORMAL].
	(e_minicard_view_widget_realize): store off the background canvas
	item so we can set the color later.

2003-04-07  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #40901 ]
	* gui/component/ldap-config.glade: HIG-ify the ldap server edit
	dialog's button layout.

2003-04-07  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #39763 ]
	* gui/component/select-names/e-select-names-bonobo.c (copy_cb):
	verb callback for EditCopy
	(cut_cb): verb callback for EditCut.
	(paste_cb): verb callback for EditPaste.
	(select_all_cb): verb callback for SelectAll.
	(free_closure): new function
	(merge_menu_items): same
	(unmerge_menu_items): same
	(control_set_frame_cb): same
	(control_activate_cb): same
	(widget_focus_cb): same
	(e_bonobo_control_automerge_ui): new function, sets up focus
	signals on the widget passed in to merge/unmerge the passed in
	ui/verbs.
	(impl_SelectNames_get_entry_for_section): call
	e_bonobo_control_automerge_ui for this entry.

2003-04-07  Chris Toshok  <toshok@ximian.com>

	* gui/component/e-address-popup.c (mini_wizard_new): change the
	ok/cancel button layout to be higified.

2003-04-07  Chris Toshok  <toshok@ximian.com>

	[ last portion of #40046 fix ]
	* gui/component/select-names/e-select-names-popup.c
	(remove_recipient_cb): ifdef this out to quiet the compiler.
	(remove_all_recipients_cb): same.
	(toggle_html_mail_cb): same.
	(populate_popup_card): change the #if 0 to #if
	TOO_MANY_MENU_ITEMS.
	(popup_menu_list): nuke, as it's handled by populate_popup_card.
	(populate_popup_nocard): rename popup_menu_nocard to this, and
	implement it as in populate_popup_card.
	(e_select_names_populate_popup): we don't need the card, since we
	don't check if it's a list here anymore.  also, remove the #if 0
	surrounding the nocard case.

2003-04-07  Not Zed  <NotZed@Ximian.com>
 
 	Fixes #40252.
 
 	* conduit/address-conduit.c:  Change the LOG macro to a
 	single arg macro which copies its arg.  Fix all callers.  Change
 	WARN and INFO to simply g_warning/g_message.  Init G_LOG_DOMAIN
 	before including anything.
 
2003-04-07  Chris Toshok  <toshok@ximian.com>

	* Makefile.am (SUBDIRS): add tools.

2003-04-07  Gilbert Fang <gilbert.fang@sun.com>

	[ fixes bug #23036 ]
	* tools/evolution-addressbook-export.c,
	tools/evolution-addressbook-export-list-cards.c,
	tools/evolution-addressbook-export-list-folders.c: : new and
	improved export utility.

2003-04-07  Dan Winship  <danw@ximian.com>

	* gui/component/GNOME_Evolution_Addressbook.server.in.in: Clean up
	server names.

	* gui/component/select-names/GNOME_Evolution_Addressbook_SelectNames.server.in.in: 
	Likewise

	* backend/ebook/GNOME_Evolution_Addressbook_LDIF_Importer.server.in.in:
	Likewise. Also mark the evolution:menu_name for i18n.

	* backend/ebook/GNOME_Evolution_Addressbook_VCard_Importer.server.in.in:
	Likewise

2003-04-03  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/e-minicard-label.c (e_minicard_label_event): set
	"handle_popup" on the field to be TRUE if it's got focus, FALSE if
	not.

2003-04-03  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/e-minicard-label.c (e_minicard_label_construct):
	doh, set the im_context on the field name too so we get the Input
	Method submenu in the contxt menu.

2003-04-03  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/e-minicard-label.c (e_minicard_label_construct): set
	the im_context on the field's EText.
	(e_minicard_label_event): remove a huge swath of #if 0'd code.

2003-04-03  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #40715 ]
	* gui/merging/e-card-merging.c (final_id_cb): add this callback,
	to unref the book/free the closure after calling the user's
	callback.
	(final_cb): same.
	(doit): use final{_id}_cb
	(cancelit): same.
	(response): don't free the lookup struct here.
	(match_query_callback): same.
	(e_card_merging_book_add_card): ref the book.
	(e_card_merging_book_commit_card): same.

	* gui/component/e-address-popup.c (card_picker_init): make sure to
	set the "text" attribute on the cell renderer so the text actually
	shows up.  also, g_object_connect -> g_signal_connect *sigh*.
	Lastly, get rid of the scrolled window and just make the window
	size to show the text.
	
	* gui/widgets/e-minicard.c (e_minicard_style_set): only call
	set_selected if we're realized (we create all the canvas objects
	that set_selected manipulates in our realize method.)

2003-04-03  Chris Toshok  <toshok@ximian.com>

	* gui/component/select-names/Makefile.am (INCLUDES): add
	EVOLUTION_IMAGESDIR

2003-04-02  Chris Toshok  <toshok@ximian.com>

	* gui/component/select-names/e-select-names-popup.c: change all
	this around so that we populate the existing popup.  This means we
	get the select names popup stuff on top of the normal EEntry popup
	foo.

	* gui/component/select-names/e-select-names-popup.h
	(e_select_names_populate_popup): rename e_select_names_popup to
	this.

	* gui/component/select-names/e-select-names-manager.c
	(populate_popup_cb): rename popup_cb here, and
	e_select_names_popup -> e_select_names_populate_popup.
	(e_select_names_manager_entry_new): popup -> populate_popup.

2003-04-02  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/e-addressbook-marshal.list: add NONE:OBJECT

	* gui/widgets/e-minicard.c (e_minicard_class_init): add style_set
	signal.
	(e_minicard_style_set): just call set_selected with the currently
	selected flag, so we recolor properly.

	* gui/widgets/e-minicard.h (struct _EMinicardClass): add style_set
	signal.

2003-04-01  Rodrigo Moya <rodrigo@ximian.com>

	* backend/ebook/evolution-ldif-importer.c (load_file_fn):
	* backend/ebook/evolution-vcard-importer.c (load_file_fn): added
	"folder_type" parameter to EvolutionImporterLoadFileFn.

2003-03-31  Chris Toshok  <toshok@ximian.com>

	* backend/ebook/e-book-util.c (get_local_book_uri): new function,
	just return the local uri.
	(set_default_book_uri_local): use get_local_book_uri.
	(e_book_default_book_open): only try and reload the default book
	if it's not already the local book.

2003-03-31  JP Rosevear  <jpr@ximian.com>

	* conduit/address-conduit.c (card_removed): it emits a list now

2003-03-31  Dan Winship  <danw@ximian.com>

	* gui/component/select-names/e-select-names.c
	(e_select_names_init): Remove folder-selector button
	initialization.
	(e_select_names_new): Initialize folder-selector button here,
	using the passed-in EvolutionShellClient rather than depending on
	a global variable.

	* gui/component/select-names/e-select-names-manager.c
	(e_select_names_manager_activate_dialog): take an
	EvolutionShellClient and pass it to e_select_names_new().

	* gui/component/select-names/e-select-names-bonobo.c
	(impl_SelectNames_activate_dialog): get a pointer to the shell
	from bonobo-activation, create a shell_client, and pass it to
	e_select_names_manager_activate_dialog.

	* backend/ebook/e-book-util.c (e_book_get_default_book_uri):
	constify return value

2003-03-30  Chris Toshok  <toshok@ximian.com>

	* backend/ebook/e-vcard.[ch]: braindead, and *extremely* forgiving
	vcard parser.  not for public consumption yet.

2003-03-30  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #39381 (again) ]
	* gui/component/e-address-popup.c (edit_contact_info_cb): add
	"GtkWidget *button" first arg, so we don't crash.

2003-03-28  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #40403 ]
	* backend/ebook/e-card.c (e_card_get_vobject): revert the fix for
	28945, as was done on the 1.2 branch.  this is because the "fix"
	actually breaks internal use of contact lists.  We need to make
	the exporting of contacts DTRT, instead of fixing it here.

2003-03-28  Chris Toshok  <toshok@ximian.com>

	[ fix the contact editor so that the only time the address is
	parsed is when the user types in the address GtkTextView. ]
	* gui/contact-editor/e-contact-editor.c (address_mailing_changed):
	make this use delivery addresses instead of labels.
	(full_addr_clicked): same.
	(find_address_mailing): same.

	* backend/ebook/e-card-simple.c
	(e_card_simple_set_delivery_address): make this operate similar to
	e_card_simple_set_address: it sets both the delivery address and
	the label for the address.

2003-03-26  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #19178 ]
	* backend/ebook/evolution-ldif-importer.c (ebook_open): use
	e_book_load_address_book_by_uri on the passed in uri.
	(load_file_fn): pass the uri.

	* backend/ebook/evolution-vcard-importer.c (ebook_open): use
	e_book_load_address_book_by_uri on the passed in uri.
	(load_file_fn): pass the uri.

2003-03-26  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #34651 ]
	* gui/component/select-names/e-select-names.c
	(select_entry_changed): strcmp -> g_utf8_collate.
	(update_query): encode the string we pass for the query.

2003-03-26  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #34085 ]
	* gui/contact-list-editor/e-contact-list-editor.c
	(table_drag_data_received_cb): only successfully complete the drag
	if they dropped a valid vcard (or vcard list).  Call
	gtk_drag_finish.

2003-03-26  Chris Toshok  <toshok@ximian.com>

	* gui/contact-list-editor/Makefile.am (INCLUDES): $evolution_uidir
	-> $evolutionuidir

2003-03-26  Philip Zhao  <philip.zhao@sun.com>

	[ fixes bug #39170 ]
	* backend/pas/pas-backend.c (pas_backend_create_card): remove
	'return'.
	(pas_backend_remove_cards): same.
	(pas_backend_modify_card): same.
	(pas_backend_check_connection): same.
	(pas_backend_get_vcard): same.
	(pas_backend_get_cursor): same.
	(pas_backend_get_book_view): same.
	(pas_backend_get_completion_view): same.
	(pas_backend_get_changes): same.
	(pas_backend_authenticate_user): same.
	(pas_backend_get_supported_fields): same.
	(pas_backend_get_supported_auth_methods): same.

2003-03-26  JP Rosevear  <jpr@ximian.com>

	* conduit/address-conduit.c (local_record_from_ecard): append the
	second line to the address if necessary
	(ecard_from_remote_record): split the address line in two if
	necessary

2003-03-23  Chris Toshok  <toshok@ximian.com>

	* gui/contact-list-editor/contact-list-editor.glade: set the
	dialog to "Visible: No" so it doesn't flash when we bring it up.

2003-03-23  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #40026 ]
	* gui/contact-editor/e-contact-editor.c (set_field): add
	EContactEditor arg, and block/unblock signals around the
	gtk_entry_set_text, since that generates a "changed" signal which
	causes problems.
	(set_phone_field): take and pass along an EContactEditor arg.
	(set_fields): pass editor to set_field.

2003-03-23  Chris Toshok  <toshok@ximian.com>

	* gui/contact-editor/arrow.png: nuke.
	
	* gui/contact-editor/Makefile.am (EXTRA_DIST): remove images_DATA
	(images_DATA): nuke, don't need it anymore.
	
	* gui/contact-editor/e-contact-editor.c
	(connect_arrow_button_signal): rename _replace_button to this.  we
	no longer create an image, as it's a GtkArrow in the .glade file
	now.
	(connect_arrow_button_signals): rename _replace_buttons to this.
	no longer pass the arrow.png's to _replace_button.
	(e_contact_editor_init): _replace_buttons ->
	connect_arrow_button_signals.
	(_arrow_pressed): remove some dead code, and some args that aren't
	used.
	(_phone_arrow_pressed): track change to _arrow_pressed.
	(_email_arrow_pressed): same.
	(_address_arrow_pressed): same.

2003-03-23  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #31786 ]
	* gui/component/addressbook-config.c
	(addressbook_source_dialog_set_source): fix some gtk warnings.
	(set_advanced_button_state): the advanced dialog isn't present in
	the glade file anymore, so ifdef everything dealing with it.
	(addressbook_edit_server_dialog): same.

	* gui/component/ldap-config.glade: remove all the unused Advanced
	UI stuff to lessen the amount of strings needing translation.

2003-03-23  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #32113 ]
	* backend/ebook/e-destination.h: add include_email arg to
	e_destination_get_textrep.

	* backend/ebook/e-destination.c (e_destination_get_textrep): add
	include_email arg.  if it's TRUE, and if there's an email address to
	add

	* gui/contact-list-editor/e-contact-list-model.c
	(contact_list_value_at): use e_destination_get_textrep so we don't
	display QP text, and pass TRUE for include_email.

	* gui/widgets/e-minicard.c (add_field): same.
	(remodel): same.

	* gui/widgets/e-addressbook-treeview-adapter.c (adapter_get_value): same.

	* gui/widgets/e-addressbook-table-adapter.c (addressbook_value_at): same.

	* gui/component/select-names/e-select-names-text-model.c
	(e_select_names_text_model_insert_length): pass FALSE for
	include_email.

	* gui/component/select-names/e-select-names-model.c
	(e_select_names_model_get_textification): pass FALSE for
	include_email.
	(e_select_names_model_get_string): same.
	(e_select_names_model_replace): same.
	(e_select_names_model_name_pos): same.
	(e_select_names_model_text_pos): same.

2003-03-19  Ettore Perazzoli  <ettore@ximian.com>

	* backend/ebook/GNOME_Evolution_Addressbook_VCard_Importer.server.in.in:
	Replace "evolution:menu-name" prop with "evolution:menu_name".  [#39692]
	* backend/ebook/GNOME_Evolution_Addressbook_LDIF_Importer.server.in.in: Likewise.

2003-03-18  Chris Toshok  <toshok@ximian.com>

	* gui/component/select-names/e-select-names-table-model.c
	(e_select_names_table_model_col_count): up the column count by one
	for the underline.
	(e_select_names_table_model_value_at): add handling for underline.

2003-03-18  Chris Toshok  <toshok@ximian.com>

	* gui/component/e-address-popup.c (email_menu_add_option): fix use
	of deprecated gtk_menu_append.
	(card_picker_selection_changed): change this to be used with the
	"changed" signal on GtkTreeSelection.
	(free_str): yeah, gross.  i know.
	(card_picker_init): this needed some fixing, so the strings don't
	go away after we insert them into the model.  also, connect to the
	"changed" GtkTreeSelection signal instead of using the nonexistant
	gtk_tree_selection_set_func.
	(e_address_popup_construct): gtk_style_unref -> g_object_unref.
	(popup_size_allocate_cb): nuke.
	(e_address_popup_ambiguous_email_add): use gtk_window_set_position
	and let the window manager place the window instead of doing it
	ourself.

2003-03-18  Chris Toshok  <toshok@ximian.com>

	[ Fixes addressbook bug #39730 ]
	* gui/component/ldap-config.glade: add response ids to the search
	base dialog.

	* gui/component/addressbook-config.c
	(addressbook_source_dialog_destroy): use g_object_unref, not
	gtk_widget_destroy, on the GladeXML.
	(addressbook_add_server_druid): call gtk_window_set_type_hint
	GDK_WINDOW_TYPE_HINT_DIALOG so this window looks like a dialog.
	(editor_modify_cb): no more apply button.
	(edit_dialog_apply_clicked): nuked.
	(edit_dialog_close_clicked): rename to _cancal_clicked.
	(edit_dialog_ok_clicked): call gtk_widget_destroy here instead of
	calling _cancel_clicked.
	(addressbook_edit_server_dialog): no more apply button, and
	close_button -> cancel_button.  Also, set the hint to
	GDK_WINDOW_TYPE_HINT_DIALOG.
	(ldap_dialog_new): fix compiler warning.
	(addressbook_dialog_create_sources_table): same.

2003-03-18  Chris Toshok  <toshok@ximian.com>

	* gui/component/select-names/e-select-names-section.etspec: use
	alternating-row-colors="false"

	* gui/component/select-names/e-select-names.h: nuke prototypes for
	e_select_names_get_source/section.

	* gui/component/select-names/e-select-names.c (set_book): remove
	the signal disconnect from here.
	(addressbook_model_set_uri): same.
	(e_select_names_init): connect to the search_result signal on the
	addressbook model.
	(e_select_names_child_free): disconnect the changed_id signal.
	(e_select_names_add_section): set the underline column so the
	recipient tables look like they did when they were EEntry.
	(e_select_names_add_section): store off the changed_id.
	(e_select_names_get_section): nuke.
	(e_select_names_get_source): nuke.

2003-03-18  JP Rosevear  <jpr@ximian.com>

	* conduit/address-conduit.c (addrconduit_load_configuration): kill
	warning by sinking objects

2003-03-18  Not Zed  <NotZed@Ximian.com>

	* gui/component/select-names/e-select-names.c (set_book,
	addressbook_model_set_uri): disconnect/keep track of search result
	signal id.
	(e_select_names_init): Keep track of various signals, particularly
	status signal.
	(e_select_names_dispose): disconnect from any signals that are
	still active.  Fixes crash for #38202.

2003-03-13  Chris Toshok  <toshok@ximian.com>

	* gui/contact-editor/e-contact-editor.c
	(set_entry_changed_signals): use set_entry_changed_signal_email
	for the email entry so the email gets saved out.
	(set_entry_changed_signal_email): new function, analogous to
	set_entry_changed_signal_phone, but for email.

2003-03-12  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #20210 ]
	* gui/component/select-names/e-select-names-popup.c
	(popup_menu_card): change "Edit Contact Info" to "View Contact
	Info", as you can't always edit the contact (if the book is read
	only).
	(popup_menu_list): same, but for a contact list.

2003-03-11  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #39507 ]
	* gui/component/select-names/e-select-names.c (search_result): new
	function, sync the models after we do a search.
	(addressbook_model_set_uri): connect to search_result.

2003-03-11  Chris Toshok  <toshok@ximian.com>

	* gui/component/select-names/e-select-names.c
	(e_select_names_init): fix compiler warnings about deprecated
	functions.
	(e_select_names_child_free): unref the table model.
	(remove_address): re-enable.
	(section_right_click_cb): this is an ETable callback now.
	(e_select_names_add_section): remove a gross gross awful hack, and
	make the recipient tables ETables instead EEntry's.  We lose the
	nice underlining, but we can add that back in as another ETable
	style (like strikeout and bold), and we also fix the longstanding
	scrolling problems (like bug #25148) and can finally remove
	addresses by double clicking on them (which is also a bug
	someplace I think.. dunno the # offhand.)

	* gui/component/select-names/e-select-names-table-model.c
	(clear_info): always set the count to -1, regardless of what
	model->data is.

	* gui/component/select-names/e-select-names-model.c: remove some
	unused enums.

	* gui/component/select-names/Makefile.am (etspec_DATA): add
	e-select-names-section.etspec

	* gui/component/select-names/e-select-names-section.etspec: new
	file, spec for the To:/Cc:/Bcc: etable's in the select-names
	dialog.

2003-03-11  Not Zed  <NotZed@Ximian.com>

	* backend/pas/pas-backend-file.c (INITIAL_VCARD): Updated phone
	number.  Bug #37204.

	* gui/widgets/e-addressbook-util.c (e_addressbook_send_card_list):
	re-enable in build, include e-destination.h.  For #39256.

2003-03-06  Ettore Perazzoli  <ettore@ximian.com>

	* backend/ebook/load-pine-addressbook.c (ebook_create): Likewise.
	* backend/ebook/load-gnomecard-addressbook.c (ebook_create): Likewise.
	* backend/ebook/evolution-vcard-importer.c (ebook_create): Likewise.
	* backend/ebook/evolution-ldif-importer.c (ebook_create): Likewise.
	* backend/ebook/test-client.c (get_cursor_cb): Likewise.
	(ebook_create): Likewise.
	* gui/widgets/e-minicard.c (e_minicard_set_property): Likewise.
	(card_modified_cb): Likewise.
	(e_minicard_event): Likewise.
	* gui/widgets/gal-view-minicard.c (column_width_changed): Likewise.
	* gui/widgets/test-minicard-view.c (ebook_create): Likewise.
	* gui/widgets/gal-view-treeview.c (column_width_changed): Likewise.

2003-03-05  Not Zed  <NotZed@Ximian.com>

	* gui/component/addressbook-component.c (bonobo_main_quit_cb):
	removed.
	(owner_unset_cb): Basically a noop, the shell does the quit, we
	just note we have no owner anymore.

2003-03-04  JP Rosevear  <jpr@ximian.com>
 
 	Fixes #37881
 	
 	* gui/component/select-names/e-simple-card-bonobo.c
 	(impl_SimpleCard_get): if we get a null value, send back the empty
 	string
 
2003-03-04  JP Rosevear  <jpr@ximian.com>
 
 	* gui/component/select-names/e-select-names.etspec: reflect prior column addition
 
 	* gui/component/select-names/e-select-names-bonobo.c
 	(entry_get_property_fn): set the arg properly
 
 	* gui/component/select-names/Evolution-Addressbook-SelectNames.idl:
 	add Icscalendar to field list
 
 	* backend/pas/pas-backend-ldap.c: add icscalendar to prop list
 
 	* backend/ebook/e-card.h: add icscalendar data member
 
 	* backend/ebook/e-card.c: add icscalendar to list and its parse
 	routine
 	(e_card_get_vobject): add icscalendar prop value
 	(parse_icscalendar): parse routine
 	(e_card_class_init): add icscalendar arg
 	(e_card_destroy): destroy icscalendar member
 	(e_card_set_arg): set icscalendar
 	(e_card_init): init icscalendar
 	(e_card_get_arg): return icscalendar
 
 	* backend/ebook/e-card-simple.c (field_data): add icscalendar
 
 	* backend/ebook/e-card-simple.h: ditto
	
2003-03-03  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component/select-names/e-select-names.c
	(e_select_names_new): Don't set the "modal" property through
	g_object_new().
	(e_select_names_init): Explictly make the dialog modal here.

2003-03-03  Ettore Perazzoli  <ettore@ximian.com>

	* gui/widgets/e-addressbook-view.c (create_minicard_view): No need
	to do any reparenting here; the widget is created with no parent.

2003-03-03  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component/select-names/e-select-names.c
	(e_select_names_init): Instead of using gtk_widget_unparent(),
	remove the widget from the container using gtk_container_remove().
	This fixes a bunch of crashers in all the places using the
	ESelectNames widget/control.

2003-02-28  Dan Winship  <danw@ximian.com>

	* gui/contact-editor/Makefile.am: Build libecontacteditor as an
	uninstalled shared library.

	* gui/contact-list-editor/Makefile.am: Likewise for
	libecontactlisteditor

	* gui/merging/Makefile.am: and libecardmerging

	* gui/search/Makefile.am: and libeaddressbooksearch

	* gui/widgets/Makefile.am: and libeminicard

	* printing/Makefile.am: and libecontactprint

	* gui/component/Makefile.am (libevolution_addressbook_la_LIBADD):
	Update for new library names (and get rid of libtool portability
	warnings).

2003-02-28  Dan Winship  <danw@ximian.com>

	* backend/ebook/e-card.c (e_card_list_send, e_card_send): Remove
	these from here; talking to the mailer doesn't really belong at
	the libebook level anyway.

	* backend/ebook/Makefile.am: Remove Evolution-Composer CORBA
	stuff, which fixes some linking problems on OS X.

	* gui/widgets/e-addressbook-util.c (e_addressbook_send_card_list,
	e_addressbook_send_card): Move from e-card.c and rename.

	* gui/widgets/Makefile.am: move Evolution-Composer CORBA stuff
	here

	* gui/widgets/e-addressbook-view.c (send_as, send_to,
	e_addressbook_view_send, e_addressbook_view_send_to): Update for
	new function names.

	* gui/contact-list-editor/e-contact-list-editor.c (file_send_as_cb,
	file_send_to_cb): Likewise

	* gui/contact-editor/e-contact-editor.c (file_send_as_cb,
	file_send_to_cb): Likewise

2003-02-27  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook.c (book_open_cb): use g_signal_connect
	here, not swapped... although since we pass the widget as the
	closure it really doesn't matter.
	(load_uri_auth_cb): use a GtkDialog here.
	(search_result): same.

	* gui/component/select-names/e-simple-card-bonobo.h: add prototype
	for e_simple_card_bonobo_construct to fix warning.

	* gui/widgets/e-addressbook-view.c (create_alphabet): remove call
	to gtk_widget_set_usize.

	* gui/contact-editor/e-contact-editor-address.c
	(e_contact_editor_address_init): gtk_window_set_policy =>
	gtk_window_set_resizable.

	* gui/contact-editor/e-contact-editor-fullname.c
	(e_contact_editor_fullname_init): same.

2003-02-27  JP Rosevear  <jpr@ximian.com>

	* conduit/Makefile.am: link to libversit libtool object

2003-02-27  Rodney Dawes  <dobey@ximian.com>

	* backend/ebook/Makefile.am: Fix for server files from Antonio Xu

2003-02-26  Chris Toshok  <toshok@ximian.com>

	* backend/ebook/e-book.c (e_book_load_uri): if we fail to activate
	factories for a given protocol, return.

	* gui/component/ldap-config.glade: remove the two unused custom
	widgets to cut down on gtk warning spam.

2003-02-21  Dan Winship  <danw@ximian.com>

	* backend/ebook/Makefile.am (libebook_la_LIBADD): depend on
	libversit.la, libcamel.la, libename.la, and libeutil.la.
	(test_client_LDADD, test_client_list_LDADD, test_card_LDADD,
	evolution_vcard_importer_LDADD, evolution_ldif_importer_LDADD,
	load_pine_addressbook_LDADD, load_gnomecard_addressbook_LDADD):
	Remove those dependencies from here, since they're pulled in by
	libebook.

	* gui/component/Makefile.am (libevolution_addressbook_la_LIBADD):
	Remove libebook's dependencies

	* gui/component/select-names/Makefile.am
	(libeselectnames_la_LIBADD): add this

	* gui/widgets/Makefile.am (various disabled *_test_LDADD): cleanup

	* printing/Makefile.am (contact_print_test_LDADD,
	contact_print_style_editor_test_LDADD): cleanup

2003-02-20  Dan Winship  <danw@ximian.com>

	* gui/component/Makefile.am (libevolution_addressbook_la_LIBADD):
	s/libemiscwidgets.a/libemiscwidgets.la/

	* gui/widgets/Makefile.am: Likewise (in a bunch of commented-out
	test programs)

2003-02-19  Dan Winship  <danw@ximian.com>

	* gui/widgets/e-addressbook-model.c: Make parent_class static.

	* gui/widgets/e-addressbook-reflow-adapter.c: Likewise

	* gui/widgets/e-addressbook-table-adapter.c: Likewise

2003-02-19  Chris Toshok  <toshok@ximian.com>

	[ fix #38074 ]
	* gui/component/e-address-popup.c (add_contacts_cb): first arg is
	a GtkWidget.  duh.

2003-02-19  Ettore Perazzoli  <ettore@ximian.com>

	* gui/contact-editor/Makefile.am (INCLUDES): Use $(evolutionuidir)
	instead of $(evolution_uidir).  [Pointed out by Grzegorz Goawski.]

2003-02-17  Chris Toshok  <toshok@ximian.com>

	* gui/component/select-names/e-select-names-completion.c
	(e_select_names_completion_start_query): if we can complete solely
	from our cached cards, call e_completion_end_search from here when
	we're done.

2003-02-17  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook-component.c
	(ensure_completion_uris_exist): plug memory leak (always free
	val).

2003-02-16  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-backend-file.c
	(pas_backend_file_search_timeout): move the bulk of the
	non-summary searching stuff here.  we aggregate up to our
	threshold, then send them to the front end and register a timeout
	to do another batch.  This keeps us from totally spamming the UI,
	making things a bit more responsive.
	(pas_backend_file_search): set up the closure and call the timeout
	in an idle func.

2003-02-16  Chris Toshok  <toshok@ximian.com>

	* gui/component/select-names/e-select-names-manager.c
	(e_select_names_manager_entry_new): indent properly.

2003-02-16  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/e-addressbook-reflow-adapter.c (unlink_model):
	disconnect search_started and search_result.
	(addressbook_compare): if we're loading, just compare model
	positions (so we just append while loading).
	(remove_card): use e_reflow_model_item_removed.
	(search_started): new function, set loading = TRUE.
	(search_result): new function, set loading = FALSE and emit
	"comparison_changed".
	(e_addressbook_reflow_adapter_init): init loading and the new
	signal ids.
	(e_addressbook_reflow_adapter_construct): connect "search_started"
	and "search_result".

	* gui/widgets/e-addressbook-model.h (struct
	_EAddressbookModelClass): add search_started signal.

	* gui/widgets/e-addressbook-model.c
	(e_addressbook_model_class_init): new signal "search_started".
	(book_view_loaded): emit "search_started" after "model_changed".
	(remove_card): simplify this, and use CARD_REMOVED all the time,
	instead of just in the single card case.

2003-02-10  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-backend-file.c
	(pas_backend_file_search_timeout): split out the bulk of the
	non-summary searching logic to here.  we do 1 "card_threshold"
	sized lump per timeout.
	(pas_backend_file_search): use pas_backend_file_search_timeout.

2003-02-10  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #33066 ]
	* gui/contact-editor/e-contact-editor.c
	(set_urlentry_changed_signal_field): new function
	(set_entry_changed_signals): call
	set_urlentry_changed_signal_field for entry-web, entry-caluri, and
	entry-fburl.
	(fill_in_field): add handling for EUrlEntry's.
	(extract_field): same.
	(enable_widget): same.
	(e_contact_editor_create_date): show the widget.
	(e_contact_editor_create_web): same, create a url entry.
	(set_urlentry_changed_signal_field): new function

	* gui/contact-editor/contact-editor.glade: entry-web,
	entry-caluri, and entry-fburl are all custom widgets now.

2003-02-10  Ettore Perazzoli  <ettore@ximian.com>

	* backend/ebook/Makefile.am: Install load-pine-addressbook and
	load-gnomecard-addressbook into ${privdatadir}/tools.  Install
	evolution-vcard-importer and evolution-ldif-importer into
	${privlibexecdir}.

	* backend/ebook/GNOME_Evolution_Addressbook_VCard_Importer.server.in:
	Removed.

	* backend/ebook/GNOME_Evolution_Addressbook_LDIF_Importer.server.in:
	Removed.

	* backend/ebook/GNOME_Evolution_Addressbook_VCard_Importer.server.in.in:
	New.  Specify an absolute path for the executable, using
	@LIBEXECDIR@.
	* backend/ebook/GNOME_Evolution_Addressbook_LDIF_Importer.server.in.in:
	Likewise.

2003-02-09  Chris Toshok  <toshok@ximian.com>

	* gui/component/select-names/e-select-names-completion.c
	(sexp_initials): gone.
	(match_initials): gone.
	(book_query_sexp): remove the primary handling.
	(book_query_score): same.

	* backend/ebook/e-card.c (e_card_set_property):
	g_value_get_pointer => g_value_get_object for "category_list".

	* backend/ebook/e-book.c (struct _EBookPrivate): add a comment.

	* backend/pas/pas-backend-ldap.c (func_beginswith): performance at
	the cost of a tiny bit of correctness.  If the ldap server doesn't
	support evolutionPerson don't query on fileAs, use sn (since
	that's effectively what gets used in the display when fileAs isn't
	supported.)

2003-02-09  Chris Toshok  <toshok@ximian.com>

	* gui/component/select-names/e-select-names-completion.c: lots of
	changes here.  should be a big performance gain.  god i hope this
	is finally right.

2003-02-08  Chris Toshok  <toshok@ximian.com>

	[ huge change, all for 1 little performance problem :) fixes #18207 ]
	* gui/widgets/e-addressbook-model.c (get_view): use
	e_book_check_static_capability here to make things a little
	prettier.
	(remove_card): complain about my life, and add code to use one
	"model_changed" signal if we get back a list of cards instead of
	multiple "card_removed" signals.

	* gui/widgets/e-addressbook-model.h: little clean up.

	* gui/widgets/e-addressbook-view.c (delete): write a bulk-remove
	case for this.  if the backend supports it, send all the ids at
	once.  otherwise loop over the ids.
	(e_addressbook_view_delete_selection): fake a CardAndBook
	structure and call delete, instead of duplicating the code in 2
	places.

	* gui/component/addressbook.c (delete_contact_cb): don't call
	e_contact_editor_confirm_delete here, it's handled by the
	EAddressbookView.

	* backend/pas/pas-card-cursor.c (pas_card_cursor_construct): fix a
	compiler warning about a stupid crash.

	* backend/pas/pas-book.h (PASOperation): RemoveCard ->
	RemoveCards.
	(PASRemoveCardsReques): char *id -> GList *ids.
	(PASRequest): PASRemoveCardRequest -> PASRemoveCardsRequest.

	* backend/pas/pas-book.c (pas_book_queue_remove_cards): build up a
	GList from the id sequence.
	(pas_book_respond_remove): notifyCardRemoved ->
	notifyCardsRemoved.
	(impl_GNOME_Evolution_Addressbook_Book_removeCards): rename.
	(pas_book_free_request): free the idlist for RemoveCards.
	(pas_book_class_init): removeCard -> removeCards.

	* backend/pas/pas-book-view.h: change prototype for
	pas_book_view_notify_remove, and add prototype for
	pas_book_view_notify_remove_1.

	* backend/pas/pas-book-view.c (pas_book_view_notify_remove_1):
	build up a list and call pas_book_view_notify_remove.
	(pas_book_view_notify_remove): build up the corba id sequence and
	call BookViewListener::notifyCardsRemoved.

	* backend/pas/pas-backend.h: remove_card -> remove_cards.

	* backend/pas/pas-backend.c (pas_backend_remove_cards): rename
	from _remove_card.
	(process_client_requests): RemoveCard -> RemoveCards and
	_remove_card -> _remove_cards.

	* backend/pas/pas-backend-ldap.c (check_schema_support):
	g_strcasecmp -> g_ascii_strcasecmp.
	(remove_card_handler): _remove => _remove_1.
	(modify_card_modify_handler): same.
	(pas_backend_ldap_process_remove_cards): rename from _remove_card.
	(pas_backend_ldap_class_init): _remove_card -> _remove_cards.

	* backend/pas/pas-backend-file.c (pas_backend_file_class_init):
	remove_card -> remove_cards.
	(pas_backend_file_get_static_capabilities): add "bulk-removes".
	(pas_backend_file_process_remove_cards): rewrite this function
	largely, so that it handles lists of ids.  first we loop through
	and for every successful deletion we build a list of deleted
	ECards.  Then for each view we build a list (a subset of the
	deleted ECard list) and pass back that list to the view.
	(pas_backend_file_process_modify_card): use _remove_1 instead of
	_remove.
	(ecard_matches_search): new function.

	* backend/pas/pas-backend-card-sexp.c
	(pas_backend_card_sexp_match_vcard): rewrite in terms of
	_match_ecard.
	(pas_backend_card_sexp_match_ecard): new function, the guts from
	_match_vcard.

	* backend/pas/pas-backend-card-sexp.h: add prototype for
	pas_backend_card_sexp_match_ecard.

	* backend/idl/addressbook.idl: the card removal stuff now takes
	CardIdList.

	* backend/ebook/e-book.c (e_book_get_static_capabilities): cache
	successful capability queries (since they're static).
	(e_book_check_static_capability): new, convenience function to
	check if a particular capability is supported.
	(e_book_remove_card_by_id): build a single element GList and call
	e_book_remove_cards.
	(e_book_remove_cards): build up a CORBA sequence from the GList
	and call Book::removeCards.
	(e_book_dispose): free the cached capabilities string.

	* backend/ebook/e-book.h: add new prototypes for
	e_book_check_static_capability and e_book_remove_cards.

	* backend/ebook/e-book-view.h (struct _EBookViewClass): rename
	"card_removed" signal to "cards_removed".

	* backend/ebook/e-book-view.c (e_book_view_do_removed_event): id
	-> ids, and free the id list.
	(e_book_view_check_listener_queue): CardRemovedEvent ->
	CardsRemovedEvent.

	* backend/ebook/e-book-view-listener.c
	(e_book_view_listener_queue_response): free the id list.
	(e_book_view_listener_queue_idlist_event): new function, used for
	cards_removed.
	(e_book_view_listener_queue_status_event): id -> ids.
	(e_book_view_listener_queue_sequence_event): same.
	(e_book_view_listener_queue_message_event): same.
	(impl_BookViewListener_notify_cards_removed): call
	queue_idlist_event.
	(e_book_view_listener_dispose): free the id list.
	(e_book_view_listener_class_init): track change to idl call.

	* backend/ebook/e-book-view-listener.h
	(EBookViewListenerOperation): CardRemovedEvent ->
	CardsRemovedEvent.
	(EBookViewListenerResponse): char *id -> GList *ids.

	* backend/ebook/e-book-listener.c
	(impl_BookListener_respond_remove_cards): rename from remove_card.

2003-02-06  Chris Toshok  <toshok@ximian.com>

	* gui/component/e-address-popup.c (email_table_save_card_cb):
	check the status, not the book, and unref the book here.
	(contact_editor_cb): same.
	(start_query): unref the book in the failure case.
	(add_card_idle_cb): addressbook_load_default_book returns void
	now.
	(edit_contact_info_cb): same.
	(e_address_popup_query): same.

	* gui/component/addressbook.c (control_activate_cb): track change
	to addressbook_load_uri return type.
	(set_prop): same.
	(addressbook_load_uri): return type is void now.
	(addressbook_load_default_book): same.

	* gui/component/addressbook.h:
	addressbook_load_uri/addressbook_load_default_book return void
	now.

	* conduit/address-conduit.c (start_addressbook_server):
	e_book_load_default_book returns void now.

	* backend/ebook/e-book-util.h: track changes to return types.
	
	* backend/ebook/e-book-util.c (e_book_load_address_book_by_uri):
	fallout from change to e_book_load_uri.  return type for this
	function is void now too.
	(e_book_use_address_book_by_uri): same.
	(e_book_use_default_book): same.
	(e_book_load_default_book): same.
	(got_uri_book_cb): if unsuccessful and book is non-NULL, unref it
	here.
	(got_default_book_cb): same.

	* backend/ebook/e-book.c (e_book_load_uri): no longer return a
	gboolean.  any error is communicated to the callback.
	
	* backend/ebook/e-book.h: e_book_load_uri no longer returns a
	gboolean (it's void.)

	* backend/ebook/evolution-ldif-importer.c (ebook_create): track
	change to the e_book_load_uri family of functions.
	
	* backend/ebook/test-client-list.c (ebook_create): same.

	* backend/ebook/test-client.c (ebook_create): same.

	* backend/ebook/load-pine-addressbook.c (ebook_create): same.

	* backend/ebook/evolution-vcard-importer.c (ebook_create): same.

2003-02-06  Ettore Perazzoli  <ettore@ximian.com>

	* backend/ebook/Makefile.am (e-book-marshal.c, e-book-marshal.h):
	Use different tmp file names so these rules can be executed in
	parallel without interfering with each otehr.

	* backend/pas/Makefile.am: Make the ORBit compilation work
	properly with parallel makes (i.e. make sure it does not spawn
	multiple orbit-idl processes on the same IDL file at the same
	time).
	* gui/component/select-names/Makefile.am: Likewise.
	* backend/ebook/Makefile.am: Likewise.

2003-02-06  Dan Winship  <danw@ximian.com>

	* gui/component/addressbook-config.c (main):
	s/PACKAGE/GETTEXT_PACKAGE/ in gettext setup.

2003-02-05  Dan Winship  <danw@ximian.com>

	* backend/ebook/Makefile.am (INCLUDES): Remove cruft.
	(libebookincludedir): Use privincludedir.

	* backend/ebook/e-book-util.c: #include <string.h>
	* backend/ebook/e-card-compare.c: Likewise
	* backend/ebook/load-pine-addressbook.c: Likewise
	* backend/ebook/test-client.c: Likewise

	* backend/ebook/evolution-vcard-importer.c: #include
	<e-book-util.h>
	(factory_fn): Fix this to actually return the importer.

	* backend/ebook/evolution-ldif-importer.c (parseLine): #include
	<e-book-util.h> and <bonobo/bonobo-main.h>. Use g_ascii_strcmp.
	
	* backend/ebook/e-card.c (e_card_email_match_single_string): 
	(e_card_email_find_number): s/g_str/g_ascii_str/
	* backend/ebook/e-destination.c (e_destination_equal): Likewise.
	Also, add an "else return FALSE;"


	* backend/pas/Makefile.am (INCLUDES): Remove cruft
	(ldapschemadir): Use privdatadir
	(pasincludedir): Use privincludedir.

	* backend/pas/pas-book-factory.c (pas_book_factory_activate):
	Remove unused variable.
	* backend/pas/pas-book-view.c (pas_book_view_new): Likewise


	* printing/Makefile.am (ecpsdir): Define in terms of privdatadir.
	(gladedir): Defined in configure.in now.

	* printing/e-contact-print.c: #include <string.h>

	* printing/test-print.c: #include <bonobo/bonobo-main.h>
	* printing/test-contact-print-style-editor.c: Likewise


	* gui/contact-editor/Makefile.am (INCLUDES): Remove some cruft.
	rename ICONSDIR to IMAGESDIR.
	(images_DATA): Install arrow.png in imagesdir instead of
	privdatadir.

	* gui/contact-editor/e-contact-quick-add.c: #include <string.h>

	* gui/contact-editor/e-contact-editor.c: #include <string.h>
	(e_contact_editor_init): s/EVOLUTION_ICONSDIR/EVOLUTION_IMAGESDIR/
	(e_contact_editor_new): s/gtk_object_ref/g_object_ref/
	(_replace_button): Look in imagesdir, not privdatadir
	(_phone_arrow_pressed): Remove call to deprecated
	gtk_check_menu_item_set_show_toggle.
	(_email_arrow_pressed): Likewise
	(_address_arrow_pressed): Likewise
	(set_address_field): Remove unused variable
	(enable_widget):
	s/gtk_entry_set_editable/gtk_editable_set_editable/

	* gui/contact-editor/e-contact-editor-address.c
	(e_contact_editor_address_init):
	s/EVOLUTION_ICONSDIR/EVOLUTION_IMAGESDIR
	(e_contact_editor_address_set_property):
	s/gtk_entry_set_editable/gtk_editable_set_editable/

	* gui/contact-editor/e-contact-editor-fullname.c
	(e_contact_editor_fullname_init):
	s/EVOLUTION_ICONSDIR/EVOLUTION_IMAGESDIR
	(e_contact_editor_fullname_set_property): Likewise.


	* gui/contact-list-editor/Makefile.am (INCLUDES): Remove cruft,
	s/ICONSDIR/IMAGESDIR/
	(gladedir, etspecdir): Remove definitions.

	* gui/contact-list-editor/e-contact-list-editor.c: #include
	<string.h>
	(e_contact_list_editor_init): s/ICONSDIR/IMAGESDIR/
	(e_contact_list_editor_new): s/gtk_object_ref/g_object_ref/

	* gui/contact-list-editor/e-contact-list-model.c: #include <string.h>


	* gui/merging/Makefile.am (INCLUDES): Remove cruft.
	* gui/search/Makefile.am (ruledir): Define in terms of privdatadir


	* gui/widgets/Makefile.am (INCLUDES): Remove cruft.
	(gladedir, etspecdir): Remove definitions.
	(glade_DATA): Empty, so remove it.

	* gui/widgets/e-addressbook-reflow-adapter.c: #include <string.h>
	(addressbook_get_property): Remove unused variable

	* gui/widgets/e-addressbook-view.c: #include <string.h>
	(get_selection_model): Add a g_return_val_if_reached.

	* gui/widgets/e-minicard.c: #include string.h, gtkmain.h,
	gnome-canvas-pixbuf.h
	(field_changed): s/gtk_object_unref/g_object_unref/
	(get_left_width): Remove unused variable

	* gui/widgets/e-minicard-control.c: #include <string.h>
	(pstream_load, pstream_save): Use g_ascii_strcasecmp

	* gui/widgets/e-minicard-view.c: #include <string.h>

	* gui/widgets/e-minicard-view-widget.c
	(e_minicard_view_widget_new): s/gtk_type_new/g_object_new/


	* gui/component/select-names/Makefile.am (INCLUDES): Remove cruft.
	(serverdir, gladedir, etspecdir): Remove definitions

	* gui/component/select-names/e-select-names.c: #include <string.h>

	* gui/component/select-names/e-select-names-popup.c
	(init_html_mail): Remove deprecated
	gtk_check_menu_item_set_show_toggle call.

	* gui/component/select-names/e-select-names-manager.c
	(e_select_names_manager_entry_free):
	s/gtk_timeout_remove/g_source_remove/


	* gui/component/Makefile.am (INCLUDES): Remove cruft, rename
	ICONSDIR to IMAGESDIR.
	(serverdir, gladedir): Remove defintions.

	* gui/component/addressbook-component.c (IS_CONTACT_TYPE): use
	g_ascii_strcasecmp
	(add_creatable_item): s/ICONSDIR/IMAGESDIR/

	* gui/component/component-factory.c: #include <string.h>

	* gui/component/e-address-widget.c: Likewise.
	(e_address_widget_destroy): s/gtk_idle_remove/g_source_remove/
	(e_address_widget_schedule_query): s/gtk_idle_add/g_idle_add/


	* conduit/Makefile.am (INCLUDES): Remove cruft

2003-02-05  Dan Winship  <danw@ximian.com>

	* gui/component/addressbook-config.c (main): Replace deprecated
	glade_gnome_init() with glade_init().

	* gui/contact-editor/test-editor.c (main): Likewise.

	* printing/test-contact-print-style-editor.c (main): Likewise.

	* printing/test-print.c (main): Likewise.

2003-02-03  Chris Toshok  <toshok@ximian.com>

	[ pull forward Jack Jia's fix for #34900 ]
	* gui/contact-editor/e-contact-save-as.c (e_contact_save_as): use
	a weak ref for the file selector.
	(e_contact_list_save_as): same.
	(destroy_it): rewrite this as a weak ref notify function.
	(close_it): remove frees of the info (it's freed in the weak ref
	function).
	(save_it): same.

2003-02-03  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook-component.c (remove_folder): pull
	forward Jack Jia's fix for #33672, but convert it to use unlink
	instead of the gnome-vfs stuff.

2003-01-27  Chris Toshok  <toshok@ximian.com>

	* gui/contact-editor/contact-editor.glade: add a scrolled window
	(SHADOW_IN) around the address textview.

2003-01-26  Chris Toshok  <toshok@ximian.com>

	* gui/contact-editor/contact-editor.glade: rename the category
	entry to entry-categories.

	* gui/contact-editor/e-contact-editor.c
	(set_entry_changed_signals): use the specialized "changed" signal
	handlers for entry-company and entry-fullname.

2003-01-26  Chris Toshok  <toshok@ximian.com>

	* gui/component/Makefile.am: i need to sleep more.

2003-01-26  Chris Toshok  <toshok@ximian.com>

	* gui/component/Makefile.am (componentdir): need to assign this
	here or else the lib doesn't get built.

2003-01-26  Chris Toshok  <toshok@ximian.com>

	* printing/e-contact-print.c (e_contact_start_new_page): begin the
	new page after showing the last one.
	(complete_sequence): beginpage before we start printing.
	(e_contact_print_response): GtkDialog-ify this.
	(e_contact_print_dialog_new): "clicked" -> "response".
	(e_contact_print_card_dialog_new): same.
	(e_contact_print_card_list_dialog_new): same.

2003-01-26  Chris Toshok  <toshok@ximian.com>

	* Makefile.am (CONDUIT_SUBDIR): enable this, as building the
	conduit works if you have gnome-pilot2.

2003-01-25  Chris Toshok  <toshok@ximian.com>

	* conduit/address-conduit.c: GObjectify the stuff in here that
	refers to addressbook objects.  the gnome-pilot stuff is still
	GtkObject for the moment.

2003-01-24  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component/Makefile.am (iconsdir): Remove definition; this is
	now in configure.in.
	* gui/contact-editor/Makefile.am (iconsdir): Likewise.
	* gui/contact-list-editor/Makefile.am (iconsdir): Likewise.

2003-01-23  Sean Gao  <Sean.Gao@Sun.COM>

	[ fixes bug #34898 ]
	* gui/widgets/e-minicard.c (field_changed): handle modifications
	to email addresses in contact lists.

2003-01-23  Sean Gao  <Sean.Gao@Sun.COM>

	[ fixes bug #36375 ]
	* backend/pas/pas-backend-ldap.c: use PHONE_OTHER_FAX instead of
	PHONE_OTHER for "other_fax".
	
2003-01-23  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #31014, roll this in from the 1.2 branch ]
	* backend/pas/pas-backend-ldap.c: use "categories" instead of
	"category" for the ECard field so the UI/get_supported_fields stuff
	actually thinks its usable in the contact editor..

2003-01-23  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-backend-ldap.c (pas_backend_ldap_connect): fix
	for bug 34883 broke ssl transactions (at least those where we were
	connecting to port 636).  Move it to after the SSL stanza.

2003-01-23  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component/select-names/Makefile.am (componentdir): Remove
	definition; no need to set it here since it's now defined in
	configure.in
	* gui/component/Makefile.am (componentdir): Likewise.

2003-01-22  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component/select-names/Makefile.am (gladedir): Version using
	$(BASE_VERSION).
	(etspecdir): Likewise.
	(iconsdir): Likewise.

	* gui/contact-list-editor/Makefile.am (iconsdir): Version using
	$(BASE_VERSION).
	(gladedir): Likewise.

	* gui/merging/Makefile.am (gladedir): Version using $(BASE_VERSION).

	* gui/search/Makefile.am (ruledir): Version using $(BASE_VERSION).

	* gui/component/Makefile.am (INCLUDES): Update EVOLUTION_IMAGESDIR
	to be versioned through $(BASE_VERSION).

	* gui/widgets/e-addressbook-view.c (init_collection): Use
	EVOLUTION_GALVIEWSDIR.

	* gui/widgets/Makefile.am (INCLUDES): Define EVOLUTION_GALVIEWSDIR
	and update EVOLUTION_IMAGESDIR.

2003-01-21  Radek Doulik  <rodo@ximian.com>

	* printing/e-contact-print.c (e_contact_print_button): don't use
	gnome_print_multipage_new_from_sizes and add warning

2003-01-14  Ettore Perazzoli  <ettore@ximian.com>

	* gui/widgets/e-addressbook-util.c
	(e_addressbook_prompt_save_dialog): Change dialog from
	Yes/No/Cancel to Discard/Cancel/Save to match the HIG.

	* gui/search/e-addressbook-search-dialog.c
	(e_addressbook_search_dialog_init): Change dialog from OK/Cancel
	to Cancel/OK to match the HIG.

	* gui/contact-editor/e-contact-save-as.c (file_exists): Change
	dialog from Overwrite/Cancel to Cancel/Overwrite to match the HIG.

	* gui/contact-editor/e-contact-quick-add.c
	(build_quick_add_dialog): Fix typo s/reponse/response/.  Also
	change the dialog to be Edit/Cancel/OK instead of OK/Edit/Cancel
	to match the HIG.

	* gui/contact-editor/e-contact-editor.c
	(e_contact_editor_confirm_delete): Make alert cancel/delete
	instead of delete/cancel to match the HIG.

	* gui/contact-editor/e-contact-editor-fullname.c
	(e_contact_editor_fullname_init): Make dialog Cancel/OK instead of
	OK/Cancel to match the HIG.

	* gui/contact-editor/e-contact-editor-address.c
	(e_contact_editor_address_init): Make dialog Cancel/OK instead of
	OK/Cancel to match the HIG.

	* gui/component/select-names/e-select-names.c
	(e_select_names_init): Make dialog Cancel/OK instead of OK/Cancel
	to match the HIG.

2003-01-14  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component/Makefile.am (EXTRA_DIST): Add $(schema_DATA).

2003-01-09  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook.c (control_activate_cb): try to load
	the uri again if it failed previously.
	(book_open_cb): set failed_to_load based on the response.
	(set_prop): initialize failed_to_load to FALSE before we kick off
	the first load.

	* backend/pas/pas-book-factory.c
	(pas_book_factory_process_request): if the load_uri fails, remove
	it from the hashtable and free it, so we'll try to load it again
	from scratch the next time it's requested instead of serving up a
	backend that doesn't function.

	* backend/pas/pas-backend.c (pas_backend_get_uri): we need to be
	able to get the uri from backends that aren't loaded (so we can
	remove them from the hashtable.)

2003-01-09  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-backend-ldap.c (query_ldap_root_dse): doh, fix
	build error.

2003-01-09  Chris Toshok  <toshok@ximian.com>

	* gui/component/select-names/e-select-names-popup.c: #include
	gtklabel.h, fixes an unresolved symbol.

2003-01-09  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-backend-ldap.c (query_ldap_root_dse): build up
	the list of supported auth_methods.
	(pas_backend_ldap_process_get_supported_auth_methods): respond
	with the list of auth methods we've built up.
	(pas_backend_ldap_dispose): unref the auth_method list.
	(pas_backend_ldap_class_init): hook up
	pas_backend_ldap_process_get_supported_auth_methods.

	* backend/pas/pas-backend.c
	(pas_backend_get_supported_auth_methods): new function.
	(process_client_requests): add clause for GetSupportedAuthMethods.

	* backend/pas/pas-backend.h: add prototype for
	pas_backend_get_supported_auth_methods, and add it to the class
	vtable.

	* backend/pas/pas-book.h: add GetSupportedAuthMethods enum member
	and PASGetSupportedAuthMethodsRequest. and add prototype for
	pas_book_respond_get_supported_auth_methods.

	* backend/pas/pas-book.c
	(pas_book_queue_get_supported_auth_methods): new function.
	(impl_GNOME_Evolution_Addressbook_Book_getSupportedAuthMethods):
	new function.
	(pas_book_respond_get_supported_auth_methods): new function.
	(pas_book_free_request): add clause for GetSupportedAuthMethods.
	(pas_book_class_init): hook up getSupportedAuthMethods.

	* backend/ebook/e-book-listener.c
	(e_book_listener_queue_get_supported_fields_response): fields ->
	list.
	(e_book_listener_queue_get_supported_auth_methods_response): new
	function.
	(impl_BookListener_response_get_supported_auth_methods): new
	function.
	(e_book_listener_class_init): hook up
	epv->notifySupportedAuthMethods.

	* backend/ebook/e-book-listener.h: add
	GetSupportedAuthMethodsResponse enum member, and change the field
	name from "fields" to list (and use it for both GetSupportedFields
	and GetSupportedAuthMethods)

	* backend/ebook/e-book.c (e_book_get_supported_auth_methods): new
	function.
	(e_book_do_response_get_supported_auth_methods): new function.

	* backend/ebook/e-book.h: add prototype for
	e_book_get_supported_auth_methods.

	* backend/idl/addressbook.idl: add getSupportedAuthMethods IDL
	call.

2003-01-09  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-book-factory.c (backend_last_client_gone_cb):
	deal with backends that might not have loaded successfully
	(they'll have a NULL uri).

2003-01-09  Chris Toshok  <toshok@ximian.com>

	* gui/component/select-names/e-select-names-bonobo.c
	(e_select_names_bonobo_new): call e_select_names_bonobo_construct
	on the newly created object.

2003-01-09  Chris Toshok  <toshok@ximian.com>

	* gui/component/Makefile.am: addressbook-config.etspec is gone.

	* gui/component/addressbook-config.c: make the sources table be a
	gtktreeview instead of an etable.

	* gui/component/ldap-config.glade: remove all references to
	gnome-hint.png

2003-01-09  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/gal-view-minicard.c (column_width_changed): fix
	parameter types here (this signal isn't generated from an ETable.)

	* gui/widgets/gal-view-factory-minicard.c: include e-util.h

	* gui/widgets/e-minicard.h: include gnome-canvas.h here.

	* gui/widgets/e-addressbook-table-adapter.c: #include
	e-destination.h here.

	* gui/widgets/e-minicard.c: same.

2003-01-09  Chris Toshok  <toshok@ximian.com>

	* gui/contact-editor/e-contact-editor.[ch]: remove the select
	names stuff (the Related Contacts button/entry.)

	* gui/contact-editor/contact-editor.glade: same.

2003-01-09  Chris Toshok  <toshok@ximian.com>

	* gui/component/select-names/GNOME_Evolution_Addressbook_SelectNames.server.in.in:
	comment out the factory oaf_server, and change the location of the
	SelectNames controls to be
	OAFIID:GNOME_Evolution_Addressbook_Factory so the normal
	addressbook.so will create them.

	* gui/component/select-names/Makefile.am
	(libeselectnames_la_SOURCES): remove the
	e-select-names-factory.[ch] stuff for the time being.

	* gui/component/component-factory.c (factory): we're now (for the
	time being) the factory for the select names control.

2003-01-08  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/e-addressbook-view.c: oops, don't include
	e-treeview-selection-model.h unless we're building the treeview.

2003-01-08  Jeffrey Stedfast  <fejj@ximian.com>

	* backend/pas/pas-backend-ldap.c
	(pas_backend_ldap_process_authenticate_user): Fix to build.

2003-01-08  Chris Toshok  <toshok@ximian.com>

	* gui/component/apps_evolution_addressbook.schemas: add in the
	schema entry for minimum_query_length.

2003-01-08  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/e-addressbook-view.h: add
	E_ADDRESSBOOK_VIEW_TREEVIEW to the enum, ifdef'ed out.

	* gui/widgets/e-addressbook-view.c
	(e_addressbook_view_class_init): add ifdefed treeview code.
	(init_collection): same.
	(display_view): same.
	(get_selection_model): same.
	(treeview_row_activated): same.
	(create_treeview_view): same.
	(change_view_type): same.xo
	(e_addressbook_view_print): same.
	(e_addressbook_view_print_preview): same.

	* gui/widgets/Makefile.am: add in the treeview sources (commented
	out).

2003-01-08  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/gal-view-minicard.c (gal_view_minicard_edit): add
	parent arg.

	* gui/widgets/e-addressbook-treeview-adapter.[ch]: new files, for
	a GtkTreeView view of contacts.
	
	* gui/widgets/gal-view-treeview.[ch]: same
	
	* gui/widgets/gal-view-favroty-treeview.[ch]: same
	
2003-01-08  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component/Makefile.am: $(datadir)/evolution/images instead
	of $(datadir)/images/evolution.
	* gui/contact-editor/Makefile.am: Likewise.
	* gui/contact-list-editor/Makefile.am (iconsdir): Likewise.
	* gui/widgets/Makefile.am: Likewise.

2002-01-08  Dan Winship  <danw@ximian.com>

	Move PASBook request handling into PASBackend itself since all
	existing backends do it exactly the same way. (Part of 32866).

	* backend/pas/pas-backend.h (PASBackendClass): add new methods for
	the various pas book requests.

	* backend/pas/pas-backend.c: Add a clients list to
	PASBackendPrivate.
	(pas_backend_create_card, etc): Add these to invoke the new
	methods.
	(process_client_requests, book_destroy_cb): Moved here and
	slightly rewritten from pas-backend-file.
	(last_client_gone): Now static.
	(add_client, remove_client): Default implementations, based on
	pas-backend-file, that add the client to/remove it from the
	backend's clients list and connect to its requests_queued signal.
	(pas_backend_init, pas_backend_dispose): Deal with the clients
	list.

	* backend/pas/pas-backend-file.c (struct _PASBackendFilePrivate):
	Remove GList *clients.
	(pas_backend_file_process_client_requests,
	pas_backend_file_book_destroy_db, pas_backend_file_add_client,
	pas_backend_file_remove_client): Gone.
	(pas_backend_file_class_init): Remove add_client/remove_client
	method initializations, add initializations for processing the
	various book requests.

	* backend/pas/pas-backend-ldap.c (struct _PASBackendLDAPPrivate):
	Remove GList *clients.
	(pas_backend_ldap_process_create_card, etc): Make these take the
	specific PAS*Request types rather than a generic PASRequest.
	(pas_backend_ldap_process_client_requests,
	pas_backend_ldap_book_destroy_db, pas_backend_ldap_add_client,
	pas_backend_ldap_remove_client): Gone.
	(pas_backend_ldap_class_init): Remove add_client/remove_client
	method initializations, add initializations for processing the
	various book requests.

2003-01-07  Chris Toshok  <toshok@ximian.com>

	* backend/pas/evolutionperson.schema: fix the SYNTAX for the
	telephone attributes, and make the fax attributes more closely
	mirror those from core.schema.  Fixes the schema for openldap-2.1.

2003-01-06  Dan Winship  <danw@ximian.com>

	* backend/idl/Makefile.am: remove idldir def (defined by
	configure.in now)

	* gui/component/select-names/Makefile.am: Likewise

2003-01-01  Chris Toshok  <toshok@ximian.com>

	[ fixes the non-ui portion of #36183 ]
	* gui/component/select-names/e-select-names-completion.c
	(e_select_names_completion_start_query): use the entry's
	minimum_query_length instead of a constant here.
	(e_select_names_completion_set_minimum_query_length): new
	function, set the entry's minimum_query_length.

	* gui/component/select-names/e-select-names-manager.c
	(e_select_names_manager_entry_new): set the minimum_query length
	after setting the completion books.
	(read_completion_settings_from_db): rename
	read_completion_books_from_db to this, and read the
	minimum_query_length too.
	(db_listener): rename uris_listener to this, and listen for
	changes on both the uris and minimum_query_length settings.

	* gui/component/select-names/e-select-names-completion.h: add
	prototype for e_select_names_completion_set_minimum_query_length.

	* gui/component/select-names/e-select-names-manager.h: add
	minimum_query_length to struct _ESelectNamesManager.

2002-12-19  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component/addressbook-config.c
	(addressbook_config_control_new): Made it return an
	EvolutionConfigControl instead of a BonoboControl (and removed a
	bogus EvolutionConfigControl -> BonoboControl cast).

2002-12-17  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #34897 ]
	* gui/widgets/e-addressbook-table-adapter.c
	(addressbook_value_at): don't free the return of
	e_card_simple_get_const, as this causes a double free later on.

2002-12-18  Chris Toshok  <toshok@ximian.com>

	* gui/component/e-address-popup.c: convert the clist in here to a
	GtkTreeView.  your guess is as good as mine if it works (i can't
	test it at present) but it compiles.

2002-12-18  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/e-addressbook-view.c (jump_to_letters):
	g_string_sprintfa -> g_string_append_printf.
	(create_alphabet): same.
	(create_minicard_view): remove gtk_widget_{push,pop}_visual.

	* gui/widgets/Makefile.am (INCLUDES): add -D*_DISABLE_DEPRECATED.

2002-12-18  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/e-minicard.c (e_minicard_realize): drop use of
	"font" arg.
	(get_left_width): use pango to calculate this instead of a GdkFont.

	* gui/widgets/e-minicard-view.c: drop include of e-unicode.h.

	* gui/widgets/e-minicard-label.c (e_minicard_label_construct):
	don't need to create the font anymore.

	* gui/search/Makefile.am (INCLUDES): add -D*_DISABLE_DEPRECATED.

	* gui/search/e-addressbook-search-dialog.c
	(e_addressbook_search_dialog_new): use g_object_new instead of
	gtk_type_new.

	* gui/merging/Makefile.am (INCLUDES): add -D*_DISABLE_DEPRECATED.

	* gui/contact-list-editor/Makefile.am (INCLUDES): add
	-D*_DISABLE_DEPRECATED.

	* gui/contact-list-editor/e-contact-list-editor.c (is_named):
	strdup (or not, if we don't need to save the value) instead of
	using the e_utf8 functions.
	(fill_in_info): same.

	* gui/contact-editor/Makefile.am (INCLUDES): add
	-D*_DISABLE_DEPRECATED.

	* gui/contact-editor/e-contact-save-as.c (e_contact_save_as):
	strdup (or not, if we don't need to save the value) instead of
	using the e_utf8 functions.
	(e_contact_list_save_as): same.

	* gui/contact-editor/e-contact-quick-add.c (clicked_cb): strdup
	(or not, if we don't need to save the value) instead of using the
	e_utf8 functions.
	(build_quick_add_dialog): same.

	* gui/contact-editor/e-contact-editor.c (phone_entry_changed):
	strdup (or not, if we don't need to save the value) instead of
	using the e_utf8 functions.
	(file_as_set_style): same.
	(name_entry_changed): same.
	(full_name_clicked): same.
	(categories_clicked): same.
	(set_field): same.
	(fill_in_field): same.
	(fill_in_single_field): same.
	(extract_field): same.
	(extract_single_field): same.

	* gui/contact-editor/e-contact-editor-fullname.c (extract_field):
	just strdup, it's already utf8.

	* gui/contact-editor/e-contact-editor-address.c (extract_field):
	they're all entries, use GTK_ENTRY foo here.

	* gui/component/select-names/Makefile.am (INCLUDES): add
	-D*_DISABLE_DEPRECATED.

	* gui/component/select-names/e-select-names.c
	(e_select_names_add_section): remove the extra
	utf8_from_locale_string stuff.

	* gui/component/select-names/e-select-names-popup.c
	(set_uiinfo_label): gtk_container_children ->
	gtk_container_get_children, and remove the extra utf8 stuff.

	* gui/component/Makefile.am (INCLUDES): add
	-D*_DISABLE_DEPRECATED.

	* gui/component/addressbook-storage.c
	(addressbook_storage_init_source_uri): g_string_sprintfa ->
	g_string_append_printf.

	* gui/component/addressbook-config.c (focus_help):
	gtk_notebook_set_page -> gtk_notebook_set_current_page.
	(addressbook_source_dialog_set_source): same.
	(auth_optionmenu_activated): gtk_container_children ->
	gtk_container_get_children.
	(ssl_optionmenu_activated): same.
	(ssl_optionmenu_selected): same, and gtk_notebook_set_page ->
	gtk_notebook_set_current_page.
	(scope_optionmenu_activated): same.
	(set_advanced_button_state): same.
	(addressbook_ldap_init): hook "response" to gtk_widget_destroy to
	make the dialog go away when clicked.
	(addressbook_ldap_auth): same.
	(addressbook_root_dse_query): same.
	(do_ldap_root_dse_query): same.
	(addressbook_config_control_new): fix return type and cast.
	(main): remove call to gtk_widget_push_visual.

	* gui/component/addressbook-config.h:
	addressbook_config_control_new returns a BonoboObject, not a
	BonoboControl.

	* gui/component/addressbook.c: remove e-unicode.h include.

	* backend/pas/Makefile.am (INCLUDES): Add
	-DLIBGNOME_DISABLE_DEPRECATED.

	* backend/ebook/Makefile.am (INCLUDES): Add
	-DLIBGNOME_DISABLE_DEPRECATED.

	* backend/ebook/e-card.c (e_card_get_property): remove misleading
	comment.

2002-12-17  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-backend-ldap.c (build_card_from_entry):
	g_strcasecmp -> g_ascii_strcasecmp.
	(FIND_INSERT): same.

	* backend/pas/pas-backend-file.c (pas_backend_file_load_uri):
	g_dirname -> g_path_get_dirname.

	* backend/pas/Makefile.am (INCLUDES):  add
	-DG_DISABLE_DEPRECATED.

	* backend/ebook/Makefile.am (INCLUDES): add
	-DG_DISABLE_DEPRECATED.

2002-12-17  Chris Toshok  <toshok@ximian.com>

	* gui/component/select-names/e-select-names-manager.c
	(uris_listener): oops, use strcmp, not !strcmp here.

2002-12-17  Chris Toshok  <toshok@ximian.com>

	[ Fixes bug #35135 ]
	* backend/ebook/e-book-util.c (set_default_book_uri_local): don't
	free the default_book_uri here, it's done in set_default_book_uri.
	(set_default_book_uri): break some stuff out from
	set_default_book_uri_from_bonobo_conf to here so it can be used
	both from that function and the bonobo listener.
	(default_folder_listener): set the new default book uri.
	(set_default_book_uri_from_bonobo_conf): install the bonobo conf
	listener so we'll get updates.

2002-12-16  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component/addressbook-config.c
	(addressbook_config_control_new): Use
	evolution_shell_client_corba_objref() instead of BONOBO_OBJREF()
	to get the Shell CORBA object.

2002-12-16  Jeffrey Stedfast  <fejj@ximian.com>

	* gui/component/addressbook-config.c: Don't #include
	<e-util/e-html-utils.h>

2002-12-09  Chris Toshok  <toshok@ximian.com>

	* gui/search/e-addressbook-search-dialog.[ch]: GObject-ize this.

2002-12-09  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook.c (load_uri_auth_cb): pass
	"Addressbook" to e_passwords*.
	(addressbook_authenticate): same.

2002-12-09  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook.c (search_cb): remove
	PENDING_PORT_WORK.
	(addressbook_search_activated): same.
	(addressbook_query_changed): same.

	* gui/component/Makefile.am (libevolution_addressbook_la_LIBADD):
	add libfilter.la back in.

2002-12-09  Ettore Perazzoli  <ettore@ximian.com>

	* gui/widgets/e-minicard-control.c: #define MINICARD_CONTROL_ID.

2002-12-08  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/e-addressbook-util.c (e_addressbook_error_dialog):
	connect ::response to gtk_widget_destroy so the dialog goes away.

	* gui/widgets/e-minicard-label.c (e_minicard_label_construct):
	don't use font_gdk anymore on EText.  it doesn't exist.

2002-12-08  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/e-addressbook-reflow-adapter.c (text_height): this
	uses pango now.
	(addressbook_height): same.

2002-12-06  Chris Toshok  <toshok@ximian.com>

	* backend/ebook/e-book.c (e_book_commit_card): use e_card_set_book
	instead of basically duplicating its code here.
	(e_book_add_card): same.

2002-12-06  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component/e-cardlist-model.c: #include <string.h>.

	* gui/component/addressbook-storage.c: #include <string.h>,
	<ctype.h>, <unistd.h>.

	* gui/component/addressbook-factory.c: Removed.

	* gui/component/addressbook-component.c: #include
	<bonobo/bonobo-main.h>, <unistd.h> and <string.h>.
	(create_view): addressbook_new_control() instead of
	addressbook_factory_new_control().

	* gui/component/select-names/e-select-names.c
	(e_addressbook_create_ebook_table): Removed unused variable.
	(e_select_names_add_section): Removed unused variable.

	* gui/component/select-names/e-select-names-manager.c
	(focus_in_cb): Use g_source_remove() here instead of
	gtk_timeout_remove().

	* gui/component/component-factory.c: New.

	* gui/widgets/e-minicard-control.c
	(e_minicard_control_factory_init): Removed.
	(e_minicard_control_control_factory): Removed.
	(e_minicard_control_new): New.

	* gui/component/e-address-widget.c
	(e_address_widget_factory_init): Removed.
	(e_address_widget_new_control): Renamed from
	e_address_widget_factory_new_control(), made public.
	(e_address_widget_factory): Removed.

	* gui/component/e-address-popup.c (e_address_popup_new_control):
	New.
	(e_address_popup_factory_new_control): Removed.
	(e_address_popup_factory): Removed.
	(e_address_popup_factory_init): Removed.

	* gui/component/addressbook-config.c
	(addressbook_config_register_factory): Removed.
	(addressbook_config_create_control): New.

	* gui/component/addressbook-component.c
	(addressbook_component_factory_init): Removed.
	(addressbook_component_get_object): New.
	(owner_set_cb): Do not call addressbok_config_register_factory().

	* gui/component/addressbook.c (addressbook_factory_init): Removed.
	(addressbook_new_control): Renamed from
	addressbook_factory_new_control().

2002-12-05  Jeffrey Stedfast  <fejj@ximian.com>

	* gui/component/select-names/e-select-names.etspec: Use collate
	for sorting rather than the normal string sort. This fixes bug
	#26335 without causing bug #33933 :-)

2002-11-30  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-backend-ldap.c (pas_backend_ldap_connect): only
	enable the LDAPv3 stuff if TLS is being used.  Also, deal with
	naming errors returned from query_ldap_root_dse, as some servers
	(older openldap servers among others i'm sure) don't have a root
	dse at all.
	
2002-12-02  Not Zed  <NotZed@Ximian.com>

	* gui/widgets/e-addressbook-view.c (e_contact_print_button):
	gnomedialog -> gtkdialog stuff.  print dialog is a gtkdialog now.

	* gui/contact-editor/e-contact-editor.c: include gtkstock.h


2002-11-27  Not Zed  <NotZed@Ximian.com>

	* gui/contact-editor/e-contact-editor-address.c: #include gtkstock.h

2002-11-29  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/e-minicard-view-widget.c (column_width_changed): the
	detail is supposed to go after the signal id, not at the end of
	the parameter list.

2002-11-28  Chris Toshok  <toshok@ximian.com>
	[ roll forward from 1.2 branch, partial fix for #31763 ]
	* gui/component/select-names/select-names.glade: add the Find
	button back in.

2002-11-28  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/e-addressbook-view.c (create_minicard_view): remove
	the button_press_event handler (that did nothing).  this makes it
	so button presses actually get to the canvas (and therefore we can
	now drag the lines in the reflow widget).

2002-11-26  Chris Toshok  <toshok@ximian.com>

	* gui/contact-editor/e-contact-quick-add.c: add include for
	gtkstock.h.

	* gui/contact-list-editor/e-contact-list-model.c
	(e_contact_list_model_add_destination): add pre_change call.
	(e_contact_list_model_remove_row): same.
	(e_contact_list_model_remove_all): same.

	* gui/contact-list-editor/e-contact-list-editor.c
	(e_contact_list_editor_new): ref/sink the contact list editor so
	we don't get the floating unref warning from gtk.

	* gui/contact-editor/e-contact-editor.c (e_contact_editor_new):
	ref/sink the contact editor so we don't get the floating unref
	warning from gtk.
	(e_contact_editor_init): use g_build_filename instead of
	g_concat_dir_and_file.

	* gui/widgets/e-minicard-label.c
	(e_minicard_label_resize_children): use MAX (value, 0) to make
	sure we aren't passing negative values for clip-widths.

	* gui/widgets/e-minicard.c (e_minicard_realize): use MAX (value,
	0) to make sure we aren't passing negative values for widths.

	* gui/contact-editor/e-contact-editor.c (e_contact_editor_init):
	use g_build_filename.

2002-11-26  Chris Toshok  <toshok@ximian.com>

	[ roll forward from 1.2 branch ]
	* backend/pas/pas-backend-file.c
	(pas_backend_file_process_get_vcard): never pass NULL as the vcard
	to the corba call, it causes a crash.  This particular bug bit us
	when we opened a card that contained an unresolvable related
	contact.

2002-11-26  Chris Toshok  <toshok@ximian.com>

	[ roll forward from 1.2 branch, Fixes addressbook bug #28945 ]
	* backend/ebook/e-card.c (e_card_get_vobject): if the email
	property is xml, get the real address from the e-destination.
	Fixes saving contact lists.

2002-11-26  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/e-minicard.c (e_minicard_reflow): remove redundant
	setting of y2.

	* gui/contact-list-editor/e-contact-list-editor.c
	(e_contact_list_editor_init): show the table.

	* gui/component/select-names/e-select-names-completion.c: remove
	an unnecessary #include.

	* gui/component/addressbook-storage.c (addressbook_storage_setup):
	use g_build_filename.

	* gui/component/addressbook-component.c (remove_folder): use
	g_build_filename.
	(add_creatable_item): same.
	(ensure_completion_uris_exist): same, and use the right gconf
	paths for completion uris.

2002-11-26  Chris Toshok  <toshok@ximian.com>

	* gui/component/select-names/e-select-names-manager.c
	(read_completion_books_from_db): use new schema for
	completion/uris.
	(uris_listener): same.

	* gui/component/select-names/e-select-names.h: Convert to
	GtkDialog from GnomeDialog.
	
	* gui/component/select-names/e-select-names.c: Convert to
	GtkDialog from GnomeDialog.
	(folder_selected): use new schema for last_used_uri.
	(e_select_names_init): same.
	(e_select_names_set_default): use pango markup to set
	bold/not-bold.
	(e_select_names_add_section): don't bother creating an EEntry, we
	can use pango and a normal label.  This also keeps us from
	wrapping "contacts ->" at the '-'.

	* gui/component/apps_evolution_addressbook.schemas: new file.

	* gui/component/Makefile.am: add the schema stuff.

2002-11-24  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook-config.c (query_for_supported_bases):
	show the etable.
	(addressbook_add_server_druid): show_all before returning the
	dialog, so the druid shows up.

2002-11-23  Chris Toshok  <toshok@ximian.com>

	[ roll forward from the 1.2 branch.  fixes #25540, part of #29630,
	as well as other selection issues in the contact editor and ACL
	issues in the ldap backend ]
	* backend/pas/pas-backend-ldap.c (check_schema_support): reset the
	schema check state to FALSE if the read returned nothing (and the
	user had not authenticated).  we'll requery if/when they auth.
	(query_ldap_root_dse): free the schema dn before assigning over
	it.
	(pas_backend_ldap_connect): added a diagnostic warning about the
	root dse query failing in anonymous mode (if it in fact did fail.)
	(pas_backend_ldap_process_authenticate_user): if we successfully
	authed, requery the root dse to pick up any attributes that might
	be protected, and retry the schema query if that failed before.

	* gui/contact-editor/e-contact-editor.c (full_name_clicked): set
	the dialog's editable state based on the new field
	"fullname_editable", and only do the Ok button handling if this
	flag is TRUE.
	(full_addr_clicked): set the dialog's editable state based on the
	editable state for the particular address (from
	editor->address_editable[]).  also, only do the Ok button handling
	if this flag is TRUE.
	(_address_arrow_pressed): use the address_editable array to
	determine whether the address text and the mailing address
	checkbutton are sensitive.
	(enable_writable_fields): figure out if fullname_editable is
	TRUE/FALSE, also, init the address_editable flags based on the
	field list, and handle the address checkbutton.

	* gui/contact-editor/fulladdr.glade: change the label names to
	label-<name> to match {entry,combo}-<name>.

	* gui/contact-editor/fullname.glade: same.

	* gui/contact-editor/e-contact-editor-fullname.c
	(e_contact_editor_fullname_class_init): rename ARG_IS_READ_ONLY to
	ARG_EDITABLE, to reflect the correct sense of the flag.
	(e_contact_editor_fullname_set_arg): same, and make the labels
	sensitive/insensitive depending on the editable state of the
	dialog.

	* gui/contact-editor/e-contact-editor-address.c
	(e_contact_editor_address_class_init): rename ARG_IS_READ_ONLY to
	ARG_EDITABLE, to reflect the correct sense of the flag.
	(e_contact_editor_address_set_arg): same, and make the labels
	sensitive/insensitive depending on the editable state of the
	dialog.
	
2002-11-22  Chris Toshok  <toshok@ximian.com>

	[ roll forward Sean.Gao@sun.com's fix for #16870 from the 1.2
	branch ] 
	* backend/ebook/evolution-ldif-importer.c (getNextLDIFEntry):
	check for both LR and CRLF as empty line markers.

2002-11-22  Chris Toshok  <toshok@ximian.com>

	[ rolling forward fix for #34254 from 1.2 branch ]
	* backend/ebook/evolution-vcard-importer.c (check_file_is_vcard):
	use g-ascii_strncasecmp instead of strncmp.
	(support_format_fn): use g_ascii_strcasecmp instead of strcmp.

2002-11-20  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook-storage.h: roll forward the scope fix.

2002-11-20  Chris Toshok  <toshok@ximian.com>

	* gui/contact-editor/e-contact-editor.c: roll forward the fix for
	the contact editor.

2002-11-21  Not Zed  <NotZed@Ximian.com>

	* gui/component/select-names/e-select-names-bonobo.c
	(entry_changed): Pass type to bonobo_ctonrol_set_property, and
	also NULL terminate the valist.

	* gui/component/select-names/e-select-names-text-model.c
	(changed_cb): Fix signature for signal.

2002-11-19  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component/select-names/GNOME_Evolution_Addressbook_SelectNames.server.in.in,
	* gui/component/select-names/Makefile.am: Same changes as below
	for the SelectNames component.

2002-11-18  Chris Toshok  <toshok@ximian.com>

	* gui/component/select-names/e-select-names.c
	(e_select_names_init): show the custom table.

2002-11-18  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/gal-view-minicard.c (gal_view_minicard_attach):
	remove the cast to (int) - column_width is a double.

	* gui/widgets/e-minicard.c (e_minicard_class_init): the height
	property is only readable, not readwrite.

	* gui/widgets/e-minicard-view-widget.c
	(e_minicard_view_widget_class_init): make column_width a double
	property.
	(e_minicard_view_widget_set_property): don't cast to (int).
	column_width is double in the e-minicard-view.
	(e_minicard_view_widget_realize): same.
	(e_minicard_view_widget_get_property): use g_value_set_double for
	column_width.

2002-11-17  Chris Toshok  <toshok@ximian.com>

	* gui/component/select-names/Makefile.am (servers_DATA): oops,
	missed some "oaf"'s.

2002-11-16  Chris Toshok  <toshok@ximian.com>

	* gui/contact-editor/e-contact-editor.c
	(e_contact_editor_build_phone_ui): sink the popup.
	(e_contact_editor_build_email_ui): same.
	(e_contact_editor_build_address_ui): same.

	* gui/component/addressbook-config.c (ldap_dialog_new): show
	everything from dialog->page down, so custom widgets show up.

2002-11-15  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component/Makefile.am: Added rule to generate
	GNOME_Evolution_Addressbook.server.in from
	GNOME_Evolution_Addressbook.server.in.in, substituting
	@LIBEXECDIR@.

	* GNOME_Evolution_Addressbook.server.in.in: Renamed from
	GNOME_Evolution_Addressbook.server.in.  Added @LIBEXECDIR@ before
	the location of the executable.

	* gui/component/select-names/select-names.glade: Ported to Glade
	2.

	* gui/component/select-names/recipient.glade: Ported to Glade 2.

2002-11-15  Rodney Dawes  <dobey@ximian.com>

	* gui/component/addressbook-component.c: Use bonobo_main_quit.
	
2002-11-14  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/gal-view-factory-minicard.c: clean this up a tad.

	* gui/widgets/e-addressbook-view.c (init_collection): re-enable
	this.
	(setup_menus): same.

	* gui/widgets/gal-view-minicard.[ch]: more GObject work.

2002-11-12  Chris Toshok  <toshok@ximian.com>

	* gui/contact-editor/e-contact-editor.c (_popup_position): push_in
	= FALSE, no clue why... :)
	(_arrow_pressed): call g_signal_stop_emission here, seems to fix
	things.

	* gui/component/select-names/e-select-names.c
	(e_select_names_init): fix warnings.

	* gui/component/select-names/e-select-names-manager.c
	(e_select_names_manager_activate_dialog): fix warning.

	* gui/component/addressbook.c (forget_passwords_cb): remove the
	PENDING_PORT ifdef.
	(load_uri_auth_cb): same.
	(addressbook_authenticate): same.

	* gui/component/addressbook-factory.c (main): same.

	* gui/component/addressbook-storage.c (load_source_data): be
	silent about text nodes if they contain nothing but whitespace.

2002-11-11  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-card-cursor.c (pas_card_cursor_dispose): guard
	against multiple invocations.

	* backend/pas/pas-backend-ldap.c (view_destroy): change signature
	to that of a weak ref notify function.
	(cursor_destroy): same.
	(pas_backend_ldap_book_destroy_cb): same.
	(get_cursor_handler): ::destroy -> weak_ref.
	(pas_backend_ldap_process_get_book_view): same.
	(pas_backend_ldap_add_client): same.

	* backend/pas/pas-backend-file.c (cursor_destroy): change
	signature to that of a weak ref notify function.
	(view_destroy): same.
	(pas_backend_file_book_destroy_cb): same.
	(pas_backend_file_process_get_cursor): ::destroy -> weak_ref.
	(pas_backend_file_process_get_book_view): same.
	(pas_backend_file_process_get_completion_view): same.
	(pas_backend_file_process_get_changes): same.
	(pas_backend_file_add_client): same.

	* backend/ebook/test-client.c (get_cursor_cb): unref the book and
	exit here.
	(get_card_cb): pass a query string to get_cursor.

	* backend/ebook/e-book-view.c (e_book_view_class_init): correct
	marshaller for "card_added".

2002-11-11  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/test-reflow.c (destroy_callback): change signature
	to that of a weak ref notify function.
	(main): ::destroy -> weak_ref.

	* gui/widgets/test-minicard.c (destroy_callback): change signature
	to that of a weak ref notify function.
	(main): ::destroy -> weak_ref.

	* gui/widgets/test-minicard-view.c (destroy_callback): change
	signature to that of a weak ref notify function.
	(main): ::destroy -> weak_ref.

	* gui/widgets/test-minicard-label.c (destroy_callback): change
	signature to that of a weak ref notify function.
	(main): ::destroy -> weak_ref.

	* gui/widgets/e-minicard-widget.c (e_minicard_widget_init): ifdef
	out the call to gnome_canvas_set_scroll_region.  It doesn't seem
	necessary judging from the rest of the code, and it also crashes
	the addressbook if it's in.

	* gui/widgets/e-minicard-widget-test.c (destroy_callback): change
	signature to that of a weak ref notify function.
	(main): ::destroy -> weak_ref.

	* gui/widgets/e-minicard-control.c (free_struct): change signature
	to that of a weak ref notify function.
	(e_minicard_control_factory): ::destroy -> weak_ref.

	* gui/widgets/e-addressbook-view.c (e_addressbook_view_init):
	::destroy -> weak_ref.
	(e_addressbook_view_print): same.
	(free_closure): change signature to that of a weak ref notify
	function.
	(e_contact_print_destroy): same.
	(invisible_destroyed): same.

	* gui/widgets/e-addressbook-util.c
	(e_addressbook_prompt_save_dialog): convert from GnomeDialog to
	GtkDialog.
	(e_addressbook_show_multiple_cards): same.

	* gui/contact-list-editor/e-contact-list-editor.c
	(prompt_to_save_changes): change response ids to use
	GTK_RESPONSE_.

	* gui/component/select-names/e-select-names-manager.c
	(clear_widget): new function.
	(e_select_names_manager_activate_dialog): ::destroy -> weak_ref.

	* gui/component/select-names/e-select-names.c (clear_widget):
	change signature to that of a weak ref notify function.
	(e_select_names_init): ::destroy -> weak_ref.

	* gui/component/e-address-popup.c (mini_wizard_destroy_cb): change
	signature to that of a weak ref notify function.
	(mini_wizard_new): ::destroy -> weak_ref.

	* gui/component/addressbook-config.c
	(addressbook_source_dialog_destroy): change signature to that of a
	weak ref notify function.
	(ldap_config_control_destroy_callback): same.
	(addressbook_add_server_druid): ::destroy -> weak_ref.
	(addressbook_edit_server_dialog): same.
	(ldap_config_control_new): same.

	* gui/component/addressbook.c (destroy_callback): change signature
	to that of a a weak ref notify function.
	(addressbook_factory_new_control): ::destroy -> weak_ref.

	* gui/merging/e-card-merging.c (response): rename clicked to this,
	and destroy the dialog here.
	(match_query_callback): ::clicked -> ::response

	* gui/merging/e-card-merging-book-commit-duplicate-detected.glade:
	convert.

	* gui/merging/e-card-duplicate-detected.glade: same.

2002-11-11  Chris Toshok  <toshok@ximian.com>

	* gui/contact-editor/e-contact-editor.c (_arrow_pressed): change
	around a little, still ifdefed though.

	* gui/contact-editor/e-contact-save-as.c (file_exists): same.
	(save_it): deal with the GtkDialog response ids.

	* gui/contact-editor/e-contact-editor.c
	(e_contact_editor_confirm_delete): just build the dialog here
	(using gtk_message_dialog*).

	* gui/contact-editor/Makefile.am (glade_DATA): remove
	file-exists.glade and e-contact-editor-confirm-delete.glade.

2002-11-11  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-card-cursor.c (pas_card_cursor_dispose): guard
	against multiple invocations.

	* backend/pas/pas-backend-ldap.c (view_destroy): change signature
	to that of weak ref's notify function - also, don't use the type
	check macros on the freed GObject.
	(cursor_destroy): same.
	(pas_backend_ldap_book_destroy_cb): same.
	(pas_backend_ldap_add_client): use weak_ref insteead of ::destroy.
	(get_cursor_handler): same.
	(pas_backend_ldap_process_get_book_view): same.

	* backend/pas/pas-backend-file.c (cursor_destroy): change
	signature to that of weak ref's notify function - also, don't use
	the type check macros on the freed GObject.
	(pas_backend_file_book_destroy_cb): same.
	(view_destroy): same.
	(pas_backend_file_process_get_cursor): use weak_ref instead of
	::destroy.
	(pas_backend_file_process_get_book_view): same.
	(pas_backend_file_process_get_completion_view): same.
	(pas_backend_file_process_get_changes): same.
	(pas_backend_file_add_client): same.

2002-11-10  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-backend-card-sexp.c
	(pas_backend_card_sexp_dispose): guard against multiple
	invocations.
	
	* backend/pas/pas-card-cursor.c (pas_card_cursor_dispose): same.

	* backend/pas/pas-book.c (pas_book_dispose): same.

	* backend/pas/pas-book-view.c (pas_book_view_dispose): same.

	* backend/pas/pas-book-factory.c (pas_book_factory_dispose): same.

	* backend/pas/pas-backend-summary.c (pas_backend_summary_dispose): same.

	* backend/pas/pas-backend-ldap.c (pas_backend_ldap_dispose): same.

	* backend/pas/pas-backend-file.c (pas_backend_file_dispose): same.

	* backend/ebook/e-book-listener.c (e_book_listener_dispose): guard
	against multiple invocations.

	* backend/ebook/e-card.c (e_card_dispose): same.

	* backend/ebook/e-card-simple.c (e_card_simple_dispose): same.

	* backend/ebook/e-card-cursor.c (e_card_cursor_dispose): same.

	* backend/ebook/e-book.c (e_book_dispose): same.

	* backend/ebook/e-book-view-listener.c (e_book_view_listener_dispose): same.

2002-11-08  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/e-addressbook-model.c (free_data): guard against
	multiple invocations.
	(remove_book_view): same.
	(addressbook_dispose): same.

	* gui/widgets/e-addressbook-view.c (e_addressbook_view_dispose):
	same.

	* gui/widgets/e-minicard-view-widget.c
	(e_minicard_view_widget_dispose): same.

	* gui/widgets/e-minicard-view.c (e_minicard_view_dispose): same.

	* gui/widgets/e-minicard-widget.c (e_minicard_widget_dispose):
	same.

2002-11-08  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/e-addressbook-reflow-adapter.c
	(addressbook_get_property): oops, missed these casts.

	* gui/component/addressbook.c (get_master_list): remove the
	PENDING_PORT_WORK ifdef, just ported ECategoriesMasterList.
	(make_suboptions): same.

	* gui/contact-editor/e-contact-editor.c (categories_clicked):
	same.

2002-11-08  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/test-reflow.c: port work.

	* gui/widgets/test-minicard-view.c: port work.

	* gui/widgets/e-minicard.[ch]: port work.
	
	* gui/widgets/e-minicard-widget.c: port work.

	* gui/widgets/e-minicard-view.c: port work.

	* gui/widgets/e-minicard-view-widget.c
	(e_minicard_view_widget_size_allocate): gtk_->g_ change i missed.
	(e_minicard_view_widget_reflow): same.

	* gui/widgets/e-minicard-label.c: port work.

	* gui/widgets/e-minicard-control.c (get_prop): gtk_->g_ change i
	missed.

	* gui/widgets/e-addressbook-view.c (setup_menus): ifdef this
	PENDING_PORT_WORK for now.
	(has_email_address_1): gtk_->g_ change i missed.
	(print): remove the PENDING_PORT_WORK from here, as the print_*
	symbols now resolve.
	(delete): gtk_->g_ changes.
	(new_card): same.
	(new_list): same.
	(sources): same.
	(create_minicard_view): same.
	(table_double_click): same.
	(create_table_view): same.
	(e_contact_print_destroy): same.
	(e_contact_print_button): same.
	(e_addressbook_view_print): same, and remove the PENDING_PORT_WORK
	ifdef.
	(e_addressbook_view_print_preview): same.
	(do_remove): gtk_->g_ changes.
	(e_addressbook_view_save_state): same.
	(view_transfer_cards): same.

	* gui/widgets/e-addressbook-view.h (struct _EAddressbookView):
	GtkObject -> GObject.

	* gui/widgets/e-addressbook-util.c (e_addressbook_error_dialog):
	GnomeDialog -> GtkDialog.

	* gui/widgets/e-addressbook-table-adapter.c
	(addressbook_set_value_at): a gtk_->g_ change i missed.
	(e_addressbook_table_adapter_class_init): gtk_type_class ->
	g_type_class_peek_parent.

	* gui/widgets/e-addressbook-reflow-adapter.c
	(addressbook_get_property): use g_object_get_property for
	aggregated properties.
	(e_addressbook_reflow_adapter_class_init): gtk_type_class ->
	g_type_class_peek_parent.

	* gui/merging/e-card-merging.c (match_query_callback): some misc
	gtk_->g_ changes i missed.

2002-11-08  Chris Toshok  <toshok@ximian.com>

	* gui/component/select-names/e-select-names-model.h: parent class
	is GObjectClass.

	* gui/component/select-names/e-simple-card-bonobo.c
	(impl_dispose): guard against multiple invocations, and chain
	dispose.

	* gui/component/select-names/e-select-names.c
	(e_select_names_dispose): guard against multiple invocations.

	* gui/component/select-names/e-select-names-text-model.c
	(e_select_names_text_model_dispose): guard against multiple
	invocations.
	(e_select_names_text_model_set_source): fix casts.

	* gui/component/select-names/e-select-names-table-model.c
	(e_select_names_table_model_add_source): remove the GTK_OBJECT
	cast, fixes a warning.
	(clear_info): guard against multiple invocations from ::dispose.

	* gui/component/select-names/e-select-names-manager.c
	(e_select_names_manager_dispose): same.

	* gui/component/select-names/e-select-names-completion.c
	(e_select_names_completion_dispose): same.

	* gui/component/select-names/e-select-names-bonobo.c
	(impl_dispose): guard against multiple invocations.

2002-11-08  Chris Toshok  <toshok@ximian.com>

	* gui/contact-list-editor/contact-list-editor.glade: convert to glade-2

	* gui/contact-list-editor/e-contact-list-editor.c: port work.
	
	* gui/contact-list-editor/e-contact-list-model.[ch]: port work.

2002-11-08  Chris Toshok  <toshok@ximian.com>

	* gui/contact-editor/e-contact-editor-address.[ch]: port work.

	* gui/contact-editor/e-contact-editor-fullname.[ch]: port work.

	* gui/contact-editor/e-contact-editor.[ch]: port work.

	* gui/contact-editor/e-contact-quick-add.c: port work.

	* gui/contact-editor/e-contact-save-as.c: port work.

2002-11-08  Chris Toshok  <toshok@ximian.com>

	* backend/ebook/e-book-util.c
	(set_default_book_uri_from_config_db): prepend /apps/Evolution to
	config db paths.
	
	* gui/component/select-names/e-select-names-manager.c (read_completion_books_from_db): same.
	(uris_listener): same.

2002-11-08  Chris Toshok  <toshok@ximian.com>

	* gui/contact-editor/e-contact-editor.c: more porting work.

	* e-contact-editor-fullname.[ch]: more porting work.

	* e-contact-editor.c: more porting work.

	* e-contact-quick-add.c: more porting work.

	* e-contact-save-as.c: more porting work.

	* test-editor.c: more porting work.
	
	* e-contact-editor-confirm-delete.glade, file-exists.glade,
	fulladdr.glade, fullname.glade: run these through
	libglade-convert.

2002-11-07  Chris Toshok  <toshok@ximian.com>

	* gui/component/Makefile.am (evolution_addressbook_LDADD): add
	lots of libs back in since they're building now.

	* gui/component/addressbook-config.c: more porting work.

	* gui/component/addressbook.c: more porting work.

	* gui/component/e-address-popup.[ch]: more porting work.
	
	* gui/component/e-address-widget.[ch]: more porting work.
	
	* gui/component/e-cardlist-model.[ch]: more porting work.
	
2002-11-07  Chris Toshok  <toshok@ximian.com>

	* gui/component/select-names/e-select-names-bonobo.[ch]: more
	porting work.

	* gui/component/select-names/e-select-names-completion.[ch]: more
	porting work.

	* gui/component/select-names/e-select-names-manager.[ch]: more
	porting work.
	
	* gui/component/select-names/e-select-names-model.[ch]: more
	porting work.
	
	* gui/component/select-names/e-select-names-popup.c: more
	porting work.
	
	* gui/component/select-names/e-select-names-table-model.[ch]: more
	porting work.
	
	* gui/component/select-names/e-select-names-text-model.[ch]: more
	porting work.
	
	* gui/component/select-names/e-select-names.[ch]: more
	porting work.
	
2002-11-07  Chris Toshok  <toshok@ximian.com>

	* backend/ebook/Makefile.am: tests are linking now, and link in
	libcamel.la.

	* backend/ebook/e-destination.c (e_destination_get_name): un-ifdef
	since camel is compiling.
	(e_destination_get_email): same.
	(e_destination_get_address): same.
	(e_destination_get_textrep): same.

	* backend/ebook/e-card-compare.c (name_fragment_match): use e_utf8_casefold_*.
	(name_fragment_match_with_synonyms): same.
	(e_card_compare_name_to_string_full): same.
	(e_card_compare_name): same.

2002-11-07  Chris Toshok  <toshok@ximian.com>

	* backend/ebook/e-book-util.h: add prototypes for e_utf8_casefold_collate{_len}

	* backend/ebook/e-book-util.c (e_utf8_casefold_collate_len): move
	utf8_casefold_collate_len here.
	(e_utf8_casefold_collate): move utf8_casefold_collate here.

2002-11-06  Chris Toshok  <toshok@ximian.com>

	* printing/e-contact-print-envelope.c: port this to
	gnome2/gnomeprint2.

	* printing/e-contact-print-style-editor.c: same.

	* printing/e-contact-print.c: same.

	* printing/test-contact-print-style-editor.c: same.

	* printing/test-print.c: same.

	* printing/e-contact-print.glade: libglade-convert to libglade-2.
	
	* printing/Makefile.am (contact_print_test_LDADD)
	(contact_print_style_editor_test_LDADD): remove libcamel.la from
	these for the time being to get things linking.

2002-11-06  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/gal-view-minicard.[ch]: gobjectify this.

	* gui/widgets/e-minicard.[ch]: gobjectify this.
	(e_minicard_class_init): change the
	min/max values of the width/height paramspecs so that they can
	actually be set to something other than 0.0.

	* gui/widgets/e-minicard-widget.[ch]: gobjectify this.

	* gui/widgets/e-minicard-view.[ch]: gobjectify this.
	(set_empty_message): don't need e_utf8_from_locale_string anymore.

	* gui/widgets/e-minicard-view-widget.[ch]: gobjectify this.

	* gui/widgets/e-minicard-label.[ch]: gobjectify this.

	* gui/widgets/e-addressbook-view.[ch]: gobjectify this.

	* gui/widgets/e-addressbook-table-adapter.[ch]: gobjectify this.

	* gui/widgets/e-addressbook-reflow-adapter.[ch]: gobjectify this.

	* gui/widgets/e-addressbook-model.[ch]: gobjectify this.

	* gui/widgets/e-minicard-control.c (e_minicard_control_factory):
	fix bonobo_persist_stream_new api change.

	* gui/contact-list-editor/e-contact-list-model.c
	(e_contact_list_model_add_destination): get rid of the
	gtk_object_sink here.

	* gui/component/ldap-config.glade: glade-2 version of this file.
	
	* gui/component/e-address-popup.c (e_address_popup_refresh_names):
	don't need e_utf8_to_gtk_string anymore.

	* gui/component/addressbook.c (make_suboptions): don't need
	e_utf8_to_locale_string anymore.

	* gui/component/addressbook-config.c
	(addressbook_dialog_get_source): get rid of the e_utf8 gtk_entry
	functions.
	(addressbook_source_dialog_set_source): same.
	(general_tab_check): same.
	(port_changed_func): same.
	(connecting_tab_check): same.
	(query_for_supported_bases): same.
	(display_name_check): same.
	(display_name_page_prepare): same.
	(edit_source_clicked): same.
	(addressbook_config_create_new_source): same.

2002-11-06  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-backend-card-sexp.c
	(pas_backend_card_sexp_class_init): use g_type_class_peek_parent.

	* backend/pas/pas-card-cursor.c (pas_card_cursor_class_init): same.

	* backend/pas/pas-book-view.c (pas_book_view_class_init): same.

	* backend/pas/pas-book-factory.c (pas_book_factory_class_init): same.

	* backend/pas/pas-backend-summary.c (pas_backend_summary_class_init): same.

	* backend/pas/pas-backend-ldap.c (pas_backend_ldap_class_init): same.

	* backend/pas/pas-backend-file.c (pas_backend_file_class_init): same.

	* backend/ebook/e-book-marshal.list: ENUM -> INT.

	* backend/ebook/e-book-view.c (e_book_view_dispose): guard against
	this being called multiple times.
	(e_book_view_class_init): ENUM -> INT in the sequence_complete
	signal.
	
	* backend/ebook/e-book.c (e_book_do_response_open): un-ifdef the
	component_died signal stuff.

2002-11-06  Chris Toshok  <toshok@ximian.com>

	* backend/ebook/e-book-util.c (e_book_expand_uri): call
	g_build_filename, not g_build_path.

2002-11-06  Chris Toshok  <toshok@ximian.com>

	* backend/ebook/e-destination.[ch]: fix the gnome-xml headers.

2002-11-06  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/gal-view-minicard.c: fix the gnome-xml headers.

	* gui/widgets/e-addressbook-view.c
	(e_addressbook_view_class_init): convert from gtk signals and args
	to GSignal and GObject properties.
	(e_addressbook_view_dispose): rename _destroy to this.
	(e_addressbook_view_set_property): rework _set_arg to this.
	(e_addressbook_view_get_property): rework _get_arg to this.
	(display_view): if we're here we need to choose a view, regardless
	of whether or not the GAL_IS_VIEW_* macros tell us which type it
	is.

	* gui/widgets/e-addressbook-table-adapter.c: fix the gnome-xml
	headers.

	* gui/widgets/e-addressbook-model.c
	(e_addressbook_model_class_init): use INT, not ENUM in the signal here.

	* gui/component/addressbook-config.c: another big gtk_* -> g_*
	renaming.
	
	* gui/component/addressbook.c: same.

	* gui/component/e-address-popup.c: same.

	* gui/component/e-address-widget.c: same.
	
	* gui/component/e-cardlist-model.c: fix the gnome-xml headers, and
	more gtk_* -> g_* renaming.
	
	* gui/component/addressbook-component.c (owner_set_cb): use
	evolution_shell_client_corba_objref as per ettore's change to
	EvolutionShellClient..
	(create_view): fix the call to bonobo_control_set_property.
	(create_component): gtk_signal_connect -> g_signal_connect.

	* gui/component/addressbook-storage.c: fix the gnome-xml
	headers.
	(addressbook_storage_setup): use
	evolution_shell_client_corba_objref as per ettore's change to
	EvolutionShellClient..
	(addressbook_get_other_contact_storage): gtk_signal_connect ->
	g_signal_connect.
	(load_source_data): root->childs -> root->childrens.

2002-11-06  Chris Toshok  <toshok@ximian.com>

	* gui/search/e-addressbook-search-dialog.c: fix some #include's.

2002-11-06  Chris Toshok  <toshok@ximian.com>

	* Makefile.am (SUBDIRS): only build the backend and gui dirs for
	now.  printing and conduits are no-man's land at present.

	* addressbook/gui/merging/e-card-merging.[ch]: Port to
	GObject/gnome2.
	
2002-11-05  Chris Toshok  <toshok@ximian.com>

	* gui/component/.cvsignore: ignore the new .server file.
	
	* gui/component/Makefile.am: typical port stuff.  switch the .oaf
	to .server, and leave out a lot of libs so we can actually get
	things linking.
	
	* gui/component/GNOME_Evolution_Addressbook.server.in: rename
	.oaf.in here.
	
	* gui/component/addressbook-component.c: Port to GObject/gnome2.
	
	* gui/component/addressbook-config.c: Port to GObject/gnome2.

	* gui/component/addressbook-factory.c: Port to GObject/gnome2.

	* gui/component/addressbook-storage.c: Port to GObject/gnome2.

	* gui/component/addressbook.[ch]: Port to GObject/gnome2.

	* gui/component/e-address-popup.[ch]: Port to GObject/gnome2.

	* gui/component/e-address-widget.[ch]: Port to GObject/gnome2.

	* gui/component/e-cardlist-model.h: Port to GObject/gnome2.
	
2002-11-05  Chris Toshok  <toshok@ximian.com>

	* gui/contact-list-editor/.cvsignore: ignore the marshal generated
	stuff.
	
	* gui/contact-list-editor/Makefile.am: typical port stuff.  add
	marshaller generation foo, dist it...
	
	* gui/contact-list-editor/e-contact-list-editor.[ch]: Port to
	GObject/gnome2.
	
	* gui/contact-list-editor/e-contact-list-model.[ch]: Port to
	GObject/gnome2.

2002-11-05  Chris Toshok  <toshok@ximian.com>

	* gui/contact-editor/.cvsignore: ignore the marshal generated
	stuff.
	
	* gui/contact-editor/Makefile.am: typical port stuff.  add
	marshaller generation foo, dist it...
	
	* gui/contact-editor/e-contact-editor-address.[ch]: Port to GObject/gnome2.
	
	* gui/contact-editor/e-contact-editor-fullname.c: Port to GObject/gnome2.
	
	* gui/contact-editor/e-contact-editor.c: Port to GObject/gnome2.
	
	* gui/contact-editor/e-contact-quick-add.c: Port to GObject/gnome2.
	
	* gui/contact-editor/e-contact-save-as.[ch]: Port to GObject/gnome2.
	
	* gui/contact-editor/test-editor.c: Port to GObject/gnome2.
	
2002-11-05  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/e-addressbook-model.[ch]: Port to GObject/gnome2.

	* gui/widgets/e-addressbook-reflow-adapter.c: Port to
	GObject/gnome2.

	* gui/widgets/e-addressbook-table-adapter.c: Port to
	GObject/gnome2.

	* gui/widgets/e-addressbook-util.c: Port to GObject/gnome2.

	* gui/widgets/e-addressbook-view.[ch]: Port to GObject/gnome2.

	* gui/widgets/e-minicard-control.c: Port to GObject/gnome2.

	* gui/widgets/e-minicard-label.[ch]: Port to GObject/gnome2.

	* gui/widgets/e-minicard-view-widget.[ch]: Port to GObject/gnome2.

	* gui/widgets/e-minicard-view.[ch]: Port to GObject/gnome2.

	* gui/widgets/e-minicard-widget-test.c: Port to GObject/gnome2.

	* gui/widgets/e-minicard-widget.c: Port to GObject/gnome2.

	* gui/widgets/e-minicard.[ch]: Port to GObject/gnome2.

	* gui/widgets/gal-view-factory-minicard.c: Port to GObject/gnome2.

	* gui/widgets/gal-view-minicard.c: Port to GObject/gnome2.
	
	* gui/widgets/test-minicard-label.c: Port to GObject/gnome2.
	
	* gui/widgets/test-minicard-view.c: Port to GObject/gnome2.
	
	* gui/widgets/test-minicard.c: Port to GObject/gnome2.
	
	* gui/widgets/test-reflow.c: Port to GObject/gnome2.
	
	* gui/widgets/Makefile.am: typical port stuff.  add marshaller
	generation foo, dist it...

	* gui/widgets/.cvsignore: ignore the marshaller stuff.

2002-11-05  Chris Toshok  <toshok@ximian.com>

	* gui/component/select-names/e-simple-card-bonobo.[ch]: Port to
	GObject/gnome2.
	
	* gui/component/select-names/e-select-names.[ch]: Port to
	GObject/gnome2.
	
	* gui/component/select-names/e-select-names-text-model.c: Port to
	GObject/gnome2.
	
	* gui/component/select-names/e-select-names-table-model.c: Port to
	GObject/gnome2.
	
	* gui/component/select-names/e-select-names-popup.[ch]: Port to
	GObject/gnome2.

	* gui/component/select-names/e-select-names-model.c: Port to
	GObject/gnome2.

	* gui/component/select-names/e-select-names-manager.[ch]: Port to
	GObject/gnome2.

	* gui/component/select-names/e-select-names-factory.c: Port to
	GObject/gnome2.

	* gui/component/select-names/e-select-names-completion.[ch]: Port
	to GObject/gnome2.

	* gui/component/select-names/e-select-names-bonobo.[ch]: Port to
	GObject/gnome2.

	* gui/component/select-names/Makefile.am: typical port stuff.  add
	marshaller generation foo, dist it, and switch the .oaf to .server

	* gui/component/select-names/.cvsignore: ignore the marshaller
	stuff.

2002-11-05  Chris Toshok  <toshok@ximian.com>

	* backend/ebook/.cvsignore: ignore the generated marshaller files.

	* backend/ebook/e-destination.c (e_destination_dispose): rename
	e_destination_destroy.
	(e_destination_equal): ifdef this out for now, PENDING_PORT_WORK.
	(e_destination_get_name): same.
	(e_destination_get_email): same.
	(e_destination_get_address): same.
	(e_destination_get_textrep): same.

	* backend/ebook/Makefile.am: don't build the executables
	(importers and loaders) for now.  Also, s/oaf/server, and use
	INTLTOOL_SERVER_RULE.

	* backend/ebook/e-book-util.c (e_book_get_config_database):
	un-#ifdef this.
	(e_book_default_book_open): un-#ifdef ths code in here that relies
	on the e_config_listener.

2002-11-05  Dan Winship  <danw@ximian.com>

	* backend/pas/pas-backend-ldap.c (send_pending_adds): copy a
	memleak fix from pas-backend-ad.

2002-11-05  Chris Toshok  <toshok@ximian.com>

	* backend/ebook/e-card.c: g_date_* => g_date_get_*, fixes
	G_DISABLE_DEPRECATED build.

	* backend/ebook/e-book-listener.[ch]: remove the servant crap i'd
	c&p'ed and put in here.

	* backend/ebook/e-book-view-listener.[ch]: remove the servant crap
	i'd c&p'ed and put in here.
	
	* backend/pas/pas-book-factory.[ch]: subclass from BonoboObject,
	and remove the servant crap from here too.  whee.

	* backend/pas/pas-card-cursor.[ch]: remove the servant crap i'd
	c&p'ed and put in here.

	* backend/pas/pas-book.[ch]: remove the servant crap i'd c&p'ed
	and put in here.

	* backend/pas/pas-book-view.[ch]: remove the servant crap i'd
	c&p'ed and put in here.

2002-11-05  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-backend-card-sexp.[ch]: port to gnome 2.

	* backend/pas/pas-backend-file.[ch]: same.

	* backend/pas/pas-backend-file.[ch]: same.

	* backend/pas/pas-backend-ldap.[ch]: same.

	* backend/pas/pas-backend-summary.[ch]: same.

	* backend/pas/pas-backend.[ch]: same.

	* backend/pas/pas-book-factory.[ch]: same.

	* backend/pas/pas-book-view.[ch]: same.

	* backend/pas/pas-book.[ch]: same.

	* backend/pas/pas-card-cursor.[ch]: same.

	* backend/pas/pas-marshal.list: list of marshallers.

	* backend/pas/Makefile.am (libpas_a_SOURCES): add pas-marshal.c
	also add the marshal building foo.

	* backend/pas/.cvsignore: ignore pas-marshal.[ch]
	
2002-11-05  Chris Toshok  <toshok@ximian.com>

	* backend/ebook/test-client-list.c (main): don't call
	bonobo_activation_init directly.

	* backend/ebook/test-client.c (get_card_cb): don't unref the card
	here since we never reffed it.
	(main): no need to call bonobo_activation_init, as
	gnome_program_init did it for us.

	* backend/ebook/e-card-simple.c (e_card_simple_get_property):
	s/g_value_{set,get}_pointer/g_value_{set,get}_object

	* backend/ebook/e-book-util.c (set_default_book_uri_local): make
	sure to terminate args with NULL for g_build_filename.

	* backend/ebook/e-book-listener.c: nuke e_book_listener_get_type
	and use the BONOBO_TYPE_FUNC_FULL macro.

	* backend/ebook/e-book-listener.h: add the epv to
	EBookListenerClass so BONOBO_TYPE_FUNC_FULL works.

	* backend/ebook/e-book-view-listener.c: nuke
	e_book_view_listener_get_type and use the BONOBO_TYPE_FUNC_FULL
	macro.

	* backend/ebook/e-book-view-listener.h: add the epv to
	EBookViewListenerClass so BONOBO_TYPE_FUNC_FULL works.

2002-11-02  Chris Toshok  <toshok@ximian.com>

	* backend/ebook/e-book-types.h: just include glib.h instead of the
	gtk stuff.

	* backend/ebook/e-book-listener.[ch]: convert to
	GObject/bonobo-activation/etc/etc.
	* e-book-util.[ch]: same.
	* e-book-view-listener.[ch]: same.
	* e-book-view.[ch]: same.
	* e-book.[ch]: same.
	* e-card-compare.[ch]: same.
	* e-card-cursor.[ch]: same.
	* e-card-simple.[ch]: same.
	* e-card.[ch]: same.
	* e-destination.[ch]: same.
	* evolution-ldif-importer.c: same.
	* evolution-vcard-importer.c: same.
	* load-gnomecard-addressbook.c: same.
	* load-pine-addressbok.c: same.
	* test-card.c: same.
	* test-client-list.c: same.
	* test-client.c: same.

	* backend/ebook/Makefile.am: add e-book-marshal.c to SOURCES, add
	e-book-marshal.[ch] to CLEANFILES, and add e-book-marshal.list to
	EXTRA_DIST.  Also, remove the camel libs from the test LDADD's,
	and leave e-destination.[ch] out of the build.

	* backend/ebook/.cvsignore: ignore e-book-marshal.[ch]

	* backend/ebook/e-book-marshal.list: marshallers for e-book.

2002-10-28  Larry Ewing  <lewing@ximian.com>

	* backend/ebook/e-card.c (addPropValueUTF8): never set the charset
	on an item without also encoding it.  Mime messages don't like
	parts with multiple charsets. 	

2002-10-25  Dan Winship  <danw@ximian.com>

	* gui/widgets/e-addressbook-model.c (addressbook_destroy):
	Disconnect from the book's backend_died signal.

2002-10-24  Chris Toshok  <toshok@ximian.com>

       * backend/pas/Makefile.am: install evolutionperson.schema to
       $(datadir)/evolution.

2002-10-24  Chris Toshok  <toshok@ximian.com>

	[ fixes #29144 ]
	* gui/component/addressbook-config.c (edit_dialog_store_change):
	use e_table_memory_storage_change instead of remove/insert, so the
	selection is maintained.

2002-10-22  Dan Winship  <danw@ximian.com>

	* gui/component/select-names/e-select-names.c
	(folder_selected): Set /Addressbook/select_names_uri in the
	configdb to the selected folder.
	(e_select_names_init): Look for /Addressbook/select_names_uri
	before /DefaultFolders/contacts_uri for the initial folder. So the
	select names dialog now starts up using the same folder you used
	last time, which is useful when you have an LDAP company directory
	(which can't be your default contacts folder because it's
	read-only).

2002-10-21  Dan Winship  <danw@ximian.com>

	* gui/component/addressbook-component.c (IS_CONTACT_TYPE): fix the
	sense of a strcmp

2002-10-20  Chris Toshok  <toshok@ximian.com>

	[ fix for #23764 ]
	* gui/widgets/e-addressbook-view.c (jump_to_letters): handle
	multiple letters associated with a single button.
	(button_toggled): closure->letter -> closure->letters.
	(free_closure): free closure->letters.
	(create_alphabet): init closure->letters.

2002-10-20  Chris Toshok  <toshok@ximian.com>

	[ fixes #29067 ] 
	* backend/pas/pas-backend-file.c (pas_backend_file_search): we
	need to create a card_sexp even when doing summary queries since
	it's used to check modifications of cards in the view.

2002-10-20  Chris Toshok  <toshok@ximian.com>

       [ fixes #32144 ]
	* gui/contact-editor/e-contact-save-as.c (e_contact_save_as):
	convert the name to the gtk locale before saving.
	(e_contact_list_save_as): same.
	
2002-10-19  Chris Toshok  <toshok@ximian.com>

	[ probable fix for #25477, and memory leak fix ]
	* gui/contact-editor/e-contact-editor.c (supported_fields_cb): if
	the dialog isn't in the list of all dialogs it's been destroyed so
	just return here.

	* backend/ebook/e-book.c
	(e_book_do_response_get_supported_fields): plug leak of
	resp->fields.

2002-10-15  Dan Winship  <danw@ximian.com>

	* backend/ebook/e-card.c (e_card_email_match_string): Return right
	away rather than crashing if card->email is NULL.
	(e_card_email_find_number): Likewise.

2002-10-10  Kjartan Maraas  <kmaraas@gnome.org>

	[ Fix #7094, #7064, #7095, #31944, #31945 ]
	* gui/component/Makefile.am: Hook up new etspec file.
	* gui/component/addressbook-config.c: Remove ETable spec.
	* gui/component/addressbook-config.etspec: New file.
	* gui/component/ldap-config.glade: Fix typo.
	* gui/component/select-names/e-select-names.c: Remove inline spec.
	* gui/component/select-names/e-select-names.etspec: New file.
	* gui/contact-list-editor/Makefile.am: Hook up etspec.
	* gui/contact-list-editor/e-contact-list-editor.c: Remove inline spec.
	* gui/contact-list-editor/e-contact-list-editor.etspec: New file.
	* gui/widgets/Makefile.am: Hook up new spec.
	* gui/widgets/e-addressbook-view.c: Remove inline spec.
	* gui/widgets/e-addressbook-view.etspec: New file.

2002-10-02  Chris Toshok  <toshok@ximian.com>

	[ Fix #28392 ]
	* gui/widgets/e-addressbook-view.c (do_popup_menu): #if 0 out the
	gal_view submenu, since it's not spec'ed to be there anyway (as
	per bug #16250).

2002-09-30  Chris Toshok  <toshok@ximian.com>

	[ Fixes #31321 ]
	* backend/ebook/e-card.c (e_card_get_vobject): add VERSION:2.1 to
	exported vCards.

2002-09-30  Chris Toshok  <toshok@ximian.com>

	[ Fixes #31434 ]
	* backend/pas/pas-backend-file.c (do_summary_query): always
	retrieve the card from the db.  use the summary strictly for
	matching, not for storing all information.  This fixes completion
	of contact lists, since only 3 addresses were being stored and
	contact lists can have more.

2002-09-30  Aaron Weber  <aaron@ximian.com>

	* gui/widgets/e-addressbook-util.c (e_addressbook_show_multiple_cards): rephrase string on l. 213
	
2002-09-30  Dan Winship  <danw@ximian.com>

	* backend/ebook/e-card.c (e_card_list_send): update for
	Composer_setHeaders change.

2002-09-27  Chris Toshok  <toshok@ximian.com>

	[ fixes #27521 ]
	* gui/contact-editor/e-contact-quick-add.c (editor_closed_cb):
	always unref the contact editor when we get the editor_closed
	signal.

2002-09-27  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-backend-ldap.c (check_schema_support): set the
	timeout to 30 seconds.
	(query_ldap_root_dse): same, and also return the ldap_error since
	this function is the one that actually causes openldap to
	connect() to the ldap host.
	(pas_backend_ldap_connect): check the return value of
	query_ldap_root_dse, and error out if it's not SUCCESS.

2002-09-26  Dan Winship  <danw@ximian.com>

	* gui/component/addressbook-storage.c (load_source_data): Change
	folder type to "contacts/ldap".
	(addressbook_storage_add_source): Likewise.
	(create_ldap_folder): Check for type being "contacts" not
	ldap contacts, since the ldap-specific type doesn't appear in the
	menu.

2002-09-25  Dan Winship  <danw@ximian.com>

	* gui/component/addressbook-component.c (folder_types): Rename
	"ldap-contacts" to "contacts/ldap" and add "contacts/public".
	(IS_CONTACT_TYPE): update for new types.

	* gui/component/select-names/e-select-names.c
	(e_select_names_init): Use "contacts/*" for selector_types.

	* gui/widgets/e-addressbook-util.c (e_addressbook_transfer_cards):
	Likewise.

	* gui/component/GNOME_Evolution_Addressbook.oaf.in: add
	"evolution:config_item:type" = "contacts/ldap" to the LDAP sources
	control so it comes up by default when you open Preferences in an
	LDAP folder.

2002-09-23  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/e-addressbook-table-adapter.c (addressbook_destroy):
	free adapter->priv.

	* gui/widgets/e-addressbook-model.c (addressbook_destroy): free
	model->query.

	* gui/component/select-names/e-select-names-manager.c
	(load_completion_books): use e_book_expand_uri here, and free the
	expanded uri after calling addressbook_load_uri, plugging a leak.

	* gui/component/select-names/e-select-names.c (set_book): unref
	esn->model before we unref esn.  fixes an edge case memory
	corruption bug.
	(clear_widget): utility function to set a widget's ref to NULL
	when it's destroyed.
	(e_select_names_init): hook the status_message, categories option
	menu, and select_entry to clear_widget.
	(addressbook_model_set_uri): use e_book_expand_uri.

2002-09-23  JP Rosevear  <jpr@ximian.com>

	* conduit/Makefile.am: add libeutil to the link and link with
	libcamel instead of libcamel-static.la

2002-09-22  Chris Toshok  <toshok@ximian.com>

	* gui/component/select-names/e-select-names-manager.h: oops, add
	cached_folder_list to struct _ESelectNamesManager.

2002-09-22  Chris Toshok  <toshok@ximian.com>

	[ Fixes #30481 ] 
	* gui/component/select-names/e-select-names.c
	(e_select_names_init): initialize the select names dialog with the
	default contacts folder.

2002-09-22  Chris Toshok  <toshok@ximian.com>

	[ Fixes #28165, 29171 ]
	* gui/component/select-names/e-select-names-manager.c
	(uris_listener): check to see if the value has really changed.
	the way the preferences dialog works is such that we'll get called
	when any of the Folder Options are changed (default folders,
	offline stuff, etc.)  we really only want to tear down and build
	back up the completion books if the autocomplete folder setting
	changed.
	(read_completion_books_from_db): cache the folder list, and call
	load_completion_books.
	(load_completion_books): new function, loads from the
	cached_folder_list.
	(e_select_names_manager_init): init cached_folder_list to NULL.
	(e_select_names_manager_destroy): g_free (cached_folder_list).

2002-09-20  Chris Toshok  <toshok@ximian.com>

	[ Fixes #30483 ]
	* gui/component/select-names/e-select-names-completion.c
	(name_style_query): argh, contains => beginswith.

2002-09-17  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook-component.c (add_creatable_item):
	don't add the user creatable item for ldap-contact folders atm,
	since it results in their being duplicate New Contact and New
	Contact List menu items.

2002-09-17  Kjartan Maraas  <kmaraas@gnome.org>

	* gui/component/ldap-config.glade: Fix a typo.
	
2002-09-13  Chris Toshok  <toshok@ximian.com>

	[ Fixes bug #30250 ]
	* backend/ebook/e-destination.c (e_destination_get_name): handle
	"Unnamed Lists" here by setting their name to _("Unnamed List').

	* backend/ebook/e-card-simple.c (e_card_simple_get): same.

	* gui/contact-list-editor/e-contact-list-editor.c (is_named): new
	function, return TRUE if the name field is filled in.
	(prompt_to_save_changes): return TRUE if the list isn't named
	(meaning it's not saveable.)
	(command_state_changed): saving requires a name.
	(add_email_cb): always call command_state_changed.
	(remove_entry_cb): same.
	(list_name_changed_cb): same.
	(visible_addrs_toggled_cb): same.
	(table_drag_data_received_cb): same.

2002-09-12  Dan Winship  <danw@ximian.com>

	* backend/ebook/e-card-simple.c (e_card_simple_get): return
	g_strdup("true"), not "true".

2002-09-11  Chris Toshok  <toshok@ximian.com>

	* gui/component/select-names/e-select-names-completion.c
	(e_select_names_completion_start_query): institute an arbitrary
	minimum limit on the number of characters before we actually try
	to autocomplete.  It's 3, btw.

2002-09-11  Chris Toshok  <toshok@ximian.com>

	[ fixes the other half of #17336 ]
	* gui/contact-editor/e-contact-quick-add.c (quick_add_set_name):
	parse the name when we're asked to set it, so the full name
	doesn't get stored as (potentially) "Last, First" in the card.

2002-09-11  Chris Toshok  <toshok@ximian.com>

	[ fixes part of #17336 ]
	* gui/contact-editor/e-contact-editor-fullname.c
	(e_contact_editor_fullname_init): get the window title from the
	.glade file, and supply a suitable wm icon.

	* gui/contact-editor/e-contact-editor-address.c
	(e_contact_editor_address_init): same.

2002-09-11  Chris Toshok  <toshok@ximian.com>

	[ fixes #30208 ]
	* gui/component/addressbook.c (load_uri_auth_cb): if the user
	clicked cancel in the password dialog, let them off the hook and
	bind anonymously.  Otherwise (if they failed to auth), prompt them
	for the password again.
	(addressbook_authenticate): new function, split out 99% of the
	auth machinery here so it can be called multiple times.  Also,
	call the callback with E_BOOK_STATUS_CANCELLED if the user clicked
	the cancel button in the dialog.
	(load_uri_cb): call addressbook_authenticate if the book has auth
	enabled.
	(addressbook_load_uri): use g_new0.

2002-09-05  Anna Dirks  <anna@ximian.com>
	* gui/component/GNOME_Evolution_Addressbook.oaf.in : Changed the 
	description of the Directory Servers page of the settings dialog 
	to be a little less wordy {This page can be used to configure blah--> 
	Configure blah.}


2002-09-04  Chris Toshok  <toshok@ximian.com>

	[ Fixes #29904 ]
	* gui/component/select-names/e-select-names-text-model.c
	(e_select_names_text_model_activate_obj): we need to activate
	either a contact list editor or contact editor depending on if
	it's a list (this screams for a utility function.)

2002-09-04  Dan Winship  <danw@ximian.com>

	* gui/component/addressbook-storage.c
	(addressbook_get_other_contact_storage): Pass FALSE to
	evolution_storage_new: the Other Contacts storage doesn't support
	shared folders.

2002-09-04  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component/addressbook-component.c (create_component): Pass
	NULL as @unpopulate_folder_context_menu_fn to
	evolution_shell_component_new().

2002-09-03  Mike Kestner  <mkestner@ximian.com>

	* gui/component/select-names/e-select-names.c (e_select_names_destroy):
	unref the "without", adapter, and model, then chain up the GnomeDialog
	destroy function.

2002-09-03  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component/GNOME_Evolution_Addressbook.oaf.in: Use
	ldap-settings.png instead of evolution-contacts.png.

2002-09-03  Chris Toshok  <toshok@ximian.com>

	[ fixes #29699 ]
	* gui/component/addressbook-config.c
	(addressbook_add_server_druid): call _set_source with a NULL
	source to fill in dialog settings that are set from the option
	menus (like the SSL setting).

2002-09-03  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component/addressbook.c (delete_contact_cb): Fix typo
	[`view>view' instead of `view->view'].  Also, cast to
	GTK_WINDOW instead of GTK_WIDGET as it should be.

2002-08-30  Dan Winship  <danw@ximian.com>

	* backend/idl/addressbook.idl (CallStatus): add QueryRefused, for
	when the backend refuses to perform a query. (part of #25782)

	* backend/ebook/e-book-view-listener.c
	(e_book_view_listener_convert_status): translate
	GNOME_Evolution_Addressbook_BookViewListener_QueryRefused.

	* gui/component/addressbook.c (search_result): Handle
	E_BOOK_VIEW_STATUS_QUERY_REFUSED.

2002-08-30  Chris Toshok  <toshok@ximian.com>

	[ fixes #27923]
	* backend/pas/pas-backend-summary.c: up the version to 4_0 (4000).
	(pas_backend_summary_load_item): handle wants_html{_set}, list,
	and list_show_addresses.
	(pas_backend_summary_save_item): same.
	(pas_backend_summary_add_card): same.
	(pas_backend_summary_get_summary_vcard): same.

2002-08-29  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook-component.c (add_creatable_item): call
	evolution_shell_component_add_user_creatable_item twice here, once
	for the "contacts" folder type, and once for "ldap-contacts".

2002-08-29  Chris Toshok  <toshok@ximian.com>

	[ fixes #20347 ]
	* gui/widgets/e-addressbook-view.c (e_addressbook_view_init): hook
	up the backend_died signal.
	(backend_died): new function, pop up an error dialog saying the
	backend died.

	* gui/widgets/e-addressbook-model.c (backend_died): new function,
	emit the backend_died signal.
	(e_addressbook_model_class_init): create the backend_died signal.
	(e_addressbook_model_init): init backend_died_id
	(e_addressbook_model_set_arg): disconnect the backend_died signal
	from the old book and hook it up to the new book.

	* gui/widgets/e-addressbook-model.h: add the backend_died signal.

	* backend/ebook/e-book.c (backend_died_cb): new function, emit the
	backend_died signal.
	(e_book_do_response_open): create the component listener and hook
	up the backend_died signal.
	(e_book_destroy): disconnect the component listener and unref it.

	* backend/ebook/e-book.h: add backend_died signal.

2002-08-29  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-backend-card-sexp.c (is_helper): use strcasecmp
	here, since all the other helpers use case insensitive
	comparisons.

	* backend/pas/pas-backend-summary.c (is_helper): same.

2002-08-29  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-backend-ldap.c (category_ber): return NULL if
	the list is empty.
	(pas_backend_ldap_connect): always try to use ldapv3, not just
	when we want to use tls.

2002-08-29  Chris Toshok  <toshok@ximian.com>

	[ fixes #25038 ]
	* gui/contact-editor/Makefile.am (INCLUDES): need to have
	EVOLUTION_ICONSDIR defined.

	* gui/contact-list-editor/Makefile.am (INCLUDES): same.

	* gui/contact-editor/e-contact-editor.c (e_contact_editor_init):
	set the window icon to the contact mini icon.

	* gui/contact-list-editor/e-contact-list-editor.c
	(e_contact_list_editor_init): set the window icon to the new
	contact list icon.
	
	* gui/widgets/e-minicard.c (LIST_ICON_FILENAME): change to (the
	prettier, imo) "contact-list-16.png"

2002-08-28  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-backend-ldap.c (pas_backend_ldap_search): spew
	the filter we're using for the search.

2002-08-28  Mike Kestner  <mkestner@ximian.com>

	* gui/component/select-names/e-select-names-completion.c : stop the
	EBookViews before unreffing.

2002-08-28  Dan Winship  <danw@ximian.com>

	* gui/component/GNOME_Evolution_Addressbook.oaf.in: Add an
	evolution:shell_component_launch_order and rename
	evolution:shell_component_icon.

2002-08-28  Chris Toshok  <toshok@ximian.com>

	[ oops, merged the .h and .glade file back to the HEAD from the
	1-0 branch, but missed the .c file. ]
	* gui/component/select-names/e-select-names.c (status_message): set
	the status label's text.
	(e_select_names_init): get the status message widget from the
	glade ui.

2002-08-28  Chris Toshok  <toshok@ximian.com>

	[ fixes #19286 ]
	* gui/component/addressbook.c (delete_contact_cb): confirm
	deletion of contacts when using the menubar or toolbar.

2002-08-28  Chris Toshok  <toshok@ximian.com>

	[ fixes #28897 ]
	* gui/component/select-names/e-select-names-completion.c
	(e_select_names_completion_clear_book_data): set book_data to NULL
	after clearing/freeing the list.  fixes a crash.

2002-08-28  Chris Toshok  <toshok@ximian.com>

	[ fixes #20348 ]
	* backend/pas/evolutionperson.schema: deprecate "categories" in
	favor of "category".  evolution no longer uses "categories".

	* backend/pas/pas-backend-ldap.c (category_populate): new
	function, "category" is the new name, and it's multivalued so we
	need the complex-prop stuff..
	(category_ber): new function, same.
	(category_compare): new function, same.

	* gui/component/addressbook.c (addressbook_search_activated): the
	text is "Category is" so we should use "is" instead of "contains"
	for the query.

2002-08-27  Chris Toshok  <toshok@ximian.com>

	[ Fixes #14835 ]
	* backend/pas/pas-backend-ldap.c (pas_backend_ldap_search):
	notify_complete with InvalidQuery if the parse fails.

2002-08-27  Chris Toshok  <toshok@ximian.com>

	[ fixes #26907 ]
	* gui/component/addressbook.c (addressbook_search_activated): use
	beginswith for email.

2002-08-26  Chris Toshok  <toshok@ximian.com>

	* printing/e-contact-print.c (complete_sequence): change prototype
	for complete_sequence to match sequence_complete.
	(e_contact_print_button): same.

2002-08-26  Chris Toshok  <toshok@ximian.com>

	[ fixes #29446 ]
	* gui/component/addressbook-config.c (scope_optionmenu_activated):
	searching_modify_func can be NULL (since we don't require changes
	to enable the "Next" button on this page when you create a
	directory server.)

2002-08-26  Chris Toshok  <toshok@ximian.com>

	[ Fixes (almost certainly) #24649, #25494, #27351, and other LDAP search crashes ]
	* backend/pas/pas-backend-ldap.c (view_destroy): use an EList
	instead of a GList to store the book_view's so we don't have weird
	issues with modifying the list while it's being traversed.
	(find_book_view): same.
	(create_card_handler): same.
	(remove_card_handler): same.
	(modify_card_modify_handler): same.
	(poll_ldap): same, and also ref the book_view before calling
	ldap_search_op_timeout (and therefore send_pending_adds).
	(ldap_search_handler): same.
	(ldap_op_add): warn about conflicting ldap msgid's (shouldn't ever
	happen..)
	(homephone_populate): make this a bit more robust (if values[0] ==
	NULL, values[1] won't be valid).
	(business_populate): same.
	(build_card_from_entry): break out of the prop_info loop when we
	get a match, and only set the simple field if the value != NULL.
	(ldap_search_dtor): free all the pending adds stuff.
	(pas_backend_ldap_process_get_book_view): g_list_prepend =>
	e_list_append.
	(pas_backend_ldap_remove_client): simplify the removing of the
	book (use g_list_remove instead of searching and then using
	g_list_remove_link.)
	(pas_backend_ldap_destroy): unref the book_views list.
	(pas_backend_ldap_init): initialize the EList for book_views.

2002-08-25  Mike Kestner  <mkestner@ximian.com>

	* gui/widgets/e-addressbook-view.c (remove_book_view): stop the
	view before unref, in case the listener has pending events.

2002-08-20  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook.c (book_open_cb): not sure what i was
	thinking here... the EBook isn't valid if we couldn't open it, so
	we can't turn around and query it for its capabilities.

2002-08-19  Chris Toshok  <toshok@ximian.com>

	* gui/component/select-names/e-select-names-manager.h: add the
	listener_id slot.

	* gui/component/select-names/e-select-names-manager.c
	(e_select_names_manager_new): store off the listener_id.
	(e_select_names_manager_destroy): remove the bonobo listener -
	fixes a crash when modifying the completion folders after you
	bring up a compose window.
	(e_select_names_manager_entry_new): another random timeout change
	- make the completion at 100ms.

2002-08-19  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-book-view.c (pas_book_view_notify_complete):
	take and pass the CallStatus to our listener.

	* backend/pas/pas-book-view.h: change the prototype for
	notify_complete to include the CallStatus.

	* gui/component/select-names/e-select-names-completion.c
	(e_select_names_completion_seq_complete_cb): add the status arg.

	* gui/widgets/e-addressbook-view.c
	(e_addressbook_view_class_init): init the search_result signal.
	(e_addressbook_view_init): connect to the model's search_result
	signal.
	(emit_search_result): emit our search_result signal.
	(search_result): call emit_search_result.

	* gui/widgets/e-addressbook-view.h (struct
	_EAddressbookViewClass): add the search_result signal.

	* gui/widgets/e-addressbook-model.c (sequence_complete): emit both
	a "search_result" as well as the "stop_state_changed" signal.
	(e_addressbook_model_class_init): init the search_result signal.

	* gui/widgets/e-addressbook-model.h: add search_result signal.

	* gui/component/addressbook.c (search_result): pop up a dialog
	telling the user why the search failed or was truncated.
	(addressbook_factory_new_control): connect to the "search_result"
	signal on the view.

	* conduit/address-conduit.c (sequence_complete): add the status
	parameter to sequence_complete.

	* backend/idl/addressbook.idl: add BookViewListener_CallStatus,
	and change notifySequenceComplete to take a CallStatus.

	* backend/pas/pas-backend-ldap.c (create_card_handler): pass
	status back in the notify_complete call.
	(remove_card_handler): same.
	(modify_card_modify_handler): same
	(ldap_search_handler): same, and parse out the ldap return code so
	we can report limits being properly.

	* backend/pas/pas-backend-file.c (do_summary_query): pass status
	back in the notify_complete call.
	(pas_backend_file_search): same, and get rid of the
	status_message, as the status is passed back properly.
	(pas_backend_file_search): pass status
	back in the notify_complete call.
	(pas_backend_file_changes): same.
	(pas_backend_file_process_create_card): same.
	(pas_backend_file_process_remove_card): same.
	(pas_backend_file_process_modify_card): same.

	* backend/ebook/e-book-util.c (simple_query_sequence_complete_cb):
	add status parameter.

	* backend/ebook/e-book-view-listener.c
	(e_book_view_listener_queue_status_event): change name from
	_queue_empty_event, and take a status arg.
	(e_book_view_listener_queue_id_event): init resp->status (to
	SUCCESS).
	(e_book_view_listener_queue_sequence_event): same.
	(e_book_view_listener_queue_message_event): same.
	(impl_BookViewListener_notify_sequence_complete): call
	queue_status_event, and convert the corba status to
	EBookViewStatus.
	(e_book_view_listener_convert_status): new function, conver the
	corba status to EBookViewStatus.

	* backend/ebook/e-book-view-listener.h: add a "status" slot to
	EBookViewListenerResponse.

	* backend/ebook/e-book-view.h: change prototype for
	sequence_complete signal.

	* backend/ebook/e-book-view.c (e_book_view_do_complete_event):
	sequence_complete takes a parameter now (EBookViewStatus).
	(e_book_view_class_init): add the enum arg to the signal.

	* backend/ebook/e-book-types.h: add EBookViewStatus enum.

2002-08-19  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-backend-file.c
	(pas_backend_file_get_static_capabilities): add
	"cache-completions" here, since file completion results are
	blanket cached (as they're generated from a summary).

	* backend/pas/pas-backend-ldap.c
	(pas_backend_ldap_process_get_cursor): there should be no search
	limit on the get_cursor_request, as it's meant to match every card
	it can.
	(ldap_search_handler): parse the ldap result in the
	RES_SEARCH_RESULT case.  we'll want more here soon, so we can
	notify the front end if the result was truncated due to either the
	size or time limit being exceeded.
	(pas_backend_ldap_process_get_book_view): in the case of a
	completion view, we hardcode (yeah yeah, i know, but really) the
	search limit to MIN (100, user-specified-limit).
	(pas_backend_ldap_search): each view has its own limit now,
	defaulting from the user specified one for normal searches but
	possibly different for completion views.  use the view's limit
	here.

2002-08-19  Dan Winship  <danw@ximian.com>

	* gui/component/select-names/e-select-names-bonobo.c
	(entry_get_property_fn): add an "addresses" property, to get the
	"Dan Winship <danw@ximian.com>" form, as opposed to "text", which
	gets you what's displayed, which might be just "Dan Winship".
	(entry_set_property_fn): When setting, just reuse the "text" code,
	since it should properly cardify everything for us anyway.
	(impl_SelectNames_get_entry_for_section): Add the property.

2002-08-16  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook-config.c
	(addressbook_source_dialog_set_source): fix c&p error that was
	losing the ssl setting.

2002-08-16  Iain <iain@ximian.com>

	* backends/e-book/evolution-ldif-importer.c (ebook_create): Use the
	default EBook instead of the local one.

	* backends/e-book/evolution-vcard-importer.c (ebook_create): Ditto.

2002-08-16  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-backend-ldap.c (book_view_notify_status): new
	function to save a little typing.
	(find_book_view): same.
	(pas_backend_ldap_connect): reorder things a bit - set the version
	to VERSION3 *before* doing TLS, as tls requires v3, and if we're
	doing ldaps://, do tls a little differently (not sure if this is
	strictly necessary, but the openldap source did it..  *shrug*).
	also, guard the schema check as this function can be called
	multiple times for the same server (if the server goes down or
	times us out.)
	(pas_backend_ldap_reconnect): new function, reconnect and if
	necessary reauth the user.
	(pas_backend_ldap_process_create_card): use
	find_book_view/book_view_notify_status/pas_backend_ldap_reconnect.
	(pas_backend_ldap_process_remove_card): same.
	(pas_backend_ldap_process_modify_card): same.
	(pas_backend_ldap_process_get_vcard): same.
	(pas_backend_ldap_process_get_cursor): same.
	(pas_backend_ldap_search): same.
	(poll_ldap): reconnect if ldap_result returns -1.
	(pas_backend_ldap_process_authenticate_user): ick ick ick save off
	the dn/passwd we auth with so we can use them to reauthenticate.

2002-08-16  Chris Toshok  <toshok@ximian.com>

	[ fix 27333 ]
	* gui/widgets/e-addressbook-model.c (get_view): "local" ->
	"do-initial-query".

	* backend/pas/pas-backend-file.c
	(pas_backend_file_get_static_capabilities): "local" ->
	"local,do-initial-query".

	* gui/widgets/e-addressbook-model.c (get_view): "local" ->
	"do-initial-query".

	* gui/component/addressbook.c (book_open_cb): Only assume the
	addressbook is local if "local" appears in its static
	capabilities.  We still use the ldap special case, but be nicer to
	other networked backends.

2002-08-12  Dan Winship  <danw@ximian.com>

	* gui/component/addressbook-component.c (user_create_new_item_cb):
	If invoked from a non-contact folder, add the contact to the
	default contact folder, not the local one. If invoked from a
	contact folder, don't append "addressbook.db" to the URI, let
	ebook do the right thing. Fixes #28327 and #28325.

	* backend/idl/addressbook.idl (CallStatus): Add NoSuchBook.
	(Initially intended as part of a fix for #28327, but the other
	changes make it so the error code never ends up getting used any
	more, but it's still good to have.)

	* gui/widgets/e-addressbook-util.c (e_addressbook_error_dialog):
	Handle NO_SUCH_BOOK.

	* backend/ebook/e-book-types.h (EBookStatus): Add
	E_BOOK_STATUS_NO_SUCH_BOOK.

	* backend/ebook/e-book-listener.c
	(e_book_listener_convert_status): add case for NoSuchBook.

	* backend/ebook/e-book-util.c (e_book_load_local_address_book):
	Kill this. Nothing should ever explicitly load the local
	addressbook.
	(e_book_use_default_book): Replaces e_book_use_local_address_book,
	using the default book instead.
	(e_book_default_book_open): Fall back to local contact folder on
	E_BOOK_STATUS_NO_SUCH_BOOK too.
	(e_book_query_address_default): Use default book, not local.

	* gui/component/e-address-widget.c (query_idle_fn): Use the
	default book, not the local book.

	* gui/component/select-names/e-select-names-popup.c
	(edit_contact_info_cb): Use the default book, not the local book.

	* backend/ebook/e-destination.c (e_destination_cardify): Use the
	default book, not the local book.
	(e_destination_touch): Query the default book, not the local book.

	* backend/ebook/e-card-compare.c (e_card_locate_match,
	e_card_locate_match_full): Use the default book, not the local
	book.

2002-08-08  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-backend-summary.c (pas_backend_summary_init):
	initialize summary->upgraded to quiet valgrind.

2002-08-06  Dan Winship  <danw@ximian.com>

	* backend/ebook/test-client.c (TEST_VCARD): Use "\r" rather than
	including literal CRs in the string, which confuses gcc on OS X.

	* backend/ebook/test-card.c (TEST_VCARD): Likewise.

2002-08-01  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #25958 ]
	* gui/component/addressbook.c (alphabet_state_changed): use
	FULL_NAME in the case where we're untoggling a letter, and... well
	use FULL_NAME in the other case too - we should never pop up the
	advanced dialog.

2002-08-01  Chris Toshok  <toshok@ximian.com>

	* gui/component/select-names/e-select-names.h (struct
	_ESelectNames): no more search_entry.

	* gui/component/select-names/e-select-names.c (update_query): no
	more search_entry, search_entry => select_entry, and add file_as
	to the query since some entries don't have names (like the Ximian,
	Inc. default card.)
	(e_select_names_init): no more search_entry, and add an "activate"
	handler on select_entry that updates the query.

2002-08-01  Chris Toshok  <toshok@ximian.com>

	* gui/component/select-names/e-select-names.h (struct
	_ESelectNames): remove folders and folders_by_uri, and the 2
	listeners.

	* gui/component/select-names/e-select-names.c
	(e_select_names_destroy): remove the hash_table_destroys of
	folders and folders_by_uri, since they no longer exist.  same for
	other_contacts_listener and local_listener.

2002-08-01  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component/addressbook-component.c (create_component): Use
	"contact-list-16.png" for the "New Contact List" item.

2002-07-31  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component/addressbook-component.c (create_component): Change
	the order so that "New Contact" is first and "New Contact List" is
	next.

2002-07-31  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component/addressbook-component.c (add_creatable_item): Pass
	"contacts" as the @folder_type to
	evolution_shell_component_add_user_creatable_item().

2002-07-31  Chris Toshok  <toshok@ximian.com>

	[ roll in the following change from the 1.0 branch.]
	* backend/pas/pas-backend-ldap.c:
	(prop_info): change the CALURI and FBURL ecard attributes to map to the
	RFC 2739 specified attributes.
        (check_schema_support): check to see if calEntry is supported.
        (add_objectclass_mod): insert calEntry if it's supported.
	* backend/pas/evolutionperson.schema: deprecate freeBusyURI
	and calendarURI.

2002-07-31  Ettore Perazzoli  <ettore@ximian.com>

	[Patch by Jacob Berkman <jacob@ximian.com>, fixes #25968]

	* backend/ebook/e-book.c (activate_factories_for_uri): Don't
	double free protocol and query.

2002-07-27  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-backend-summary.c (save_string): don't save
	empty strings.
	(pas_backend_summary_save): print out the errno when we fail.

2002-07-26  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component/addressbook.c: Don't set up the ContactNew and
	ContactNewList verbs.
	(update_command_state): Don't set the sensitivity of
	/commands/ContactNew and /commands/ContactNewList anymore.
	(new_contact_cb): Removed.
	(new_contact_list_cb): Removed.

2002-07-24  Peter Williams  <peterw@ximian.com>

	* conduit/Makefile.am (libeaddress_conduit_la_LIBADD): Change
	libversit.la -> libversit.a for danw's changes.

2002-07-24  Dan Winship  <danw@ximian.com>

	* conduit/Makefile.am (libeaddress_conduit_la_LIBADD):
	s/libversit_lt/libversit/

2002-07-22  Dan Winship  <danw@ximian.com>

	* backend/pas/Makefile.am: Split pas-backend-file and
	pas-backend-ldap out of libpas and build them as separate (noinst)
	libraries libpasfile.a and libpasldap.a. This gets the db3 and
	LDAP dependencies out of libpas, and people trying to create an
	addressbook backend shouldn't be calling functions from the
	existing backends anyway so there's no reason to install them.

2002-07-16  Chris Toshok  <toshok@ximian.com>

	* gui/component/select-names/select-names.glade: remove the option
	menu and browse button, and add a custom widget placeholder for
	the folder-selector.

	* gui/component/select-names/e-select-names.c
	(addressbook_model_set_uri): move the "append /addressbook.db"
	stuff here.
	(e_addressbook_create_ebook_table): remove the code setting
	initial uri from here.
	(e_select_names_folder_free): gone.
	(e_select_names_option_activated): gone.
	(add_menu_item): gone.
	(update_option_menu): gone.
	(new_folder): gone.
	(removed_folder): gone.
	(folder_browse): gone.
	(hookup_listner): gone.
	(add_additional_select_names_uris): gone.
	(e_select_names_hookup_listners): gone.
	(e_addressbook_create_folder_selector): new function, create the
	folder selector button.
	(folder_selected): new function, callback for the folder selector.
	just calls addresbook_model_set_uri.
	(e_select_names_init): get the folder selector and initialize it
	to show /local/Contacts.  also, set the model's uri here to the
	same folder.  nuke the code involving the old option menu and
	browse button.

2002-07-08  Peter Williams  <peterw@ximian.com>

	* backend/ebook/Makefile.am: Install libebook-static.la. 
	Also change --all-static to -all-static, which is the right flag.
	
	* backend/pas/Makefile.am: Install the PAS headers in 
	$(includedir)/evolution/pas. Install libpas.a

2002-07-08  Peter Williams  <peterw@ximian.com>

	* gui/component/select-names/Makefile.am (idl_DATA): Install the
	SelectNames IDL and ancillary changes.

2002-07-12  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-backend-summary.c (free_summary_item): free the
	full_name (as well as given_name.  oops.)
	(pas_backend_summary_new): new summaries are version 3.0 now.
	(pas_backend_summary_load_item): all loaded summaries should be
	3.0+, as we fail to load versions lower than that.
	(pas_backend_summary_load_header): if the summary isn't version
	3.0 fail out, as we need to rebuild the entire file to cache the
	full_name fields.
	(pas_backend_summary_save_item): save out the full_name.
	(pas_backend_summary_add_card): put the item's full_name in the
	card.

2002-07-12  Dan Winship  <danw@ximian.com>

	* gui/component/select-names/e-select-names-bonobo.c
	(entry_get_property_fn): Make the
	ENTRY_PROPERTY_ID_SIMPLE_CARD_LIST case not crash, although
	there's still something wrong.

2002-07-10  Chris Toshok  <toshok@ximian.com>

	* gui/component/select-names/e-select-names-completion.c
	(e_select_names_completion_start_query): e_book_get_book_view =>
	e_book_get_completion_view, so the backends have the option of
	using a pregenerated summary.

2002-07-10  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-backend-summary.c (clear_items): actually remove
	the items from the pointer array too, so an error while loading
	doesn't leave the memory summary corrupted.
	(pas_backend_summary_load_header): bleah, load the num_items and
	summary_mtime in the right order :) Also, set upgraded to TRUE if
	we loaded a v1.0 summary.
	(pas_backend_summary_open): make this return a gboolean, return
	TRUE if the summary is already open (priv->fp != NULL).  return
	FALSE in error conditions.
	(pas_backend_summary_load): if summary_open returns FALSE, return
	FALSE, also set the dirty flag to FALSE after we load, and if the
	summary was upgraded write it out.
	(pas_backend_summary_save): update the in memory mtime to that of
	the file when we save.
	(summary_flush_func): if we're not dirty, do nothing and return.
	(pas_backend_summary_is_up_to_date): make sure we've opened the
	summary.
	(pas_backend_summary_get_summary_vcard): fix compiler warning.

2002-07-10  Peter Williams  <peterw@ximian.com>

	* backend/ebook/e-book-view-listener.h: Oops, missed this one.

	* backend/ebook/Makefile.am (libebookinclude_HEADERS): Also
	put addressbook.h here because several headers reference it.

2002-07-08  Peter Williams  <peterw@ximian.com>

	* backend/ebook/e-book.h: Normalize includes to <ebook/foo.h>, so
	that the installed headers will work sanely.

	* backend/ebook/e-card-cursor.h:
	* backend/ebook/e-book-view.h:
	* backend/ebook/e-card-simple.h:
	* backend/ebook/e-card.h:
	* backend/ebook/e-destination.h: Same.

	* printing/Makefile.am (INCLUDES): add -Iaddressbook/backend
	to access the ebook headers. Also the builddir version to get
	the generated addressbook.h

	* conduit/Makefile.am (INCLUDES): Same.

	* gui/widgets/Makefile.am (INCLUDES): Same builddir fix.

	* gui/merging/e-card-merging.c: Fix an ebook #include.

	* gui/merging/Makefile.am (INCLUDES): Same idea.

	* gui/contact-list-editor/Makefile.am (INCLUDES): Same.

	* gui/contact-editor/Makefile.am (INCLUDES): Same builddir
	change.

2002-07-10  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component/addressbook-storage.c (load_source_data): Pass
	zero as the @sorting_priority to evolution_storage_new_folder().
	(addressbook_storage_add_source): Likewise.

2002-07-10  Chris Toshok  <toshok@ximian.com>

	* backend/idl/addressbook.idl: add Book.getCompletionView.

	* backend/ebook/e-book.c (e_book_get_completion_view): new
	function, basically c&p of e_book_get_book_view, but call
	getCompletionView.

	* backend/ebook/e-book.h: add prototype for
	e_book_get_completion_view.

	* backend/pas/pas-backend-ldap.c
	(pas_backend_ldap_process_client_requests): add a
	GetCompletionView case here that just calls the same code as
	GetBookView (since we don't build summaries for the ldap backend.)

	* backend/pas/pas-backend-file.c (do_summary_query): add
	@completion_search.  If it's TRUE, just create the vcards from the
	summary using pas_backend_summary_get_summary_vcard instead of
	looking them up from the db.
	(pas_backend_file_search): add @completion_search and pass it on
	to do_summary_query.
	(pas_backend_file_process_get_book_view): pass FALSE to
	pas_backend_file_search.
	(pas_backend_file_process_get_completion_view): new function,
	basically c&p pas_backend_file_process_get_book_view, but pass
	TRUE to pas_backend_file_search.
	(pas_backend_file_process_client_requests): add a case for
	GetCompletionView.
	(pas_backend_file_load_uri): track the change to the summary api -
	create the summary filename

	* backend/pas/pas-book.c (pas_book_queue_get_completion_view): new
	function, queue a GetCompletionView request to our queue.
	(impl_GNOME_Evolution_Addressbook_Book_getCompletionView): new
	function, call pas_book_queue_get_completion_view.
	(pas_book_respond_get_completion_view): new function, just call
	notifyViewRequested.
	(pas_book_free_request): add a case for GetCompletionView.
	(pas_book_get_epv): fill in epv->getCompletionView.

	* backend/pas/pas-book.h: add a GetCompletionView PASOperation,
	and a new structure (PASGetCompletionViewRequest).  Also, add
	get_completion_view to PASRequest.

	* backend/pas/pas-backend-summary.c (clear_items): remove the
	items from the hash table.
	(pas_backend_summary_new): db_path -> summary_path.
	(pas_backend_summary_destroy): db_.path -> summary_path, and
	destroy the hash table.
	(pas_backend_summary_init): db_path = summary_path, and initialize
	the id_to_item hashtable.
	(pas_backend_summary_load_header): handle the upgrading from
	version 1.0 to version 2.0 (the addition of an mtime field in the
	header)
	(pas_backend_summary_load_item): version 1.0 and 2.0 have the same
	format for items.
	(pas_backend_summary_open): new function.  open the summary so we
	can load the header (and get the mtime).
	(pas_backend_summary_load): rework this a bit since the header has
	already been loaded, and also add the items to the hashtable.
	(pas_backend_summary_add_card): add the new item to the hashtable.
	(pas_backend_summary_remove_card): remove the item from the hash
	table.
	(pas_backend_summary_is_up_to_date): new function, chekc @t
	against the summary's mtime.
	(pas_backend_summary_get_summary_vcard): create a vcard from the
	fields we have in the summary.

	* backend/pas/pas-backend-summary.h: add prorotypes for
	pas_backend_summary_is_up_to_date and
	pas_backend_summary_get_summary_vcard.

2002-07-09  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component/addressbook-storage.c (load_source_data): Pass
	NULL @custom_icon_name to evolution_storage_new_folder().
	(addressbook_storage_add_source): Likewise.  [Note we could be
	passing a nice custom here. ;-)]

2002-07-02  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component/addressbook-component.c (add_creatable_item): New
	arg @tooltip; pass it to
	evolution_shell_component_add_user_creatable_item() [which now has
	a @tooltip arg].

2002-06-29  Chris Toshok  <toshok@ximian.com>

	* backend/pas/Makefile.am (libpas_a_SOURCES): add
	pas-backend-summary.[ch].

	* backend/pas/pas-backend-file.c (string_to_dbt): move this to the
	top of the file so it can be used in..
	(build_summary): loop over the db, adding cards ot the summary.
	(do_summary_query): call pas_backend_summary_search and loop over
	the returned id's looking them up in the db.
	(pas_backend_file_search): call
	pas_backend_summary_is_summary_query, and either call
	do_summary_query if it's a query over just the set of attributes
	in the summary or use the old, slow method if not.
	(pas_backend_file_process_create_card): call
	pas_backend_summary_add_card.
	(pas_backend_file_process_remove_card): call
	pas_backend_summary_remove_card.
	(pas_backend_file_process_modify_card): call remove_card/add_card.
	(pas_backend_file_load_uri): try to load the summary file, and if
	it doesn't exist create it.
	(pas_backend_file_destroy): unref the summary.

	* backend/pas/pas-backend-summary.[ch]: new files, reading and
	writing (and querying) summaries.

2002-06-27  Sean Atkinson  <sean@cantab.net>

        * gui/component/addressbook-config.c (query_for_supported_bases):
        don't unref selection_model (otherwise 3 clicks of
        "Show Supported Bases" crashes if LDAP server isn't running).

2002-06-25  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook-component.c (create_component):
	reorder the adding of creatable items so the default is a new
	contact, not a new contact list.

2002-06-21  Sean Atkinson  <sean@cantab.net>

	* gui/component/addressbook-config.c (addressbook_edit_server_dialog):
	remove source argument (get it from the dialog).
	(edit_source_clicked): same.
	(sources_table_double_click): added to edit server by double-clicking.
	(ldap_dialog_new): use sources_table_double_click.

2002-06-17  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/e-addressbook-view.c (e_addressbook_view_save_as):
	pass NULL to e_contact_list_save_as.  modality sucks.  fixes
	broken build.
	(save_as): same.

2002-06-15  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #26130 ]
	* gui/contact-editor/e-contact-editor.c (file_save_as_cb): pass
	ce->app as parent_window.

	* gui/contact-list-editor/e-contact-list-editor.c
	(file_save_as_cb): same .

	* gui/contact-editor/e-contact-save-as.c (e_contact_list_save_as):
	if a parent_window is specified, the file selector should be
	modal/transient for that window.
	(e_contact_save_as): same.

	* gui/contact-editor/e-contact-save-as.h: track prototype changes
	(addition of GtkWindow *parent_window to both calls.)
	
2002-06-15  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-backend-ldap.c (pas_backend_ldap_connect): use
	ldap_unbind_ext.
	(create_card_handler): don't leak the new vcard.
	(pas_backend_ldap_process_authenticate_user): don't leak the dn.

2002-06-14  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-backend-file.c (pas_backend_file_search): up the
	max threshold to 3000 cards from 1000 cards.. seems to improve
	performance a bit.  also remove the g_list_reverse since it
	doesn't matter what order the cards arrive to the gui.
	(pas_backend_file_changes): plug memory leaks.

2002-06-14  Christopher James Lahey  <clahey@ximian.com>

	* backend/ebook/e-card-compare.c (compare_email_addresses): Made
	"" compare as not equal to "" for addresses.
	(use_common_book_cb): Don't bother checking for nickname here
	since we don't use it as a match later.  Don't add "" as an
	address to the list of query parts.

2002-06-13  Christopher James Lahey  <clahey@ximian.com>

	* gui/contact-editor/e-contact-editor.c (enable_writable_fields):
	Don't enable fields if the editor isn't editable and the
	widget_field_mappings lists this field as being desensitize for
	read only.

2002-06-11  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #17332 ]
	* backend/ebook/e-book.c (e_book_get_static_capabilities): we
	shouldn't ever return NULL here.  in error cases we need to return
	g_strdup("");

2002-06-11  Christopher James Lahey  <clahey@ximian.com>

	* gui/widgets/e-minicard-view.c (e_minicard_view_event): Made
	double clicking on read only folders not do anything.

2002-06-10  Christopher James Lahey  <clahey@ximian.com>

	* backend/ebook/e-book-util.c (e_book_expand_uri): Made expand_uri
	a bit more robust and readable.
	(e_book_get_default_book_uri): Made e_book_get_default_book_uri
	use e_book_expand_uri if using the bonobo_config value.

	* gui/component/e-address-popup.c (start_query): Handle the
	failure state here by acting as if there are no matches.

2002-06-05  Christopher James Lahey  <clahey@ximian.com>

	* gui/widgets/e-minicard.c (e_minicard_event): Call
	e_minicard_selected in the GDK_BUTTON_RELEASE case here.
	(e_minicard_drag_begin): Set E_REFLOW (parent)->maybe_in_drag =
	FALSE if it's an EReflow.

2002-06-04  Christopher James Lahey  <clahey@ximian.com>

	* gui/component/select-names/e-select-names-completion.c
	(e_select_names_completion_book_ready): Commented out this unused
	function.

	* gui/component/select-names/e-select-names-manager.c
	(open_book_cb): Ref if we're keeping the book.  Don't unref if
	we're not keeping the book.
	(clean_cb): Commented out this unused function.

2002-06-04  Christopher James Lahey  <clahey@ximian.com>

	* gui/widgets/e-addressbook-view.c (init_collection): Set the
	title of our GalVIewCollection.

2002-05-29  Anna Marie Dirks  <anna@ximian.com>

	* gui/component/select-names/select-names.glade: Changed some spacing 
	and expanding behavior to make this dialog behave more like I intended 
	to. 

2002-05-24  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook-config.c (CONFIG_CONTROL_FACTORY_ID):
	put this back in, accidentally got snipped with the hacking going
	on in here.

2002-05-24  Chris Toshok  <toshok@ximian.com>

	[ part of #25047 ]
	* gui/component/addressbook-config.c: remove the autocompletion
	config control from here, as it lives in the shell now.

	* gui/component/GNOME_Evolution_Addressbook.oaf.in: same.

2002-05-24  Chris Toshok  <toshok@ximian.com>

	[ #24189 ]
	* gui/component/select-names/e-select-names-manager.c
	(focus_out_cb): ifdef out the body of this because it only works
	with a single completion book.  not sure what to do here, but it
	doesn't impact most usage scenarios.
	(completion_popup_cb): same.
	(e_select_names_manager_entry_new): add the books that have been
	loaded successfully by the time this entry is created.
	(open_book_cb): add the opened book to the entries that have
	already been created, and store it in our list so that entries
	that are created in the future can catch up.
	(read_completion_books_from_db): slurp in the folder list from the
	config db and load all the uris.
	(uris_listener): listener function - when there's a change it
	calls _clear_books on all the created entries, and clears our
	list.  It then re-reads the books from the db.
	(e_select_names_manager_new): create our bonobo listener and call
	read_completion_books_from_db.
	(e_select_names_manager_init): init completion_books.
	(e_select_names_manager_destroy): free our list of
	completion_books.

	* gui/component/select-names/e-select-names-manager.h: switch from
	a single EBook to a GList of completion_books here.

	* gui/component/select-names/e-select-names-completion.c
	(e_select_names_completion_add_book): deal with the case where
	there's an active query (by effectively restarting it.)  This is
	quite a contrived edge case.
	(e_select_names_completion_clear_books): stop the current query
	and clear our list of books.
	(e_select_names_completion_new): track change to prototype, and
	axe the majority of this method since an EBook* isn't passed
	anymore.
	(e_select_names_completion_clear_book_data): split this code out
	from the destroy method so it can be called from _clear_books.

	* gui/component/select-names/e-select-names-completion.h: the
	constructor no longer takes an EBook -- pass in as many as you
	want using _add_book.  Also, add prototype for _clear_books.

	* gui/component/addressbook.c (load_uri_cb): when
	storing/retrieving passwords, use the cleaned (without params)
	version of the uri, so changing things like download limit don't
	cause the user to be prompted for a password again.

	* gui/component/addressbook-component.c
	(ensure_completion_uris_exist): new function - probably doesn't
	belong in this file.  Make sure the basic local Contacts folder
	exists in the completion uris.
	(addressbook_component_factory_init): call
	ensure_completion_uris_exist.

	* backend/ebook/e-book-util.h: add prototype for
	e_book_get_default_book_uri.

	* backend/ebook/e-book-util.c (e_book_get_default_book_uri): new
	function, just return the default contacts uri.
	(e_book_load_default_book): change
	to use e_book_get_default_book_uri.

2002-05-23  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook-config.c (addressbook_root_dse_query):
	fix parameter/local variable overloading.

2002-05-21  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component/addressbook.c (load_uri_cb): Don't try to invoke
	e_book_get_uri() on NULL.  Fixes #25069.

2002-05-17  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/e-addressbook-util.c (e_addressbook_error_dialog):
	make sure we map status -> string correctly (add missing strings).

	* backend/ebook/e-book-types.h (EBookStatus): add the missing
	AUTHENTICATION_REQUIRED status code, to map to the idl response.

	* backend/ebook/e-book-listener.c
	(e_book_listener_convert_status): make sure we map all idl status
	codes to EBookStatus statuses.

2002-05-20  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component/addressbook-storage.c (load_source_data): Pass
	FALSE for @sync_offline to evolution_storage_new_folder().
	(addressbook_storage_add_source): Pass FALSE for @sync_offline to
	evolution_storage_new_folder().

2002-05-16  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component/addressbook-component.c (request_quit): New, quit
	handler for the EvolutionShellComponent.
	(add_creatable_item): Set it up.

	* gui/contact-editor/e-contact-list-editor.c
	(e_contact_list_editor_request_close_all): New.
	(e_contact_list_editor_new): Put the contact editor in a static
	list and gtk_object_weakref() it.
	(contact_list_editor_destroy_notify): New, GtkDestroyNotify
	function for the contact editors.

	* gui/contact-editor/e-contact-editor.c
	(e_contact_editor_request_close_all): New.
	(e_contact_editor_new): Put the contact editor in a static list
	and gtk_object_weakref() it.
	(contact_editor_destroy_notify): New, GtkDestroyNotify function
	for the contact editors.

2002-05-15  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component/addressbook-component.c (create_component): Pass
	NULL as @request_quit_fn.

2002-05-13  Christopher James Lahey  <clahey@ximian.com>

	* backend/idl/addressbook.idl: Removed an incorrect comment here.

2002-05-13  Christopher James Lahey  <clahey@ximian.com>

	* gui/contact-editor/e-contact-editor.c (enable_writable_fields):
	Enable the dropdown widgets even if the contact is not editable so
	that you can view any email address, phone number, or postal
	address on read only contacts.

2002-05-10  Christopher James Lahey  <clahey@ximian.com>

	* gui/component/select-names/Evolution-Addressbook-SelectNames.idl:
	Added SimpleCard interface.

	* gui/component/select-names/Makefile.am: Added
	e-simple-card-bonobo.c and e-simple-card-bonobo.h.

	* gui/component/select-names/e-select-names-bonobo.c
	(entry_get_property_fn): Added SIMPLE_CARD_LIST arg.

	* gui/component/select-names/e-simple-card-bonobo.c,
	gui/component/select-names/e-simple-card-bonobo.h: New class to
	represent an ECardSimple across Bonobo.

2002-05-09  Christopher James Lahey  <clahey@ximian.com>

	* gui/component/select-names/e-select-names-bonobo.c
	(entry_get_property_fn): Added "first_email" property.

2002-05-09  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component/addressbook-storage.c
	(addressbook_get_other_contact_storage): Pass %FALSE as
	@has_shared_folders to evolution_storage_new().

2002-05-08  JP Rosevear  <jpr@ximian.com>

	* conduit/Makefile.am: link against the libtool version of
	libversit

2002-05-07  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook-config.c
	(addressbook_config_control_new): oops, add the NULL back at the
	end of possible_types.

2002-05-07  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook-config.c (addressbook_ldap_init):
	bleah, need to pass the GtkWindow here so we can pop up the a
	modal parented dialog (gtk modal dialogs suck?).
	(addressbook_ldap_auth): same.
	(addressbook_root_dse_query): same.
	(do_ldap_root_dse_query): same.
	(addressbook_config_control_new): add "ldap-contacts" to the list
	of possible types.

2002-05-07  Dan Winship  <danw@ximian.com>

	* gui/component/addressbook-storage.c (create_ldap_folder):
	s/ldap_config/addressbook_config/

2002-05-03  Chris Toshok  <toshok@ximian.com>

	* backend/ebook/e-book.c (activate_factories_for_uri): finally
	remove the #if 0's and use the oaf query stuff to get backends
	that handle specific protocols.

2002-05-03  Christopher James Lahey  <clahey@ximian.com>

	* gui/component/addressbook-config.c
	(addressbook_folder_list_changed_callback): Call
	evolution_config_control_changed when the EFolderList changes.

2002-05-03  Christopher James Lahey  <clahey@ximian.com>

	* gui/component/GNOME_Evolution_Addressbook.oaf.in: Updated this
	to have the ConfigControlFactory have an addressbookwide generic
	name and added OAFIID:GNOME_Evolution_Addressbook_ConfigControl.

	* gui/component/Makefile.am (evolution_addressbook_SOURCES),
	gui/component/addressbook-component.c,
	gui/component/addressbook-storage.c, gui/component/addressbook.c:
	Replaced ldap-config.c and ldap-config.h with addressbook-config.c
	andaddressbook-config.h.

	* gui/component/addressbook-config.c,
	gui/component/addressbook-config.h: Based on ldap-config.c and
	ldap-config.h.  Added a folder list control.  Made this a multi
	factory.

	* gui/component/ldap-config.c, gui/component/ldap-config.h:
	Replaced these with addressbook-config.c and addressbook-config.h.

2002-05-02  Christopher James Lahey  <clahey@ximian.com>

	* gui/component/select-names/e-select-names.c (selection_change):
	Desensitize the to, cc, and bcc buttons if there's no selection
	here.  Fixes Ximian bug #21482.

2002-05-01  Christopher James Lahey  <clahey@ximian.com>

	* gui/contact-list-editor/e-contact-list-editor.c (verbs): Changed
	some of these to bind to the ContactListEditor verbs since they're
	marked as that in the ui file.  Fixes Ximian bug #13034.

2002-04-30  JP Rosevear  <jpr@ximian.com>

	* gui/component/Makefile.am (EXTRA_DIST): fix

2002-04-30  Christopher James Lahey  <clahey@ximian.com>

	* gui/widgets/e-addressbook-model.c,
	gui/widgets/e-addressbook-model.h
	(e_addressbook_model_peek_card): Added this function so that there
	would be less duplication of cards during run time when
	duplication is unnecessary.

	* gui/widgets/e-addressbook-view.c: Cleaned up get_card_list and a
	number of associated functions to be much more uniform and
	simpler.
	(get_has_email_address): Don't show the "Send Message to Contact"
	menu item if there are no email addresses in the listed contacts.
	Fixes bug #1298.

2002-04-30  Christopher James Lahey  <clahey@ximian.com>

	* backend/ebook/e-card.c (e_card_list_send): Changed this to set a
	subject when sending a contact.  This makes the signature be set
	properly also.

2002-04-26  Jeffrey Stedfast  <fejj@ximian.com>

	* printing/Makefile.am: Don't link to libibex anymore.

	* conduit/Makefile.am: Same.

	* backend/ebook/Makefile.am: Again here.

	* gui/component/Makefile.am: And finally here.

2002-04-26  Christopher James Lahey  <clahey@ximian.com>

	* gui/component/select-names/e-select-names.c
	(e_select_names_child_free): Unref the text_model here instead of
	the model, since the model never gets set.  Removed the model
	field since it's no longer used.

2002-04-24  Christopher James Lahey  <clahey@ximian.com>

	* gui/component/ldap-config.c: Updated this for the new
	e_table_memory_store_insert function prototype.

2002-04-24  Christopher James Lahey  <clahey@ximian.com>

	* gui/component/select-names/e-select-names.c,
	gui/component/select-names/e-select-names.h,
	gui/component/select-names/select-names.glade (folder_browse):
	Added a "Browse..." button to switch to a different addressbook
	folder.

	* gui/widgets/e-addressbook-util.c (e_addressbook_transfer_cards):
	Moved extern EvolutionShellClient out of this function so that
	it'd be more readable.

2002-04-23  Christopher James Lahey  <clahey@ximian.com>

	* gui/component/select-names/e-select-names.c,
	gui/component/select-names/e-select-names.h: Coded handling of the
	select_entry to search within the displayed contacts.

	* gui/component/select-names/select-names.glade: Updated this
	dialog to have an entry-select instead of an entry-find.

2002-04-23  Christopher James Lahey  <clahey@ximian.com>

	* gui/component/select-names/select-names.glade: Updated this
	dialog to match the redesign.

2002-04-23  Christopher James Lahey  <clahey@ximian.com>

	* gui/widgets/e-addressbook-view.c (do_popup_menu): Make unused
	menu items disappear instead of graying out.

2002-04-23  Christopher James Lahey  <clahey@ximian.com>

	* gui/widgets/e-addressbook-reflow-adapter.c,
	gui/widgets/e-addressbook-reflow-adapter.h: Removed
	e_addressbook_reflow_adapter_right_click and
	e_addressbook_reflow_adapter_base_right_click.

	* gui/widgets/e-addressbook-view.c: Handle right click menu for
	both types of view.  Merged right click on white space with right
	click on main area.  General clean up.

	* gui/widgets/e-minicard-view-widget.c,
	gui/widgets/e-minicard-view-widget.h: Removed a couple unnecessary
	functions.  Added e_minicard_view_widget_get_view.  Added
	right_click signal.

	* gui/widgets/e-minicard-view.c, gui/widgets/e-minicard-view.h:
	Added the right_click signal and the e_minicard_view_get_card_list
	function.

2002-04-22  Christopher James Lahey  <clahey@ximian.com>

	* gui/component/select-names/e-select-names.h: Removed an unused
	variable here.

	* gui/widgets/e-addressbook-view.c (table_right_click,
	table_white_space_event): Added a current view submenu to the
	popup menu here.

2002-04-22  Jeffrey Stedfast  <fejj@ximian.com>

	* gui/widgets/e-minicard-view.c (e_minicard_view_drag_begin):
	Allow GDK_ACTION_COPY also, since the composer for example does
	not accept MOVE's. Completes bug #8448.

2002-04-18  Chris Toshok  <toshok@ximian.com>

	* gui/component/ldap-config.glade: change order of scope option
	menu to match how it's stored.

2002-04-18  Chris Toshok  <toshok@ximian.com>

	* gui/component/GNOME_Evolution_Addressbook.oaf.in: change ldap
	config control text so it fits in the config dialog.

	* gui/component/ldap-config.c: #ifdef lots of stuff HAVE_LDAP so
	it'll build/run in either case.
	(addressbook_source_dialog_destroy): rename
	addressbook_add_server_druid_destroy to this, and free lots more
	stuff.
	(addressbook_add_server_druid):
	addressbook_add_server_druid_destroy ->
	addressbook_source_dialog_destroy.
	(do_schema_query): add 3 second timeout to schema query.
	(addressbook_edit_server_dialog): hook up destroy signal.
	(config_control_new): if HAVE_LDAP isn't defined, put up a label
	saying so.

2002-04-18  Chris Toshok  <toshok@ximian.com>

	* gui/component/Makefile.am (INCLUDES): add LDAP_CFLAGS to INCLUDES

2002-04-18  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook.c (book_open_cb): no more
	source->type.

2002-04-18  Chris Toshok  <toshok@ximian.com>

	* gui/component/ldap-config.c (addressbook_dialog_get_source):
	fill in source->ssl.
	(addressbook_source_dialog_set_source): set up auth/scope/ssl
	option menus properly.

	* gui/component/addressbook-storage.c
	(addressbook_storage_init_source_uri): always include the
	limit/ssl in the uri so we don't need to rely on defaults
	everywhere.
	(ldap_source_foreach): store the ssl option.

	* gui/component/addressbook-storage.h: reorder SSLType to match
	the UI.

	* backend/pas/pas-backend-ldap.c: (struct _PASBackendLDAPPrivate)
	add field for ldap_timeout.
	(pas_backend_ldap_connect): reorder things a bit - we need to
	start tls before the root dse query, if we can.
	(pas_backend_ldap_load_uri): track the way ssl parameters are
	given in the uri, and parse out the timeout.

	* gui/component/ldap-config.c (port_changed_func): use the
	symbolic SSL name instead of an integer constant.

2002-04-18  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-backend-ldap.c (get_ldap_library_info): fix
	memory leaks.

	* gui/component/GNOME_Evolution_Addressbook.oaf.in: remove the
	Addressbook_ConfigControl stuff to LDAP_ConfigControl.

	* gui/component/Makefile.am (evolution_addressbook_SOURCES):
	remove addressbook-config.* and add ldap-config.*
	(glade_DATA): same.
	(evolution_addressbook_LDADD): add LDAP_LIBS.

	* gui/component/addressbook-component.c (owner_set_cb):
	addressbook_config_register_factory =>
	ldap_config_register_factory.

	* gui/component/addressbook.c (book_open_cb): remove source->type
	check - they're always LDAP.
	(load_uri_cb): same.

	* gui/component/addressbook-storage.c (ldap_unparse_ssl): new
	function.
	(ldap_parse_ssl): new function.
	(addressbook_storage_init_source_uri): use a more flexible scheme
	to build up the uri's, and add in the ssl parameter.
	(load_source_data): fill in source->ssl, and remove source->type
	assignment.
	(addressbook_source_copy): copy source->ssl, and remove
	source->type copy.
	(create_ldap_folder): addressbook_create_new_source =>
	ldap_config_create_new_source.

	* gui/component/addressbook-storage.h: remove
	AddressbookSourceType (it was always LDAP), and add
	AddressbookLDAPSSLType.

2002-04-18  Dan Winship  <danw@ximian.com>

	* backend/ebook/e-book-util.c (e_book_load_default_book): Append
	/addressbook.db to the end of the default URI if it starts with
	file:

	* backend/ebook/e-book.c (e_book_load_uri_step): Fix this to not
	loop forever if you have more than one backend.

2002-04-17  Christopher James Lahey  <clahey@ximian.com>

	* gui/component/select-names/e-select-names.c
	(e_select_names_create_categories): Changed this to use
	ECategoriesMasterListOptionMenu.

	* gui/component/select-names/e-select-names.c
	(section_right_click_cb),
	gui/widgets/e-addressbook-reflow-adapter.c,
	gui/widgets/e-addressbook-view.c: Updated these to match the new
	EPopupMenu.

2002-04-11  Christopher James Lahey  <clahey@ximian.com>

	* gui/component/addressbook-component.c: Include
	addressbook-config.h here as this file uses it.

	* gui/component/select-names/e-select-names.c (SPEC, SPEC2): Made
	this dialog searchable by typing in the ETable.

	* gui/widgets/e-addressbook-model.c: Include e-addressbook-util.h
	here.

	* gui/widgets/e-addressbook-reflow-adapter.c
	(e_addressbook_reflow_adapter_right_click),
	gui/widgets/e-addressbook-view.c (table_right_click): Fixed a
	memory leak here by using "selection-done" signal.

	* gui/widgets/e-addressbook-reflow-adapter.c,
	gui/widgets/e-addressbook-reflow-adapter.h,
	gui/widgets/e-addressbook-view.c, gui/widgets/e-minicard-view.c:
	Added a right click menu for areas that aren't cards.

2002-04-09  Dan Winship  <danw@ximian.com>

	* backend/ebook/e-book-util.c (e_book_load_default_book): Update
	for new-and-improved consistent default folder uri.

	* gui/component/addressbook.c (addressbook_load_default_book): Use
	e_book_load_default_book rather than duplicating most of its logic
	here.
	(load_uri_cb): Modify to work as a callback for
	addressbook_load_default_book as well as addressbook_load_uri.

2002-04-08  Dan Winship  <danw@ximian.com>

	* gui/component/addressbook-component.c (create_view): Add
	view_info arg, but don't do anything with it.

2002-04-06  JP Rosevear  <jpr@ximian.com>

	* gui/component/GNOME_Evolution_Addressbook.oaf.in: add
	config_item:type

2002-04-04  JP Rosevear  <jpr@ximian.com>

	* conduit/Makefile.am: link to the static libversit

2002-04-04  Dan Winship  <danw@ximian.com>

	* gui/widgets/e-addressbook-util.c (e_addressbook_transfer_cards):
	Update for evolution_shell_client_user_select_folder API change.

2002-04-04  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component/addressbook.c: Remove AddressbookConfig,
	ContactNew, ContactNewList EPixmap entries.

	* gui/component/addressbook-factory.c (main): Print out a
	debugging message just before the main loop starts, for debugging
	purposes.

2002-04-02  Dan Winship  <danw@ximian.com>

	* backend/ebook/e-card-simple.h: Fix spelling of
	E_CARD_SIMPLE_PHONE_ID_TTYTDD and E_CARD_SIMPLE_FIELD_PHONE_TTYTDD
	(they previously ended with "TTD" instead of "TDD")

	* backend/ebook/e-card-simple.c: Update for spelling fix.

	* backend/pas/pas-backend-ldap.c: Likewise

2002-04-01  Dan Winship  <danw@ximian.com>

	* gui/component/select-names/e-select-names-text-model.c:
	parent_class should be static. (From Max Horn <max@quendi.de>)

2002-03-29  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component/GNOME_Evolution_Addressbook.oaf.in: Add priority
	for the config page.  Renamed to "Directory Servers".

2002-03-27  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-backend-file.c
	(pas_backend_file_process_create_card): don't free req->vcard.
	it's freed in pas_book_free_request.
	(pas_backend_file_process_remove_card): don't free req->id for the
	same reason.
	(pas_backend_file_process_modify_card): don't free req->vcard for
	the same reason.
	(pas_backend_file_process_get_changes): don't free req->change_id
	or release_unref the listener for the same reason.

2002-03-27  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-backend-ldap.c (check_schema_support): make sure
	to call ldap_value_free (values);, and ldap_msgfree (resp).
	(get_ldap_library_info): don't ask me why, but it appears we have
	to free each extension char*.
	(query_ldap_root_dse): make sure to free values in the
	subschemaSubentry code before overwriting it, and call
	ldap_msgfree(resp) when we're all done.
	(build_card_from_entry): don't leak the DN, ldap attributes, or
	the berval the ldap_*_attribute calls use to step through the
	attributes.  the docs say this berval is freed when
	ldap_next_attribute returns NULL, but if we don't free it it leaks
	a substantial amount of memory.
	(pas_backend_ldap_search): make sure to only allocate *op once,
	and fix the g_warning since op isn't valid in its scope anymore.

2002-03-19  Dan Winship  <danw@ximian.com>

	* backend/ebook/Makefile.am: Update for libversit change: Use .a
	rather than .la now.

	* printing/Makefile.am: Likewise

	* gui/component/Makefile.am: Likewise

2002-03-18  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component/addressbook.c (addressbook_menu_activated):
	Removed.
	(addressbook_factory_new_control): Don't connect anymore, as this
	signal has been removed from the ESearchBar.
	(addressbook_factory_new_control): No more custom menu items here.

2002-03-15  Jeffrey Stedfast  <fejj@ximian.com>

	* gui/widgets/e-addressbook-view.c (table_right_click): Update to
	use new EPopupMenu API.

	* gui/widgets/e-addressbook-reflow-adapter.c
	(e_addressbook_reflow_adapter_right_click): Update to use new
	EPopupMenu API.

	* gui/component/select-names/e-select-names.c
	(section_right_click_cb): Update to match new EPopupMenu api.

2002-03-15  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component/addressbook.c: Remove the
	`addressbook_search_menu_items'.
	(addressbook_menu_activated): Removed.
	(addressbook_factory_new_control): Don't connect.  No menu items.

2002-03-15  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component/addressbook.c (control_activate): Call
	`e_search_bar_set_ui_component()' to set the BonoboUIComponent for
	the search bar.

	* gui/component/GNOME_Evolution_Addressbook.oaf.in: Add an icon
	for the LDAP sources configuration control.

2002-03-12  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component/addressbook.c: Remove verb "AddressbookConfig".
	(config_cb): Removed.

	* gui/component/addressbook-config.c: Remove `dialog' member from
	`AddresbookDialog'.  Instead, add a `config_control' member.
	(config_control_new): New.
	(addressbook_config): Removed.
	(addressbook_config_register_factory): New.
	(config_control_factory_fn): New, factory function for the
	ConfigControl page.
	(addressbook_source_edit_changed): Don't change the sensitivity of
	the dialog.  Rather, invoke ::changed on the ConfigPage.
	(auth_checkbutton_changed): No need to manually change the
	sensitiviness of the buttons here either.
	(add_source_clicked): Likewise, just invoke
	evolution_config_control_changed().
	(edit_source_clicked): Likewise.
	(addressbook_dialog_close): Removed.
	(config_control_destroy_callback): New, callback for when the
	config control gets destroyed.
	(addressbook_dialog_apply): Removed.
	(config_control_apply_callback): New callback for
	EvolutionConfigControl::apply.
	(addressbook_dialog_ok): Removed.
	(addressbook_config_control_new): Set up ->config_control and
	connect the signals.

	* gui/component/addressbook-config.glade: Call the main hbox in
	the addressbook_sources dialog `addressbook_sources_main_hbox'.

	* gui/component/addressbook-component.c (owner_set_cb): Call
	`addresbook_config_register_factory'.

	* gui/component/GNOME_Evolution_Addressbook.oaf.in: Add items for
	OAFIID:GNOME_Evolution_Addresbook_ConfigControl and
	OAFIID:GNOME_Evolution_Addressbook_ConfigControlFactory.

2002-03-11  Chris Toshok  <toshok@ximian.com>

	* gui/component/select-names/e-select-names.c (update_query):
	change contains x-evolution-any-field to beginswith on email,
	full_name, and nickname.  faster, and more applicable to this
	dialog.

2002-03-09  Chris Toshok  <toshok@ximian.com>

	* backend/idl/addressbook.idl: add TLSNotAvailable to
	BookLister_CallStatus.

	* backend/ebook/e-book-types.h: add TLS_NOT_AVAILABLE to the EBookStatus enum.

	* backend/ebook/e-book-listener.c
	(e_book_listener_convert_status): add TLS_NOT_AVAILABLE to the
	switch.

	* backend/pas/pas-backend-ldap.c
	(pas_backend_ldap_get_static_capabilities): fix name.
	(pas_backend_ldap_class_init): fix name.
	(pas_backend_ldap_connect): change return type to CallStatus so we
	can return different errors from here.  Also, do STARTTLS if the
	user has asked for it and the connection supports it, returning
	TLSNotAvailable (and close the connection) if they chose to
	require it.
	(pas_backend_ldap_load_uri): return pas_backend_ldap_connect.
	(func_beginswith): pull in change from evolution-1-0-branch to
	make full_name beginswith search both cn and sn.

2002-03-09  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/e-addressbook-view.c (jump_to_letter): since I've
	gone ahead and made the file backend (by way of
	pas-backend-card-sexp.c) use case insensitive searches for
	beginswith, there's no need to list upper and lower case here.

	* gui/component/addressbook.c (addressbook_search_option_items):
	reorder things to put "Any field contains" at the end, since it's
	the least efficient search.  Also reorder the enum to the same
	ordering.  Change "Name contains" to "Name begins with" and change
	"Email contains" to "Email is".
	(addressbook_search_activated): change FULL_NAME to beginswith,
	and change EMAIL to is to match the labels.

	* backend/pas/pas-backend-card-sexp.c (compare_name): new
	function, so we can compare both full and family names (so
	beginswith can operate on them both.)
	(endswith_helper): use e_utf8_strstrcase here, since all the
	backends backends use case insensitive searching.
	(func_endswith): same.

2002-03-06  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-book.c (pas_book_queue_create_card): track
	union/struct change.
	(pas_book_queue_remove_card): same.
	(pas_book_queue_modify_card): same.
	(pas_book_queue_get_cursor): same.
	(pas_book_queue_get_vcard): same.
	(pas_book_queue_authenticate_user): same.
	(pas_book_queue_get_book_view): same.
	(pas_book_queue_get_changes): same.
	(pas_book_free_request): new function - free everything we need to
	for each type of request.
	(pas_book_destroy): call pas_book_free_request here instead of
	just freeing 3 elements of the old struct.  yay plugging memleaks.

	* backend/pas/pas-book.h: make PASRequest a union and split out
	members into structs, so it's a little clearer which fields are
	used by which requests.  Also, add prototype for
	pas_book_free_request so backends can just free everything at once
	(usually in their requests_queued signal func.)

	* backend/pas/pas-backend-file.c
	(pas_backend_file_process_create_card): track struct/union change.
	(pas_backend_file_process_remove_card): same.
	(pas_backend_file_process_modify_card): same.
	(pas_backend_file_build_cards_list): same.
	(pas_backend_file_process_get_vcard): same.
	(pas_backend_file_process_get_cursor): same.
	(pas_backend_file_process_get_book_view): same.
	(pas_backend_file_process_get_changes): same.
	(pas_backend_file_process_check_connection): same.
	(pas_backend_file_process_authenticate_user): same.
	(pas_backend_file_process_get_supported_fields): same.
	(pas_backend_file_process_client_requests): case the union to the
	specific struct and pass it to the process_* functions.  also,
	call pas_book_free_request here, instead of relying on each of the
	functions to free their stuff.

2002-03-07  Dan Winship  <danw@ximian.com>

	* gui/component/addressbook-storage.c
	(addressbook_get_other_contact_storage): Update for
	evolution_storage_new() change.

2002-03-05  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/e-minicard-view-widget.c
	(e_minicard_view_widget_realize): don't set "editable" here, as
	the way things work the backend isn't able to override a setting
	from the UI, so writable books never show up as writable.

2002-03-04  Chris Toshok  <toshok@ximian.com>

	[fixes bug #20871]
	* gui/component/select-names/select-names.glade: add the
	status-message label.

	* gui/component/select-names/e-select-names.h (struct
	_ESelectNames): add status_message field.

	* gui/component/select-names/e-select-names.c (status_message):
	new function, set the label's text from the message.
	(e_select_names_init): get the status-message label, and if it's
	valid, connect to the status_message signal of the
	EAddressbookModel.

2002-02-28  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-backend-ldap.c (pas_backend_ldap_search): don't
	ref the view here, since it keeps the view alive until the search
	is over, which we don't want.  we want the view's death to cancel
	the search.  This speeds up starting new searches after one is
	already active (since switching searches actually creates a new
	book view and destroys the old one.)
	(ldap_search_dtor): remove the matching unref here.  The unref as
	it was was incorrect anyway, and caused a crash (we needed
	search_op->view, not op->view.)

2002-02-27  Chris Toshok  <toshok@ximian.com>

	[fixes bug #20690]
	* backend/pas/pas-backend-ldap.c (func_and): the data arg is not
	GList** anymore, it's PASBackendLDAPSExpData*, so use
	ldap_data->list instead of *list.
	(func_or): same.
	(func_not): same.
	(func_contains): same.
	(func_is): same.
	(func_endswith): same.
	(func_beginswith): same, but also special case the beginswith
	"fileAs" query type (the one used by the alphabet buttons on the
	right hand side, so we can deal with entries that don't have
	fileAs attributes, and return meaningful responses.)
	(pas_backend_ldap_build_query): initialize the
	PASBackendLDAPSExpData struct and pass that instead of &list.
	Also, take the PASBackendLDAP arg to add to the struct in case we
	need it at some point in the future.
	(ldap_search_handler): pass in the PASBackendLDAP.

2002-02-26  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-backend-file.c (pas_backend_file_search): move
	card_count++ inside the if that checks to see if a card matches
	(and adds the card to the list).

2002-02-24  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook.c (addressbook_query_changed): only
	handle the ESB_ADVANCED case here now.  the actual query work is
	done in addressbook_search_activated.
	(addressbook_search_activated): split out all the searching
	functionality here.
	(addressbook_factory_new_control): hook up "search_activated" to
	addressbook_search_activated.

2002-02-24  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook-config.c
	(addressbook_source_dialog_set_source): make the right auth page
	start up open.

	* gui/component/addressbook-storage.c (addressbook_source_free):
	free the binddn.
	(addressbook_source_copy): copy the binddn;

2002-02-22  Chris Toshok  <toshok@ximian.com>

	[ Fixes bugs 20740, 16680, and god knows what else :) ]
	* gui/widgets/e-addressbook-model.c (create_card): double the
	allocated size every time we need more space instead of using a
	fixed size increment.  this helps huge queries.  Also, remove the
	gtk_object_get of "file_as", as it was dead code.
	(book_view_loaded): handle errors here (by popping up a dialog).

	* backend/pas/pas-backend-ldap.c (view_destroy): search_idle ->
	search_timeout.
	(build_card_from_entry): comment out some spew, and unref ecard
	when we're done to plug a memory leak.
	(send_pending_adds): send along to the client all the cards we've
	been saving up.
	(poll_ldap): use a timeout for ldap_result to keep the backend
	from blocking (and it turns out keep the frontend from hanging
	waiting on a ref to complete) on large db's with few matches.

	Also, add some fairly smart, self-tuning aggregating of cards.
	Keep track of the number of cards we've sent the last time through
	as well as this time, and estimate the number we want to aggregate
	the next time based on them (we average them at the moment),
	subject to maximum/minimum number of cards.  also, we have a
	maximum aggregation time, after which we force a flush if there
	are pending cards and recalculate our target pending number.
	there's a minimum wait time to possibly keep outselves from
	spamming the ui, although it's 0 at the moment.

	Lastly, make sure to only notify the GUI of status messages when
	we need to.  this results in a *huge* savings.
	(ldap_search_handler): initialize all the pending card stuff, and
	use a timeout instead of an idle function for poll_ldap.

	* backend/ebook/e-book-view-listener.c
	(e_book_view_listener_queue_response): performance optimization
	for large adds.  If we're a CardAddedEvent and there's an existing
	CardAddedEvent at the end of the queue, just concat the lists of
	cards together.  This is to keep the gui from falling further and
	further behind the ldap backend, which is merrily spewing updates
	at the gui.

2002-02-21  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component/Makefile.am: Define $(iconsdir).

	* gui/component/addressbook-component.c (add_creatable_item): New
	helper function.
	(create_component): Add the icons for the user creatable items as
	well.

2002-02-20  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-backend-file.c (pas_backend_file_load_uri):
	track change to signature, and (for now) just change all the
	return FALSE's to _RepositoryOffline (what FALSE used to map to in
	pas_book_factory_process_request), and change TRUE to _Success.

	* backend/pas/pas-backend-ldap.c (pas_backend_ldap_load_uri):
	track change to signature, and differentiate between
	pas_backend_ldap_connect failing (RepositoryOffline), and
	ldap_url_parse failing (OtherError).
	
	* backend/pas/pas-book-factory.c
	(pas_book_factory_process_request): since pas_backend_load_uri
	returns status now, use it to nodify the BookListener if there's a
	failure.

	* backend/pas/pas-backend.c (pas_backend_load_uri): track change
	to signature.

	* backend/pas/pas-backend.h: change return type of
	pas_backend_load_uri to
	GNOME_Evolution_Addressbook_BookListener_CallStatus to allow
	differentiation between failure types.

	* backend/ebook/e-book-listener.c
	(e_book_listener_convert_status): handle _AUTHENTICATION_FAILED.

	* backend/ebook/e-book-types.h (EBookStatus): add
	_AUTHENTICATION_FAILED.

2002-02-18  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-book-factory.c
	(pas_book_factory_process_request): if the load_uri fails, notify
	the listener that the repository is offline.  (partial fix for bug
	20347)

2002-02-18  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-backend-ldap.c (create_dn_from_ecard): escape
	commas in the dn, since they're used by ldap to specify the node's
	placement in the tree. (fixes bug 20089)
	(rfc2254_escape): just use sprintf and %02X instead.

2002-02-13  Christopher James Lahey  <clahey@ximian.com>

	* gui/component/select-names/e-select-names.c (set_book): Keep a
	ref of the model in this case as well.

2002-02-13  Christopher James Lahey  <clahey@ximian.com>

	* gui/component/select-names/e-select-names.c (set_book): Make
	sure to only set the query once when creating a new book and not
	at all on addressbook model creation.  This prevents an accidental
	pair of changes from making the addressbook model load a remote
	addressbook.

	* gui/widgets/e-addressbook-model.c (get_view): If this is the
	first_get_view and the addressbook is remote, empty the view
	instead of leaving it in the state it used to be in.  This only
	occurs if you set the book after the model has existed for a
	while.
	(e_addressbook_model_set_arg): When setting the book, set
	first_get_view to TRUE.

2002-02-13  Christopher James Lahey  <clahey@ximian.com>

	* gui/widgets/e-addressbook-view.c (display_view): Attach to the
	emvw instead of the emv here.

	* gui/widgets/e-minicard-view-widget.c, e-minicard-view-widget.h:
	Made this object have a "column_width" argument and a
	"column_width_changed" signal which are a simple layer down to the
	EMinicardView contained within.

	* gui/widgets/gal-view-minicard.c, gui/widgets/gal-view-minicard.h
	(gal_view_minicard_attach): Made this attach to an
	EMinicardViewWidget instead of a EMinicardView.

2002-02-13  Christopher James Lahey  <clahey@ximian.com>

	* backend/ebook/e-book-util.c, backend/ebook/e-book-util.h
	(e_book_expand_uri, e_book_load_address_book_by_uri,
	e_book_use_address_book_by_uri): New functions that take a file://
	url ending in the directory name and automatically append the
	addressbook.db and do the appropriate thing.

	* backend/pas/pas-backend-card-sexp.c,
	backend/pas/pas-backend-card-sexp.h: Added copyright notice here.

	* gui/component/addressbook-component.c
	(destination_folder_handle_drop), gui/component/addressbook.c
	(set_prop): Use e_book_expand_uri instead of
	addressbook_expand_uri.

	* gui/component/addressbook-storage.c: Fixed the fcntl include
	here.

	* gui/component/addressbook.c (ContactsCopyToFolder,
	ContactsMoveToFolder): Added handlers for these two verbs.

	* gui/component/addressbook.h: Removed addressbook_expand_uri in
	favor of e_book_expand_uri.

	* gui/widgets/e-addressbook-reflow-adapter.c (transfer_cards):
	Added code to handle Move to and Copy to right click menu items.

	* gui/widgets/e-addressbook-util.c,
	gui/widgets/e-addressbook-util.h (e_addressbook_transfer_cards):
	New function to pop up a dialog and transfer a set of cards to the
	given folder.

	* gui/widgets/e-addressbook-view.c,
	gui/widgets/e-addressbook-view.h (display_view): Don't attach to
	the view if it doesn't exist yet.  We have to make this then
	attach later.
	(e_addressbook_view_copy_to_folder,
	e_addressbook_view_move_to_folder): New functions utilizing
	e_addressbook_transfer_cards.
	(table_right_click): Add copy_to_folder and move_to_folder to the
	right click menu for tables here.
	(e_addressbook_view_discard_menus): Handle menu unmerging here.

	* gui/widgets/e-minicard-view-widget.h (struct
	_EMinicardViewWidget): Removed unused field.

2002-02-13  Christopher James Lahey  <clahey@ximian.com>

	* gui/widgets/e-addressbook-view.c (display_view): Attach the
	GalViewMinicard to the EMinicardView here.

	* gui/widgets/gal-view-minicard.c, gui/widgets/gal-view-minicard.h
	(gal_view_minicard_load, gal_view_minicard_save): Made these save
	the column width of the view.
	(gal_view_minicard_attach, gal_view_minicard_detach): Added these
	functions to allow the GalViewMinicard to set the column width of
	a EMinicardView and to monitor its changes.

2002-02-12  Christopher James Lahey  <clahey@ximian.com>

	* gui/widgets/e-addressbook-reflow-adapter.c
	(addressbook_get_arg): Added an argument to get the model.

	* gui/widgets/e-addressbook-view.c (writable_status): Don't bother
	connecting to the writable_status callback on the book, simply
	rely on the writable_status callback on the addressbook model.

	* gui/widgets/e-minicard-view.c, gui/widgets/e-minicard-view.h
	(set_empty_message): Handle the case of a read only view here.

2002-02-07  JP Rosevear  <jpr@ximian.com>

	* gui/component/addressbook-component.c (create_component): remove
	"New" from user creatable menu items

2002-02-07  Christopher James Lahey  <clahey@ximian.com>

	* gui/widgets/e-addressbook-view.c,
	gui/widgets/e-addressbook-view.h
	(e_addressbook_view_setup_menus): Changed this function to use the
	new GalViewMenus which takes a GalViewInstance, instead of a
	GalViewCollection.

2002-02-04  JP Rosevear  <jpr@ximian.com>

	* gui/contact-editor/e-contact-editor.c (find_address_mailing): tidy

	* conduit/address-conduit.c (addrconduit_load_configuration): load
	default address setting
	(addrconduit_save_configuration): save default address setting
	(e_addr_gui_new): new gui routine for conduit settings
	(e_addr_gui_fill_widgets): ditto
	(e_addr_gui_fill_config): ditto
	(e_addr_gui_destroy): ditto
	(e_addr_context_destroy): destroy the gui and new_cfg
	(local_record_from_ecard): reinstate commented out bits, determine
	which address to sync to pilot
	(ecard_from_remote_record): determine which address to sync from
	pilot
	(fill_widgets): put the gui widgets in
	(create_settings_window): create gui
	(save_settings): fill gui

2002-02-04  JP Rosevear  <jpr@ximian.com>
	
	* gui/contact-editor/e-contact-editor.c (address_text_changed): if
	the shown address in the mailing address or there is no mailing
	address, set the default flag and make sure the button is checked
	(address_mailing_changed): set the flags properly when the mailing
	address changes
	(e_contact_editor_init): listen for the check button being toggled
	(find_address_mailing): find the address (if any) with the default
	flag
	(set_address_field): set the mailing address button appropriately
	(fill_in_info): find the mailing address

	* gui/contact-editor/e-contact-editor.h: add new class data member

	* gui/contact-editor/contact-editor.glade: show mailing address
	check button

2002-02-01  Jeffrey Stedfast  <fejj@ximian.com>

	* backend/ebook/e-destination.c (e_destination_is_auto_recipient):
	New function to find out if a destination was one which was
	auto-matically set by Evolution.
	(e_destination_set_auto_recipient): Set whether or not the dest is
	an auto-recipient.
	(e_destination_touch): Don't touch the address if it is an
	auto_recipient.
	(e_destination_list_to_vector_sized): New function to avoid having
	to calculate the length of the list ourselves. Allows for a bit of
	optimization if our caller knows the length of the list.
	(e_destination_xml_encode): Encode the auto_recipient bit.
	(e_destination_xml_decode): Decode the auto_recipient bit.

2002-02-01  Christopher James Lahey  <clahey@ximian.com>

	* backend/ebook/e-card-simple.c (e_card_simple_sync_card): Made
	this preserve addressbook flags other than the first three.

	* backend/ebook/e-card-types.h: Added E_CARD_ADDR_MASK and
	E_CARD_ADDR_DEFAULT.

	* backend/ebook/e-card.c (get_address_flags): Added "PREF" to
	E_CARD_ADDR_DEFAULT mapping.

	* backend/ebook/test-client.c: Added #include "e-book-util.h".

2002-01-30  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-backend-file.c (pas_backend_file_changes):
	compute the change db filename based on our contact db filename.
	(pas_backend_file_load_uri): store the filename in
	bf->priv->filename.
	(pas_backend_file_destroy): free the filename, and (!) free
	bf->priv too.

2002-01-28  Jeffrey Stedfast  <fejj@ximian.com>

	* backend/ebook/e-destination.c (e_destination_is_valid): Revert
	my previous change as trow says this will break auto-completion
	stuff.

2002-01-27  Ettore Perazzoli  <ettore@ximian.com>

	* gui/contact-editor/Makefile.am: Use EVOLUTION_ADDRESSBOOK_CFLAGS.
	* gui/contact-list-editor/Makefile.am: Likewise.
	* gui/merging/Makefile.am: Likewise.
	* gui/search/Makefile.am: Likewise.
	* gui/component/select-names/Makefile.am: Likewise.

2002-01-25  Jeffrey Stedfast  <fejj@ximian.com>

	* backend/ebook/e-destination.c (e_destination_is_valid): Don't
	check for an @ in the email address. This is to fix bug #10960.

2002-01-24  Chris Toshok  <toshok@ximian.com>

	[ fixes bug 16097 ]
	* gui/component/addressbook-config.glade: gui love for the new
	auth stuff.
	
	* gui/component/addressbook.c (load_uri_cb): track change to auth,
	and offer up different prompt strings depending on which method
	(binddn or email) we're using.
	
	* gui/component/addressbook-storage.c (ldap_unparse_auth): use the
	new auth types for ldap.
	(ldap_parse_auth): same.
	(addressbook_storage_auth_type_to_string): new function.
	(load_source_data): get the binddn too.
	(ldap_source_foreach): store out binddn or emailaddr, depending on
	the auth type chosen.

	* gui/component/addressbook-storage.h: add the more detailed auth
	types, add "binddn" to the source structure, and add a prototype
	for addressbook_storage_auth_type_to_string.
	
	* gui/component/addressbook-config.c (auth_checkbutton_changed):
	set the auth stuff  (in)sensitive.
	(auth_optionmenu_activated): new function.
	(addressbook_source_dialog_set_source): track UI change.
	(addressbook_source_dialog_get_source): same.
	(add_scope_activate_cb): rename add_activate_cb to this to
	distinguish it from the auth stuff.
	(add_auth_activate_cb): new function.
	(addressbook_source_dialog): track change to auth UI stuff.
	(addressbook_storage_auth_type_to_string): new function.

	* backend/ebook/e-book.h: add auth_method arg to
	e_book_authenticate_user.

	* backend/ebook/e-book.c (e_book_authenticate_user): track change
	to prototype - add auth_method arg, and pass it along to the CORBA
	call.

	* backend/ebook/test-client.c (book_open_cb): track api change -
	keep this building.

	* backend/pas/pas-book.h: add auth_method slot in PASRequest.

	* backend/pas/pas-book.c (pas_book_queue_authenticate_user): add
	auth_method arg and add it to the PASRequest.
	(impl_GNOME_Evolution_Addressbook_Book_authenticateUser): track
	idl change, add auth_method and pass it along to
	pas_book_queue_authenticate_user.

	* backend/pas/pas-backend-ldap.c
	(pas_backend_ldap_process_authenticate_user): support both
	"ldap/simple-email" and "ldap/simple-binddn" auth methods.

	* backend/idl/addressbook.idl: add "in string authMethod" to
	authenticateUser.

2002-01-24  Ettore Perazzoli  <ettore@ximian.com>

	* conduit/Makefile.am: Use EVOLUTION_ADDRESSBOOK_CONDUIT_CFLAGS
	and EVOLUTION_ADDRESSBOOK_CONDUIT_LIBS and remove unused flags

	* gui/component/Makefile.am: Use EVOLUTION_ADDRESSBOOK_CFLAGS and
	EVOLUTION_ADDRESSBOOK_LIBS and remove unused flags.
	* backend/pas/Makefile.am: Likewise.
	* backend/ebook/Makefile.am: Likewise.
	* printing/Makefile.am: Likewise.
	* backend/ebook/Makefile.am: Likewise.
	* gui/widgets/Makefile.am (INCLUDES): Likewise.

2002-01-23  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component/addressbook-component.c (create_component): Pass a
	NULL @icon to
	`evolution_shell_component_add_user_creatable_item()'.

2002-01-23  Ettore Perazzoli  <ettore@ximian.com>

	* gui/contact-editor/e-contact-editor-address.c: #include
	<locale.h>.

2002-01-22  Chris Toshok  <toshok@ximian.com>

	[ fixes bug # 16864 ]
	* backend/ebook/evolution-ldif-importer.c (getValue): create and
	return a GString here, instead of writing to a fixed size buffer.
	(parseLine): use a GString here instead of a fixed size buffer.

2002-01-21  Christopher James Lahey  <clahey@ximian.com>

	* backend/pas/pas-backend-ldap.c (ldap_search_handler): Set the
	number of cards to return to the value specified in the ldap uri,
	leaving the default at 100.  Fixes Ximian bug #13953.

	* gui/component/addressbook-config.c (addressbook_source_dialog),
	gui/component/addressbook-config.glade: Added a limit entry here
	to edit the limit field of the source.

	* gui/component/addressbook-storage.c,
	gui/component/addressbook-storage.h
	(addressbook_storage_init_source_uri): Added a limit field to this
	class and pass that value through in the uri that's generated.

2002-01-18  Christopher James Lahey  <clahey@ximian.com>

	* backend/ebook/e-card-compare.c: Made username match with no
	domain match be vague instead of partial.  Fixes Ximian bug
	#13612.

2002-01-18  Christopher James Lahey  <clahey@ximian.com>

	* gui/component/addressbook.c (view_contact_cb): New verb to open
	a bunch of cards.

	* gui/widgets/e-addressbook-reflow-adapter.c (open_card): Call
	e_addressbook_show_multiple_cards instead of doing this ourselves.

	* gui/widgets/e-addressbook-util.c,
	gui/widgets/e-addressbook-util.h
	(e_addressbook_show_multiple_cards): Added this function to show a
	bunch of cards, including a dialog if lots of windows are going to
	appear.

	* gui/widgets/e-addressbook-view.c (e_addressbook_view_view,
	e_addressbook_view_can_view): e_addressbook_view_view calls
	e_addressbook_show_multiple_cards on the appropriate list of
	cards.

2002-01-18  Christopher James Lahey  <clahey@ximian.com>

	* gui/contact-editor/e-contact-editor-address.c
	(fill_in_countries), gui/contact-editor/fulladdr.glade: Sort
	country list.  Country list moves from fulladdr.glade to
	e-contact-editor-address.c, but only a few country names have
	actually changed.  Fixes Ximian bug #16545.

2001-12-20  Zbigniew Chyla  <cyba@gnome.pl>

	Fixes #17725

	* evolution/addressbook/printing/e-contact-print.c (complete_sequence):
	Do not assume that the first byte of file_as is the first letter, use
	utf8 functions instead.

2002-01-16  JP Rosevear  <jpr@ximian.com>

	* conduit/address-conduit.c: move all functions here, get rid of
	header files, use e-pilot-settings to display gui

2002-01-15  JP Rosevear  <jpr@ximian.com>

	* gui/component/select-names/select-names.glade: remove misleading
	title and fix spacing

2002-01-11  Christopher James Lahey  <clahey@ximian.com>

	* gui/component/addressbook.c (alphabet_state_changed): Handle
	setting the search bar to "Advanced..." when the alphabet buttons
	are pushed and back when they're cleared.  Fixes Ximian bug
	#12904.
	(addressbook_menu_activated): When the user calls Search->clear,
	set the search to ESB_ANY and "", don't just set the text.  This
	is especially useful when it's set to ESB_ADVANCED.

	* gui/widgets/e-addressbook-view.c,
	gui/widgets/e-addressbook-view.h (alphabet_state_change): Added
	this signal which gets emitted when the alphabet buttons are
	pushed.
	(command_state_change): Removed the ref pair here.  It's not
	necessary.  gtk_signal_emit refs the object itself.

2002-01-11  Christopher James Lahey  <clahey@ximian.com>

	* backend/ebook/e-card-compare.c (name_synonyms): Added a couple
	of names here.

	* gui/component/select-names/e-select-names-text-model.c
	(e_select_names_text_model_get_nth_obj): Removed an unused
	variable.

2002-01-11  Christopher James Lahey  <clahey@ximian.com>

	* gui/widgets/e-addressbook-view.c,
	gui/widgets/e-addressbook-view.h (create_alphabet): Use toggle
	buttons here.  Fixes Ximian bug #10734.

2002-01-09  Christopher James Lahey  <clahey@ximian.com>

	* gui/contact-editor/e-contact-editor.c (set_fields): Choose the
	first filled in address field here.  Fixes Ximian bug #2222.

2002-01-03  Joe Shaw  <joe@ximian.com>

	* backend/ebook/test-card.c: Add a test for getting arbitrary
        fields.

	* backend/pas/pas-backend-card-sexp.c (compare_arbitrary): Added.
	(prop_info_table): Add a LIST_PROP for arbitrary fields.

2002-01-03  Nat Friedman  <nat@ximian.com>

	* backend/ebook/e-book.c (activate_factories_for_uri): Free the
	query if the oaf response is of zero length.

2001-12-27  Jon Trowbridge  <trow@ximian.com>

	* gui/component/select-names/e-select-names.c
	(real_add_address_cb): When we clean, don't clean the model's last
	element.  This helps keep things working properly when we have
	signal-character separators.
	(section_right_click_cb): Changed to work properly with our
	EText-emitted popup signal.
	(e_select_names_add_section): Use ETexts for the recipient
	sections, rather than tables.  This lets us make them directly
	editable. (Bug #1721)

	* gui/component/select-names/e-select-names-popup.c
	(popup_info_new): Pass in a ESelectNamesTextModel, not a
	ESelectNamesModel.
	(e_select_names_popup): Adjust for the new signature for
	e_select_names_model_text_pos.

	* gui/component/select-names/e-select-names-manager.c
	(focus_out_cb): Schedule a cleaning when we focus out.
	(focus_in_cb): Cancel pending cleaning when we get focus.  This
	helps us avoid bad things happening during the fast focus out/ins
	that happen when the completion dropdown appears.
	(completion_handler): Adjust for new signatures of
	e_select_names_model_text_pos and e_select_names_model_name_pos.
	(e_select_names_manager_entry_new): Pass in our
	ESelectNamesTextModel when constructing the
	ESelectNamesCompletion.
	(e_select_names_manager_entry_free): Cancel any pending clean-ups.

	* gui/component/select-names/e-select-names-bonobo.c
	(entry_get_property_fn): Get the text off of the text model.
	Which is the only way that really makes sense when you think about
	it.

	* gui/component/select-names/e-select-names-completion.c: Added a
	copy of the associated ESelectNamesTextModel to
	ESelectNamesCompletionPrivate.  This replaces the
	ESelectNamesModel.
	(e_select_names_completion_destroy): Unref ->text_model.
	(e_select_names_completion_handle_request): Pass in our text
	model's separator info when calling e_select_names_model_text_pos.
	(e_select_names_completion_new): Pass in the text model as an arg
	instead of the model, and ref it as needed.

	* gui/component/select-names/e-select-names-text-model.c
	(e_select_names_text_model_init): Set separator as either ", " or
	",", depending on the value of the EVOLUTION_DISABLE_MAGIC_COMMA
	environment variable.
	(e_select_names_text_model_destroy): Free the separator.
	(changed_cb): Flush our cached text on changed.
	(e_select_names_text_model_set_source): Use our own changed_cb
	callback on changed, rather than just connecting up
	e_text_model_changed.
	(e_select_names_text_model_set_separator): Added.  Lets the
	separator between recipients be specified.
	(e_select_names_text_model_get_text): Cache the text we get from
	calling e_select_names_model_get_textification.
	(e_select_names_text_model_insert_length): A bunch of small
	changes to properly support generic separators, rather than
	(implicit and explicitly) assuming ", ".
	(e_select_names_text_model_delete): More small tweaks to handle
	generic separators.
	(e_select_names_text_model_get_nth_obj): Use new signature when
	calling e_select_names_model_name_pos, and use our cached text.

	* gui/component/select-names/e-select-names-model.c
	(e_select_names_model_destroy): We don't cache the text or
	addr_text anymore, so no need to free them here.
	(e_select_names_model_changed): ...and no need to reset our text
	and addr_text caches here.
	(e_select_names_model_get_textification): Take a separator as an
	arg, rather than just using ", ".  Also, no caching.
	(e_select_names_model_get_address_text): Take a separator as an
	arg, rather than just using ", ".  And no caching here either.
	(e_select_names_model_clean): Add arg that give us control over
	whether or not the last entry should get cleaned.  We need this
	when using a one-character separator, so that new destinations
	that get tacked onto the end don't get immediately cleaned away
	for being empty.
	(e_select_names_model_name_pos): Take the separator length as an
	argument, remove implicit assumption of length 2.
	(e_select_names_model_text_pos): Take the separator length as an
	argument, remove implicit assumption of length 2.

2001-12-20  Ettore Perazzoli  <ettore@ximian.com>

	[Fix #17377, Evolution doesn't work on multi-depth displays.]

	* gui/component/addressbook-factory.c (main): Push GdkRGB visual
	and colormap.

2001-12-19  Jon Trowbridge  <trow@ximian.com>

	* gui/widgets/e-addressbook-reflow-adapter.c
	(e_addressbook_reflow_adapter_right_click): Add cut/copy/paste to
	right-click menu.

	* gui/widgets/e-addressbook-view.c (table_right_click): Add
	cut/copy/paste to right-click menu.  (Fixes bug #14528.)  Also,
	disable some right-click options if our addressbook isn't
	editable.

2001-12-18  JP Rosevear  <jpr@ximian.com>

	* conduit/address-conduit.c (check_for_slow_setting): go slow and
	clear the map if the last uri and the current uri do not match
	(post_sync): save the last uri

	* conduits/address-conduit-config.h: handle a last uri config
	option

2001-12-18  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook.c (addressbook_default_book_open):
	change this to match its e-book counterpart, and only failover to
	the local addressbook if the protocol wasn't supported.  that way
	errors like "failure to connect" are still reported to the user.

	* backend/ebook/e-book-util.h: add prototypes for
	e_book_load_default_book and e_book_get_config_database.

	* backend/ebook/e-book-util.c (e_book_default_book_open): new
	function, basically cut and paste addressbook_default_book_open
	from addressbook.c here.
	(e_book_load_default_book): cut and past
	addressbook_load_default_book here, pretty much, except leave off
	the auth stuff.
	(e_book_get_config_database): new function, returns the
	Bonobo_ConfigDatabase for e_book_load_default_book to use.

	* conduit/address-conduit.c (start_addressbook_server): use
	e_book_load_default_book here.
	
2001-12-17  Chris Toshok  <toshok@ximian.com>

	[ fixes bug 17355 ]
	* gui/component/select-names/e-select-names.c (new_folder): if
	we're dealing with an LDAP folder, prepend [LDAP] to it.  Now that
	we have 3 different places where folders are coming from, it helps
	to be able to differentiate "Contacts" in ~/evolution and a
	"Contacts" ldap server and a "Contacts" exchange folder.
	(add_additional_select_names_uris): loop through the bonobo conf
	settings for additional folders, adding them to the option menu.
	(e_select_names_hookup_shell_listeners): call
	add_additional_select_names_uris.

2001-11-28  Christopher James Lahey  <clahey@ximian.com>
 
 	* gui/widgets/e-minicard-view-widget.c
	(e_minicard_view_widget_realize): Use an #ECanvasBackground here
	instead of a #GnomeCanvasRect.
 
2001-12-16  Jon Trowbridge  <trow@ximian.com>

	* gui/component/select-names/e-select-names-completion.c: Added
	'cache_complete' flag to ESelectNamesCompletionPrivate.
	(e_select_names_completion_seq_complete_cb): Set cache_complete
	to TRUE if our query wasn't interrupted.
	(e_select_names_completion_start_query): Set cache_complete to
	FALSE at the beginning of a potentially-cached query.
	(e_select_names_completion_do_query): Only reuse cached cards
	if cache_complete is TRUE.  (Fixes bug #10241)

2001-12-15  JP Rosevear  <jpr@ximian.com>
 
 	* conduit/address-conduit.c (e_addr_context_destroy): don't free
 	the hash table keys, we didn't allocate them and free the change
 	objects and unref the associated cards
 	(local_record_from_uid): unref the temp card we create
 	(replace_record): ref the new card associated with the card change
 	and unref the old one

2001-12-13  JP Rosevear  <jpr@ximian.com>
 
 	* conduit/address-conduit.c (local_record_from_ecard): Make sure
 	to copy the custom fields so they are not overwritten

2001-12-13  Jon Trowbridge  <trow@ximian.com>

	* backend/ebook/e-book-util.c (simple_query_new): Used
	g_strdup_printf to dup a string.  Doh!  Changed to g_strdup.
	(Bug #17126)

2001-12-07  Jon Trowbridge  <trow@ximian.com>

	* gui/component/select-names/e-select-names-manager.c
	(e_select_names_manager_entry_new): Remove a reference to code
	I don't want to commit yet. :-)

	* gui/component/select-names/e-select-names-manager.c: Extensively
	refactored -- this code had gotten _really_ ugly.  Untangle things
	to the point where our reference counting problems are fixable.

	* gui/component/select-names/e-select-names-bonobo.c
	(impl_destroy): Remove all of the ugly hacks to work around our
	memory management problems, and just unref the manager.
	(Fixes #14412)

2001-12-05  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-backend-ldap.c
	(search_for_dn_with_objectclasses): move search_for_dn's contents
	here, and add an "existing_objectclasses" parameter that we pass
	on to build_card_from_entry.
	(search_for_dn): call search_for_dn_with_objectclasses with NULL
	for existing_objectclasses.
	(build_card_from_entry): if existing_objectclasses is non-NULL,
	fill it in with the list of existing objectclass values for this
	entry.
	(add_objectclass_mod): if existing_objectclasses is non-NULL,
	meaning we're modifying an entry, search in the existing
	objectclasses for the ones we want to be there, and only add
	what's missing.  If none are missing, don't add objectclass_mod to
	the list of mods.
	(create_card_handler): track change to add_objectclass_mod (pass
	NULL).
	(modify_card_handler): use search_for_dn_with_objectclasses
	instead of search_for_dn, and pass the existing objectclasses to
	add_objectclass_mod.  also, free the list when we're done.
	(poll_ldap): track change to build_card_from_entry (pass NULL).

2001-12-05  Chris Toshok  <toshok@ximian.com>

	* gui/contact-editor/e-contact-editor.c (enable_writable_fields):
	we need to be able to disable non-labels here as well.  since
	we're using enable_widget and not gtk_widget_set_sensitive, it's
	okay to handle entries/text's, etc, here.
	(widget_field_mappings): add label-caluri and label-fburl here.

	* gui/contact-editor/contact-editor.glade: change the label names
	for the freebusy/calendar urls to have more descriptive names,
	since we use them in e-contact-editor.c now.

	* backend/pas/pas-backend-ldap.c: add support for
	caluri/calendarURI, fburl/freeBusyURI.

	* backend/pas/evolutionperson.schema: add calendarURI and
	freeBusyURI.

2001-12-04  Christopher James Lahey  <clahey@ximian.com>

	* gui/contact-editor/contact-editor.glade: Fixed up the
	accelerators and such here.

	* gui/contact-editor/e-contact-editor.c (file_save_as_cb):
	Translate this string.
	(pixmaps): Added a pixmap for the ContactEditorSaveClose command.
	(setup_tab_order): Fixed up the tab order here.

	* gui/contact-editor/fulladdr.glade: Made the country combo
	focusable here.

2001-12-03  Jon Trowbridge  <trow@ximian.com>

	* backend/ebook/e-destination.c (e_destination_equal): Make address
	comparisons case-insensitive. (Fixes 11776)

	* backend/ebook/e-card.c (e_card_email_match_single_string): Make address
	host comparisons case-insensitive. (Fixes 11776)

	* gui/component/select-names/e-select-names-manager.c (focus_out_cb): Clean
	ESelectNamesModel on focus-out. (Half of a fix for 15656)

	* backend/ebook/e-destination.c (nonempty): Fix this function
	and make it utf8-safe. (The other half of the fix for 15656)

2001-11-28  Christopher James Lahey  <clahey@ximian.com>

	* gui/contact-list-editor/e-contact-list-editor.c: Consistency
	fixes with standard contact editor.  Added Save As, Send As, and
	Send To.  Replaced Save toolbar with Save and Close and added Save
	and Close menu item.  Added a trash icon.

2001-11-28  Christopher James Lahey  <clahey@ximian.com>

	* gui/contact-editor/e-contact-editor-address.c (setup_tab_order):
	Setup the tab order here.  Fixes Ximian bug #13751.

2001-11-28  Christopher James Lahey  <clahey@ximian.com>

	* gui/component/addressbook.c (connect_master_list_changed,
	make_suboptions): Changed how this list of categories gets
	computed.  Fixes Ximian bugs #7707 and #7708.

2001-11-15  Zbigniew Chyla  <cyba@gnome.pl>

	* printing/e-contact-print-envelope.c (ecpe_linelist_dimensions),
	printing/e-contact-print.c (e_contact_divide_text, e_contact_output,
	e_contact_rectangle, e_contact_print_letter_tab,
	e_contact_print_letter_heading, e_contact_get_card_size,
	e_contact_print_card, e_contact_print_phone_list):
	s/gnome_font_get_width_string/gnome_font_get_width_utf8/
	s/gnome_font_get_width_string_n/gnome_font_get_width_utf8_sized/

2001-11-14  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-backend-ldap.c (search_for_dn): check against
	LDAP_SUCCESS as the return value, not -1.
	(pas_backend_ldap_build_all_cards_list): same.
	(pas_backend_ldap_process_authenticate_user): same.

2001-11-12  Chris Toshok  <toshok@ximian.com>

	[ Fixes Ximian bug #14843 ]
	* backend/pas/pas-backend-ldap.c (func_and): don't crash if a
	subexpression wasn't filled in.

	* backend/pas/pas-backend-ldap.c (func_or): same.

2001-11-12  Jon Trowbridge  <trow@ximian.com>

	* gui/contact-list-editor/e-contact-list-editor.c (list_added_cb):
	Release callback's reference to EContactListEditor.
	(list_modified_cb): Release callback's reference to
	EContactListEditor.
	(save_card): Ref the EContactListEditor on behalf of the
	e_book_foo callback. (Fixes bug #14743)
	(save_card): Set changed to false once we've saved.
	(list_deleted_cb): Release callback's reference.
	(delete_cb): Hold reference for the callback.

2001-11-12  Jon Trowbridge  <trow@ximian.com>

	* gui/contact-editor/e-contact-editor.c (categories_clicked): If
	our call to e_categories_new returns NULL, put up an error dialog
	and return.  (Fixed #14780)
		
2001-11-09  Chris Toshok  <toshok@ximian.com>

	[ Fixes Ximian bug #14687 ]
	* backend/pas/pas-backend-file.c

	* backend/pas/pas-book-factory.c
	(pas_book_factory_process_request): do load_uri before add_client,
	so we know if the load actually worked (add_client uses this
	information to respond to the new client.)  before this change,
	the client would still think the book was in a useful state even
	if the load_uri failed.

	* backend/pas/pas-backend-ldap.c (pas_backend_ldap_add_client): if
	the we're not connected, say so.

	* backend/pas/pas-backend-file.c (pas_backend_file_add_client):
	same.
	(pas_backend_file_load_uri): don't report_writable here,
	add_client does it.  was only needed before because of the
	improper ordering in pas-book-factory.c above.

2001-11-09  Chris Toshok  <toshok@ximian.com>

	[ Fixes Ximian bug #14646 ]
	* gui/component/addressbook.c (addressbook_default_book_open): new
	function.  if the default_book failed to load, load the local
	addressbook in its place.
	addressbook_load_default_book): if we're loading the default_book
	uri, use addressbook_default_book_open as the open_response.

	* backend/ebook/e-book.c (e_book_load_uri_step): reset the
	load_state to NotLoaded so we can attempt another load_uri on
	the book if it fails.

2001-11-08  Jon Trowbridge  <trow@ximian.com>

	* gui/component/select-names/e-select-names-bonobo.c
	(impl_destroy): Explicitly destroy entries.  Part of the fix for
	the lingering completion window bug.

2001-11-04  JP Rosevear  <jpr@ximian.com>

	* conduit/address-conduit.c: Use ordering of the pilot's phone
	label list to find fields we sync in order to avoid strcmp'ing the
	pilot's labels rendering phone syncing usable only for english
	language pilots

2001-11-03  Chris Toshok  <toshok@ximian.com>

	[ Fixes Ximian bug #14410 ]
	* gui/contact-editor/e-contact-editor.c (e_contact_editor_init):
	init in_async_call to FALSE.
	(card_added_cb): turn the UI back on and set in_async_call to
	FALSE.
	(card_modified_cb): same.
	(card_deleted_cb): same.
	(save_card): turn off the UI by setting the dialog insensitive,
	and set in_async_call to TRUE.
	(delete_cb): same.
	(app_delete_event_cb): if we're in an async call don't let the
	window get deleted.

	* gui/contact-editor/e-contact-editor.h (struct _EContactEditor):
	add in_async_call flag for when we make a wombat call and need to
	disable the UI.

	* gui/contact-list-editor/e-contact-list-editor.c
	(e_contact_list_editor_init): init in_async_call to FALSE.
	(list_added_cb): turn the UI back on and set in_async_call to
	FALSE.
	(list_modified_cb): same.
	(list_deleted_cb): same.
	(save_card): turn off the UI by setting the dialog insensitive,
	and set in_async_call to TRUE.
	(delete_cb): same.
	(app_delete_event_cb): if we're in an async call don't let the
	window get deleted.

	* gui/contact-list-editor/e-contact-list-editor.h (struct
	_EContactListEditor): add in_async_call flag for when we make a
	wombat call and need to disable the UI.

2001-11-02  Christopher James Lahey  <clahey@ximian.com>

	* backend/ebook/e-card-simple.c (e_card_simple_get): Check for
	NULL dates before converting them to strings.  Fixes Ximian bug
	#14394.

2001-11-02  Jon Trowbridge  <trow@ximian.com>

	* gui/component/select-names/e-select-names-bonobo.c
	(impl_destroy): Leak select-names related data structures until
	the memory management issues get sorted out.  Fixed bug #14086.

2001-10-31  Christopher James Lahey  <clahey@ximian.com>

	* gui/component/e-cardlist-model.c,
	gui/component/select-names/e-select-names-table-model.c,
	gui/widgets/e-addressbook-table-adapter.c: Make the pre_changes
	and changes match here.

2001-10-31  Jon Trowbridge  <trow@ximian.com>

	* gui/component/select-names/e-select-names.c
	(e_select_names_destroy): Check that local_listener and
	other_contacts_listener are non-NULL before
	disconnecting/unrefing.

	* gui/component/select-names/e-select-names-manager.c
	(entry_destroyed): The entry shouldn't unref the manager.
	(e_select_names_manager_create_entry): The entry shouldn't hold a
	ref to the manager.  It becomes circular.
	(e_select_names_manager_create_entry): On the other hand, we
	should hold a ref to the entry we create.

	* gui/component/select-names/e-select-names-bonobo.c
	(impl_destroy): Remove the explicit dialog destroy hack.

2001-10-30  Jon Trowbridge  <trow@ximian.com>

	* gui/component/select-names/e-select-names-bonobo.c
	(impl_destroy): Force the select names dialog to be destroyed.
	This is a hack to fix bug #14002 -- I'll clean up the refcounting
	issues post-freeze.  At least now it won't crash.

2001-10-30  JP Rosevear  <jpr@ximian.com>

	* conduit/address-conduit.c (ecard_from_remote_record): make sure
	to translate the character sets of the names

2001-10-30  JP Rosevear  <jpr@ximian.com>
	
	* gui/component/select-names/e-select-names-bonobo.c
	(manager_ok_cb): send a null bonobo arg to prevent explosion

2001-10-30  JP Rosevear  <jpr@ximian.com>
	
	* gui/widgets/e-addressbook-view.c: correct include typo

2001-10-29  Jon Trowbridge  <trow@ximian.com.

	* gui/widgets/e-minicard.c (add_field): Five characters, not four!
	
	* gui/widgets/e-addressbook-table-adapter.c
	(addressbook_value_at): Convert xml-ified destinations into proper
	addresses.

2001-10-29  Jon Trowbridge  <trow@ximian.com.

	* gui/component/select-names/e-select-names-bonobo.c (init):
	Connect to manager's "ok" signal.
	(manager_ok_cb): Emit "ok" bonobo-signal.

	* gui/component/select-names/e-select-names-manager.c
	(e_select_names_manager_class_init): Added "ok" signal.
	(e_select_names_clicked): Emit 'ok' signal.

2001-10-29  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/e-addressbook-util.c
	(e_addressbook_prompt_save_dialog): new function, a "Do you want
	to save changes?" dialog.

	* gui/widgets/e-addressbook-util.h: add prototype for
	e_addressbook_prompt_save_dialog.

	* gui/contact-editor/e-contact-editor.c (prompt_to_save_changes):
	call e_addressbook_prompt_save_dialog and save the card if they
	select save.  return TRUE if the dialog should be closed, FALSE
	otherwise.
	(file_close_cb): check prompt_to_save_changes before closing the
	dialog.
	(app_delete_event_cb): same.

	* gui/contact-list-editor/e-contact-list-editor.c
	(prompt_to_save_changes): call e_addressbook_prompt_save_dialog
	and save the card if they select save.  return TRUE if the dialog
	should be closed, FALSE otherwise.
	(file_close_cb): check prompt_to_save_changes before closing the
	dialog.
	(app_delete_event_cb): same.

2001-10-29  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-backend-ldap.c (add_objectclass_mod): overload
	this function for modifying objectclasses too, so we can make sure
	evolutionPerson shows up in the objectclasses of an entry if it
	shows up in the schema for the server.
	(create_card_handler): add @replace = FALSE in the call to
	add_objectclass_mod.
	(modify_card_handler): call add_objectclass_mod with @replace =
	TRUE.
	(anniversary_compare): fix typo - return "equal", not "TRUE".
	(birthday_compare): same.

2001-10-29  Jon Trowbridge  <trow@ximian.com>

	* conduit/address-conduit.c (pre_sync): Comment out spew.

	* gui/contact-list-editor/e-contact-list-editor.c (fill_in_info):
	Comment out spew.

	* gui/component/addressbook-component.c
	(destination_folder_handle_drop): Comment out spew.
	(get_dnd_selection): Comment out spew.

	* gui/widgets/e-addressbook-table-adapter.c
	(addressbook_set_value_at): Comment out spew.

2001-10-29  Jon Trowbridge  <trow@ximian.com>

	* gui/component/addressbook.c (update_command_state): Check that
	our BonoboUIComponent has a container so we don't get a lot of
	annoying debug spew.

	* printing/smallbook.ecps: Fixed fonts.

	* printing/phonelist.ecps: Fixed fonts.

	* printing/medbook.ecps: Fixed fonts.

	* printing/e-contact-print.c (e_contact_get_card_size): Commented
	out spew.

	* gui/widgets/e-minicard.c (remodel): Check that e_minicard->card
	!= NULL.

2001-10-29  Jon Trowbridge  <trow@ximian.com>

	* gui/component/select-names/e-select-names-completion.c
	(e_select_names_completion_destroy): We were using
	book_data->book_view immediately after unrefing it.  Reordered the
	code a bit to avoid this.

2001-10-29  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-book-factory.h: add prototype for
	pas_book_factory_dump_active_backends.

	* backend/pas/pas-book-factory.c
	(pas_book_factory_dump_active_backends): new function.
	(dump_active_server_map_entry): new function.

2001-10-29  Jon Trowbridge  <trow@ximian.com>

	* gui/component/select-names/e-select-names-completion.c
	(make_match): Drop a match if either of the text fields is NULL.
	This could happen if any of the utf-8 involved is invalid, for
	example. (Bug #13757)

2001-10-29  JP Rosevear  <jpr@ximian.com>

	* conduit/address-conduit.c (is_syncable): fix bug that allowed
	for phone's not to be in priority order and the item to still be
	syncable

	* conduit/address-conduit-config.h
	(addrconduit_load_configuration): get management by id

2001-10-29  JP Rosevear  <jpr@ximian.com>
	
	* conduit/address-conduit.c (is_syncable): a card also needs to
	have its phone nums in priority order to be "syncable"
	
2001-10-29  JP Rosevear  <jpr@ximian.com>

	* conduit/address-conduit.c (is_syncable): move the syncable
	checking code to a different function
	(ecard_from_remote_record): set the name parts individually
	(local_record_from_ecard): use is_syncable

2001-10-29  Christopher James Lahey  <clahey@ximian.com>

	* backend/ebook/e-card-simple.c (file_as_get_style,
	file_as_set_style): Use the actual ECardName in the ECard instead
	of parsing the full_name here.

2001-10-29  Christopher James Lahey  <clahey@ximian.com>

	* backend/ebook/e-card-simple.c, backend/ebook/e-card-simple.h
	(e_card_simple_set_name): New function to set the ECardName on
	this card and fix the file_as if necessary.

2001-10-29  Christopher James Lahey  <clahey@ximian.com>

	* backend/ebook/e-card-simple.c, backend/ebook/e-card-simple.h
	(e_card_simple_get): Handle returning dates here.
	(e_card_simple_get_allow_newlines): New function.  Returns whether
	it makes much sense to have newlines in this string.

	* gui/component/addressbook-config.c,
	gui/component/addressbook-config.h
	(addressbook_create_new_source): The first argument here should
	be const.

	* gui/component/addressbook-storage.c: Added #include
	"addressbook-config.h".

	* gui/widgets/e-minicard-label.c (e_minicard_label_event): On an
	escape here, cancel editing and remove the focus from the text.

	* gui/widgets/e-minicard.c (add_field): Set allow_newlines here.
	(field_activated): Stop editing on the activate signal and remove
	the focus from the text.  Fixes Ximian bug #12286.

2001-10-28  JP Rosevear  <jpr@ximian.com>

	* conduit/address-conduit.h: tidy

	* conduit/address-conduit-config.h: ditto

	* conduit/address-conduit.c (add_record): unref ecard when done

2001-10-28  Jon Trowbridge  <trow@ximian.com>

	* backend/ebook/e-card.c (e_card_date_from_string): Expose this
	function.
	(e_card_date_to_string): ...and this one.  Fixes build problem in
	pas-backend-ldap.c.

2001-10-28  Jon Trowbridge  <trow@ximian.com>

	* gui/component/select-names/e-select-names.c
	(e_select_names_hookup_shell_listeners): Change "this should never
	happen" dialog to not give my name/e-mail.  Sorry translators.
	But this really should never happen, thanks to my fix below.

	* gui/component/addressbook-component.c: Initialize
	global_shell_client to NULL. (Bug #6625)

2001-10-27  Chris Toshok  <toshok@ximian.com>

	[ bug #12979 ]
	* backend/pas/pas-backend-ldap.c (anniversary_populate): new
	function.
	(anniversary_ber): new function.
	(anniversary_compare): new function.
	(birthday_populate): new function.
	(birthday_ber): new function.
	(birthday_compare): new function.

2001-10-27  Chris Toshok  <toshok@ximian.com>

	* gui/component/select-names/e-select-names-completion.c
	(e_select_names_completion_destroy): free up all the book_data
	list stuff.
	(e_select_names_completion_got_book_view_cb): deal with book_data
	being passed as the closure, and increment the
	pending_completion_seq counter.
	(e_select_names_completion_card_added_cb): deal with book_data
	being passwd as the closure.
	(e_select_names_completion_seq_complete_cb): same, and decrement
	the pending_completion_seq if we haven't gotten one for this book
	view before.
	(e_select_names_completion_stop_query): cancel all the
	book_data's.
	(e_select_names_completion_start_query): use the books_not_ready
	counter instead of book_ready.  also, do e_book_get_book_view on
	each of the book's in our list.
	(e_select_names_completion_do_query): change to deal with our
	list.
	(e_select_names_completion_book_ready): decrement the
	book_not_ready counter.
	(e_select_names_completion_new): add the book we're created with
	to our list.
	(e_select_names_completion_add_book): implement.

	* gui/component/select-names/e-select-names-completion.h: add
	prototype for e_select_names_completion_add_book.

	* gui/component/select-names/e-select-names-manager.c
	(e_select_names_manager_new): use addressbook_config_data, and
	don't unref the db.
	(e_select_names_manager_create_entry): always add NULL for a book
	(which corresponds to the local book), and if the completion_book
	is present, add it to the list of books to complete again.

2001-10-27  Chris Toshok  <toshok@ximian.com>

	* gui/contact-editor/e-contact-quick-add.c (merge_cb): change to
	EBookCallback signature, and unref the book.
	(quick_add_merge_card): use addressbook_load_default_book.
	(ce_have_book): change to EBookCallback signature, and unref the
	book.
	(edit_card): use addressbook_load_default_book.

	* gui/component/e-address-popup.c (email_table_save_card_cb):
	change to EBookCallback signature, and unref the book.
	(add_card_idle_cb): use addressbook_load_default_book, and call
	the cb if it fails.
	(e_address_popup_cleanup): fix type -- should be "pop->card =
	NULL", not "pop = NULL".
	(contact_editor_cb): change to EBookCallback signature.
	(edit_contact_info_cb): use addressbook_load_default_book.
	(start_query): change to EBookCallback signature.
	(e_address_popup_query): use addressbook_load_default_book.

	* gui/widgets/e-minicard-control.c (book_open_cb): change to
	EBookCallback signature, and unref the book.
	(save_in_addressbook): use addressbook_load_default_book instead
	of e_book_use_local_address_book.

	* gui/widgets/Makefile.am (INCLUDES): change includes since we're
	including addressbook.h which has it's own set of funky include
	path requirements.

2001-10-27  Jon Trowbridge  <trow@ximian.com>

	* backend/ebook/e-book.c (activate_factories_for_uri): Don't leak
	stuff. (Bug #13709)

2001-10-27  Christopher James Lahey  <clahey@ximian.com>

	* backend/ebook/e-destination.c (name_and_email_simple_query_cb,
	nickname_simple_query_cb): Set book_uri when cardification occurs.

2001-10-27  Christopher James Lahey  <clahey@ximian.com>

	* gui/component/select-names/e-select-names.c
	(e_select_names_add_section): Turned off use_ellipsis (it breaks
	emulate_label_resize) and on emulate_label_resize.  Fixes Ximian
	bug #13693.

2001-10-27  Jon Trowbridge  <trow@ximian.com>

	* gui/component/select-names/e-select-names-completion.c
	(make_match): Doh!  We should be sorting our contacts so that the
	most frequently used ones are at the top of the list, not the
	bottom.

	* backend/pas/pas-book.c (pas_book_check_queue): That should be a
	bonobo_object_unref, not a gtk_object_unref.
	(pas_book_queue_request): Likewise, we need to bonobo_object_ref
	here.
	(pas_book_destroy): If our pas_book_check_queue timeout is still
	active, disable it.  This should never happen, but it never hurts
	to be careful.
	(pas_book_destroy): Set book->priv to NULL after we free it.

2001-10-27  JP Rosevear  <jpr@ximian.com>

	* conduit/address-conduit.c (local_record_from_ecard): copy phone
	labels and show phone as well, clear correct entry text and
	correctly detect unsyncable cases

2001-10-27  JP Rosevear  <jpr@ximian.com>

	* conduit/address-conduit.c (local_record_from_ecard): touch the
	record on lookup
	(check_for_slow_setting): write touched only if we are doing a
	slow sync
	(card_removed): don't touch on lookup
	(match): touch on lookup

2001-10-27  Jon Trowbridge  <trow@ximian.com>

	* backend/pas/pas-book.c (pas_book_check_queue): Added paranoid
	reentrancy guards.
	(pas_book_queue_request): Changed our idle handler into a timeout,
	so as to work w/ reentrancy guards.
	(pas_book_init): Explicit initialization.

2001-10-26  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook.h: add prototypes for
	addressbook_config_database, and addressbook_load_default_book.

	* gui/component/addressbook.c (addressbook_config_database): new
	function, so we aren't activating the db everywhere we need to use
	it.
	(addressbook_load_default_book): load the default book, after
	getting the uri from bonobo-config.

2001-10-26  Jon Trowbridge  <trow@ximian.com>

	* backend/ebook/e-book-util.c (simple_query_card_added_cb): Return
	on cancellation.
	(simple_query_sequence_complete_cb): Act if not cancelled.
	(simple_query_book_view_cb): Free & return on cancellation.
	(e_book_simple_query_cancel): Set cancellation flag.

	* gui/component/e-address-popup.c (e_address_popup_query): Hold a
	reference to ourselves for the duration of our addressbook fetch.
	(start_query): Release when we've fetched our addressbook.
	(e_address_popup_cleanup): Break out most of what we do in
	_destroy into a separate function.
	(e_address_popup_destroy): Class cleanup.
	(contact_editor_cb): Paranoid clean-up.
	(add_contacts_cb): Paranoid clean-up.
	(e_address_popup_ambiguous_email_add): Paranoid clean-up.

2001-10-26  JP Rosevear  <jpr@ximian.com>

	* conduit/e-address.conduit.in: remove the merges as valid sync
	types

	* conduit/address-conduit.c (pre_sync): write out only the touched
	records if we are doing copies

	* conduit/address-conduit-config.h
	(addrconduit_load_configuration): get the sync type

2001-10-26  Jon Trowbridge  <trow@ximian.com>

	* gui/component/e-address-popup.c (e_address_popup_destroy):
	Cancel any pending queries.

	* gui/contact-editor/e-contact-editor.c (close_dialog): Don't
	assert, but check if ce->app != NULL, since this function can
	(apparently) get called multiple times.

	* gui/contact-editor/e-contact-save-as.c (file_exists): Remove bad
	dialog ref-counting crap.

	* gui/contact-editor/e-contact-editor.c (save_card): Ref our
	EContactEditor, since we are holding a pointer to it in
	EditorCloseStruct.
	(card_modified_cb): Unref our EContactEditor when we free our
	EditorCloseStruct.
	(card_added_cb): Unref our EContactEditor when we free our
	EditorCloseStruct.

2001-10-26  JP Rosevear  <jpr@ximian.com>
	
	* conduit/address-conduit.c (check_for_slow_setting): make debug
	info more accurate
	
2001-10-26  JP Rosevear  <jpr@ximian.com>

	* conduit/address-conduit.c (e_addr_context_destroy): prevent
	double unref
	(cursor_cb): correct typo
	(card_removed): remove the card from the map if was archived and
	is now deleted

2001-10-26  JP Rosevear  <jpr@ximian.com>
	
	* conduit/address-conduit.h: new member

	* conduit/address-conduit.c (print_remote): free the struct after
	using it
	(e_addr_context_new): make consistent with other conduits
	(e_addr_context_destroy): properly destroy the context
	(cursor_cb): no need to ref the card, its done for us
	(clear_entry_text): util function to free a field
	(free_local): free a local record
	(local_record_to_pilot_record): use a static buffer so we don't
	have to free it later
	(local_record_from_ecard): only fill in the fields we might not
	sync, clear a field before replacing the contents
	(for_each): track locals
	(for_each_modified): ditto
	(free_match): use free_local

2001-10-26  Christopher James Lahey  <clahey@ximian.com>

	* gui/widgets/e-minicard.c, gui/widgets/e-minicard.h
	(set_has_cursor): Added has_cursor argument.  Setting the argument
	to TRUE if the minicard doesn't have focus will grab the focus.
	Fixes Ximian bug #3024.

2001-10-24  Jon Trowbridge  <trow@ximian.com>

	* gui/component/addressbook-factory.c (main): Initialize
	gnome-vfs.

	* gui/component/addressbook-component.c (xfer_file): Added.
	(Copied from the calendar.)
	(xfer_folder): Fixed to allow renaming of contact folders.

2001-10-24  Christopher James Lahey  <clahey@ximian.com>

	* gui/widgets/e-addressbook-view.c
	(e_addressbook_view_class_init): Removed key_press handler here
	since delete and backspace are now handled by keybindings.

2001-10-23  Jon Trowbridge  <trow@ximian.com>

	* gui/component/addressbook.c: Fix command paths when we specify
	our pixmaps, so we don't get a lot of totally useless & very ugly
	bonobo-ui spew.

	* backend/ebook/e-book-util.c (e_book_nickname_query): The empty
	string as an arg shouldn't generate a warning.

	* gui/component/select-names/e-select-names-completion.c: Removed
	our cancelled flag and e_select_names_completion_cancel function,
	since we were just duplicating stuff that had ended up in
	ECompletion.
	(match_name): Form our menu_text properly on an additional-name
	match.
	(e_select_names_completion_got_book_view_cb): Store handles for
	our signals, disconnect them properly when we switch book views.
	(e_select_names_completion_stop_query): Disconnect signals when we
	stop our query.
	(check_capabilities): Spew if we are using LDAP for completion.
	(e_select_names_completion_destroy): Disconnect our signals when
	we destroy.
	This all should fix bug #10241.

2001-10-23  Christopher James Lahey  <clahey@ximian.com>

	* gui/component/select-names/e-select-names.c
	(e_select_names_add_section): Set "draw_button" argument to TRUE
	on this EEntry.

2001-10-22  Christopher James Lahey  <clahey@ximian.com>

	* gui/contact-editor/e-contact-save-as.c (save_it): Put up an
	error dialog if there's an error while saving.  If the person hits
	cancel on the "file exists" dialog, don't close the file selection
	dialog.  Fixes Ximian bug #7055.

2001-10-21  Christopher James Lahey  <clahey@ximian.com>

	* gui/widgets/e-addressbook-reflow-adapter.c
	(model_and_selection_free): right_click_up here when we let go of
	the popup.

	* gui/widgets/e-minicard-view.c (e_minicard_view_selection_event):
	right_click_up here.

2001-10-21  Christopher James Lahey  <clahey@ximian.com>

	* gui/component/select-names/e-select-names.c
	(e_select_names_add_section, e_select_names_set_default): Use an
	EEntry here instead of a GtkLabel.  Fixes Ximian bug #7067.

2001-10-21  Jon Trowbridge  <trow@ximian.com>

	* gui/component/addressbook.c (control_activate_cb): Call
	e_addressbook_model_force_folder_bar_message when we activate the
	component. (Fixes bug #11749)

	* gui/widgets/e-addressbook-model.c
	(e_addressbook_model_force_folder_bar_message): Added.  Forces
	emission of a folder_bar_message.

2001-10-20  Larry Ewing  <lewing@ximian.com>

	* gui/component/select-names/e-select-names.c
	(e_select_names_set_default): stick with the style font if the
	efont bold font does not exist.	
	(e_select_names_set_default): don't forget to unref the oldstyle.

2001-10-20  Jon Trowbridge  <trow@ximian.com>

	* gui/component/select-names/e-select-names-completion.c
	(name_style_query): Fix memory leak.

	* gui/widgets/e-addressbook-view.c (jump_to_letter): Free our
	string vector letter_v when we are done with it.

	* gui/contact-editor/e-contact-quick-add.c (edit_card): Unref our
	QuickAdd structure.

	* gui/component/e-address-popup.c (e_address_popup_construct):
	Unref our style after we are done with it.

2001-10-20  Jon Trowbridge  <trow@ximian.com>

	* backend/ebook/e-book.c (activate_factories_for_uri): We
	shouldn't leak the info returned by oaf_query.

	* gui/contact-editor/e-contact-quick-add.c (card_added_cb): Remove
	superfluous call to quick_add_unref.
	(editor_closed_cb): Remove superfluous call to quick_add_unref.

	* gui/component/select-names/e-select-names.c (esn_get_key_fn): We
	need to unref the card returned by e_addressbook_model_get_card.

2001-10-20  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component/addressbook-component.c: Make LDAP servers
	non-user-creatable.

2001-10-20  Jon Trowbridge  <trow@ximian.com>

	* printing/e-contact-print.c (e_contact_print_card): Check that the
	string we are checking for xml-ness is non-NULL.

	* backend/ebook/e-destination.c (e_destination_importv): Filter
	out empty destinations. (also Bug #13036)

	* printing/e-contact-print.c (e_contact_build_style): Use
	gnome_font_new_closest; if gnome_font_new fails and returns NULL,
	our spacing gets all messed up. (Bug #10785)
	
	* gui/widgets/e-addressbook-view.c (e_addressbook_view_can_print):
	Allow printing if there are any cards in our view.  The selection
	has nothing to do with it.

	* backend/ebook/e-destination.c (e_destination_is_empty): Check
	for strings that contain non-whitespace, rather than just looking
	for a non-zero first character. (Bug #13036)

2001-10-20  Christopher James Lahey  <clahey@ximian.com>

	* gui/widgets/e-minicard-view.c (e_minicard_view_selection_event):
	Handle focus_change in event by selecting that contact.  Fixes
	Ximian bug #3024.

	* gui/component/addressbook-component.c (owner_unset_cb):
	Repeatedly call gtk_main_quit here as long as there is a main loop
	around.  This is an ugly hack around Ximian bug #11760.

2001-10-20  Christopher James Lahey  <clahey@ximian.com>

	* gui/component/select-names/e-select-names.c: Added #include
	<gal/widgets/e-unicode.h>.

	* gui/widgets/e-minicard-control.c: Made this display the number
	of extra cards in the attachment as well as made it save them all
	to the local addressbook if the person selects the button.  Fixes
	Ximian bug #9507.

2001-10-20  Christopher James Lahey  <clahey@ximian.com>

	* gui/widgets/e-minicard.c (e_minicard_event): Changed this to not
	grab on a right click.  Fixes Ximian bug #12660.

2001-10-19  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component/addressbook-component.c
	(destination_folder_handle_motion): Get @folder_type here too [to
	match the changes in the EvolutionShellComponentDnd interface].
	Also, remove a debugging message.
	(destination_folder_handle_drop): Likewise.

2001-10-18  Jon Trowbridge  <trow@ximian.com>

	* gui/component/select-names/e-select-names.c (add_menu_item):
	Translate labels in select-names option menu. (Bug #9604)

	* gui/search/e-addressbook-search-dialog.c
	(e_addressbook_search_dialog_init): Made the default window size
	slightly wider. (Bug #7516)

2001-10-18  Christopher James Lahey  <clahey@ximian.com>

	* backend/ebook/e-card.c, backend/ebook/e-card.h
	(e_card_list_get_vcard): Made this take a const GList.

2001-10-18  Jon Trowbridge  <trow@ximian.com>

	* gui/component/select-names/e-select-names-completion.c
	(check_capabilities): Added.  Check if our book is local or
	networked.
	(e_select_names_completion_book_ready): Call check_capabilities.
	(e_select_names_completion_new): Call check_capabilities.
	(e_select_names_completion_do_query): If we have a networked book,
	keep trying if we haven't been able to cache any cards --- our
	earlier attempts could have failed due to too many matches. (Bug
	#12932)

	* gui/component/select-names/e-select-names-manager.c
	(focus_out_cb): Lag our cardification on focus-out.  This seems to
	help with the unintended cardifications that can result from the
	weird focus-out/focus-in events that get generated when the popup
	disappears.

	* backend/ebook/e-card-compare.c: Removed some debug spew.

2001-10-17  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook-config.c (addressbook_source_dialog):
	grab focus in the Account entry when preparing the dialog, fixes
	#10406.

2001-10-17  Chris Toshok  <toshok@ximian.com>

	* gui/component/select-names/e-select-names.c (new_folder): make
	sure to also add "ldap-contacts" folders to the option menu.

2001-10-17  JP Rosevear  <jpr@ximian.com>

	* conduit/address-conduit.c (ecard_from_remote_record): sync all
	the fields we can, with out overwriting
	(local_record_from_ecard): write the fields to the pilot in
	priority order unless there are fields on the pilot we can't
	store, then fill in the fields as they are on the pilot

2001-10-17  Christopher James Lahey  <clahey@ximian.com>

	* backend/ebook/e-card.c (e_card_get_vobject): Did a bit of clean
	up here.  Might fix some crashes, specifically Ximian bug #10164.

	* gui/widgets/e-addressbook-view.c (SPEC): Updated the model
	column numbers here.  Fixes Ximian bug #12308.

2001-10-17  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-backend-file.c (pas_backend_file_upgrade_db):
	add upgrade from 0.1 to 0.2, where we make sure id dbt's match
	vcard id's, fixes longstanding bug (#7406) where cards were not
	modifiable or removable after having been created during a 1-2
	week long window in early betas.
	(PAS_BACKEND_FILE_VERSION): change to 0.2
	(PAS_ID_PREFIX): #define this here.
	(pas_backend_file_create_unique_id): use PAS_ID_PREFIX instead of
	the string.

2001-10-16  Iain Holmes  <iain@ximian.com>

	* backend/ebook/evolution-ldif-importer.c (support_format_fn): Return
	FALSE if no extension.

2001-10-16  Jon Trowbridge  <trow@ximian.com>

	* backend/ebook/e-card.c (e_card_get_id): If card->id is NULL,
	return an empty string.
	(e_card_set_id): Don't allow the card id to be set to NULL; use
	the empty string instead.
	(e_card_get_vobject): When building our vcard, pass in the empty
	string as the id if card->id is NULL. (Bug #10164)

2001-10-16  JP Rosevear  <jpr@ximian.com>

	* conduit/address-conduit.c (local_record_from_ecard): don't set
	the phone info if it is blank
	(ecard_from_remote_record): save up to 3 fax numbers

2001-10-15  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-backend-ldap.c (pas_backend_ldap_add_client):
	unref the book after we pass it off to evolution-addressbook.

2001-10-15  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-backend-ldap.c (create_card_dtor): unref
	op->view.
	(pas_backend_ldap_process_create_card): ref op->view.
	(remove_card_dtor): unref op->view.
	(pas_backend_ldap_process_remove_card): ref op->view.
	(modify_card_dtor): unref op->view.
	(pas_backend_ldap_process_modify_card): ref op->view.
	(ldap_search_dtor): unref op->view.
	(pas_backend_ldap_search): ref op->view.

2001-10-15  Chris Toshok  <toshok@ximian.com>
	
	* backend/pas/pas-backend-ldap.c
	(pas_backend_ldap_process_get_book_view): make sure to unref the
	book_view here so we don't leak them.

2001-10-12  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook-factory.c (main): call
	e_passwords_init and e_passwords_shutdown.

2001-10-15  Christopher James Lahey  <clahey@ximian.com>

	* backend/ebook/e-card.c (addPropValueQP, addPropValueSets,
	e_card_get_vobject): Properly decide whether a property needs to
	be marked as QP by searching for '\n'.  Fixes Ximian bug #3021.

2001-10-15  Christopher James Lahey  <clahey@ximian.com>

	* gui/contact-editor/e-contact-save-as.c (e_contact_save_as,
	e_contact_list_save_as): Set the default file name here.  Fixes
	Ximian bug #7053.

2001-10-14  Jon Trowbridge  <trow@ximian.com>

	* gui/component/select-names/e-select-names.c
	(e_select_names_hookup_shell_listeners): Added linebreaks to our
	"this shouldn't happen" dialog message. (Bug #12498)

2001-10-12  Jon Trowbridge  <trow@ximian.com>

	* gui/component/addressbook-factory.c (main): Add a component name
	to the e_passwords_init() call.

2001-10-12  Chris Toshok  <toshok@ximian.com>

	* backend/ebook/evolution-ldif-importer.c: commit the importer
	originally from Michael M. Morrison, with fixups by toshok.

	* backend/ebook/Makefile.am (bin_PROGRAMS): add
	evolution-ldif-importer.
	(oaf_in_files): add
	GNOME_Evolution_Addressbook_LDIF_Importer.oaf.in.

	* backend/ebook/e-card-simple.h: add WANTS_HTML and IS_LIST.

	* backend/ebook/e-card-simple.c (field_data): add WANTS_HTML and
	IS_LIST.
	(e_card_simple_set): fix typo.

	* backend/ebook/.cvsignore: ignore
	GNOME_Evolution_Addressbook_LDIF_Importer.oaf and
	evolution-ldif-importer.

	* backend/ebook/GNOME_Evolution_Addressbook_LDIF_Importer.oaf.in:
	ldif importer oafinfo.

2001-10-12  Christopher James Lahey  <clahey@ximian.com>

	* backend/ebook/e-card-simple.c, backend/ebook/e-card-simple.h:
	Added a boolean type here.

2001-10-12  Jon Trowbridge  <trow@ximian.com>

	* gui/component/select-names/e-select-names.c
	(addressbook_model_set_uri): Check to see if the uri we are
	setting is the same as the current uri.  If so, do nothing.
	(Bug #11324)

2001-10-11  Jon Trowbridge  <trow@ximian.com>

	* backend/ebook/e-destination.c
	(e_destination_reverting_is_a_good_idea): Added.  Heuristic for
	whether or not we want to revert to an earlier cardified state.
	(e_destination_cardify): Don't be quite as aggressive about
	reverting to previous cardified states. (Bug #11890)

2001-10-11  Christopher James Lahey  <clahey@ximian.com>

	* backend/ebook/e-card-simple.c (e_card_simple_destroy,
	fill_in_info, e_card_simple_sync_card, e_card_simple_set_phone,
	e_card_simple_set_address, e_card_simple_set_delivery_address,
	file_as_get_style, file_as_set_style, e_card_simple_set,
	e_card_simple_set_arbitrary),
	gui/contact-editor/e-contact-editor-address.c
	(e_contact_editor_address_destroy,
	e_contact_editor_address_set_arg,
	e_contact_editor_address_get_arg),
	gui/contact-editor/e-contact-editor-fullname.c
	(e_contact_editor_fullname_destroy,
	e_contact_editor_fullname_set_arg,
	e_contact_editor_fullname_get_arg),
	gui/contact-editor/e-contact-editor.c (phone_entry_changed,
	address_text_changed, name_entry_changed, full_name_clicked,
	full_addr_clicked, fill_in_info): Changed these to use the new ref
	and unref functions for ECard auxillary types.

	* backend/ebook/e-card-simple.h: Added a comment.

	* backend/ebook/e-card-types.h: Added ref_count field to all the
	types.

	* backend/ebook/e-card.c, backend/ebook/e-card.h: Added ref and
	unref functions here for all the ECard auxillary types.  Removed
	the corresponding free functions.  Switched to using these
	functions where appropriate.

	* gui/component/addressbook-factory.c: #include
	<e-util/e-passwords.h>

	* gui/component/addressbook.c (load_uri_cb): const correctify.

	* gui/component/select-names/e-select-names-manager.c,
	gui/component/select-names/e-select-names.c: #include
	<addressbook/gui/component/addressbook.h>

	* gui/widgets/e-addressbook-model.c (modify_card): Removed an
	unnecessary ref here.

2001-10-11  Dan Winship  <danw@ximian.com>

	* gui/component/select-names/e-select-names.c (update_folder):
	Don't need this any more.

2001-10-11  Jon Trowbridge  <trow@ximian.com>

	* gui/component/addressbook.c (new_contact_cb): Check that
	view->view != NULL.
	(save_contact_cb): Check that view->view != NULL.
	(search_cb): Check that view->view != NULL.
	(delete_contact_cb): Check that view->view != NULL.
	(print_cb): Check that view->view != NULL.
	(print_preview_cb): Check that view->view != NULL.
	(stop_loading_cb): Check that view->view != NULL.
	(cut_contacts_cb): Check that view->view != NULL.
	(copy_contacts_cb): Check that view->view != NULL.
	(paste_contacts_cb): Check that view->view != NULL.
	(select_all_contacts_cb): Check that view->view != NULL.
	(send_contact_cb): Check that view->view != NULL.
	(send_contact_to_cb): Check that view->view != NULL.
	(update_command_state): Check that view->view != NULL.  Hold a
	reference to the AddressbookView for the duration of the function,
	in case we exit during bonobo-reentrancy.
	(addressbook_view_ref): Added.
	(addressbook_view_unref): Added.  Simple ref counting for
	AddressbookView objects.
	(addressbook_view_clear): Zero out an AddressbookView.  This is
	now separated from the deallocation of the AddressbookView object,
	so that we don't leave a dangling pointer if we exit during
	bonobo-reentrancy in update_command_state. (Which often seems to
	happen if we exit while addressbook operations are going on.)
	(destroy_callback): Replace previous call to addressbook_view_free
	with addressbook_view_clear/addressbook_view_unref calls.
	(addressbook_factory_new_control): Initialize the reference count
	in the AddressbookView object.

	* gui/widgets/e-addressbook-view.c (e_addressbook_view_destroy):
	Carefully zero out our destroyed object.
	(command_state_change): Hold a reference to ourselves during the
	signal emission.
	(get_selected_cards): Ref cards as we add them to the list.
	(e_addressbook_view_stop): Check for view != NULL.
	(e_addressbook_view_can_create): Check for view != NULL.
	(e_addressbook_view_can_print): Check for view != NULL.
	(e_addressbook_view_can_save_as): Check for view != NULL.
	(e_addressbook_view_can_send): Check for view != NULL.
	(e_addressbook_view_can_send_to): Check for view != NULL.
	(e_addressbook_view_can_delete): Check for view != NULL.
	(e_addressbook_view_can_cut): Check for view != NULL.
	(e_addressbook_view_can_copy): Check for view != NULL.
	(e_addressbook_view_can_paste): Check for view != NULL.
	(e_addressbook_view_can_select_all): Check for view != NULL.
	(e_addressbook_view_can_stop): Check for view != NULL.

	* gui/widgets/e-addressbook-model.c (addressbook_destroy): Be
	careful about zeroing out our destroyed object.
	
	* backend/ebook/e-book-view.c (e_book_view_stop): Added.  Stops
	event processing in the underlying listener.

2001-10-10  Jon Trowbridge  <trow@ximian.com>

	* gui/component/select-names/e-select-names-manager.c
	(e_select_names_manager_destroy): If our select names dialog is
	still around, destroy it.  Otherwise, the dialog will hang around
	after our composer goes away.

2001-10-06  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook-config.glade: add an Email Address
	field/label/help text.

	* gui/component/addressbook-config.c
	(addressbook_source_dialog_set_source): fill in the email entry
	from the source.  also, set the initial state of the email
	label/entry.
	(auth_checkbutton_changed): set the email label/entry
	sensitive/editable if auth is turned on, and
	insensitive/uneditable if it's off.
	(addressbook_source_dialog_get_source): get the email address from
	the email entry.
	(addressbook_source_dialog): hook up the email entry to the
	changed signal foo, as well as the focus handler for displaying
	help text.

2001-10-06  Jon Trowbridge  <trow@ximian.com>

	* gui/component/select-names/e-select-names-manager.c
	(e_select_names_manager_new): db isn't a BonoboObject, so don't
	bonobo_object_unref it!

2001-10-05  Chris Toshok  <toshok@ximian.com>

	* gui/component/select-names/e-select-names.c
	(addressbook_model_set_uri): e_book_load_uri ->
	addressbook_load_uri.

	* gui/component/select-names/e-select-names-manager.c
	(e_select_names_manager_new): e_book_load_uri ->
	addressbook_load_uri.

	* gui/component/addressbook.c (forget_passwords_cb): new function,
	call e_passwords_forget_passwords.
	(verbs): Add ContactsForgetPasswords.
	(load_uri_auth_cb): new function, call the callback and free up
	our closure stuff.
	(load_uri_cb): once the uri is loaded, check if we're configured
	to authenticate for it, and do so, using the e_passwords stuff.
	(addressbook_load_uri): wrapper around e_book_load_uri.  save off
	the parameters and start the load-with-auth machinery.
	(book_open_cb): remove all the auth stuff from here, as it's
	handled elsewhere now.

	* gui/component/addressbook-factory.c (main): call
	e_passwords_init.

	* gui/component/addressbook-component.c (user_create_new_item_cb):
	e_book_load_uri -> addressbook_load_uri.
	(destination_folder_handle_drop): same.

	* gui/component/addressbook.h: add prototype for
	addressbook_load_uri (a wrapper around e_book_load_uri that also
	handles authentication if the user selects it.)

2001-10-05  Jon Trowbridge  <trow@ximian.com>

	* gui/component/select-names/e-select-names.c
	(real_add_address_cb): Check to make sure our call to
	e_addressbook_model_get_card doesn't return NULL.

	* gui/widgets/e-addressbook-model.c
	(e_addressbook_model_get_card): Chek that we aren't requesting a
	negative row.

	* gui/contact-list-editor/e-contact-list-editor.c (add_email_cb):
	Move to the bottom of the scrolled window, so we can see the
	address we just added.
	(table_drag_data_received_cb): Move to the bottom of the scrolled
	window, so we can see the contact we just dropped.

	* gui/component/addressbook.c (addressbook_factory_new_control):
	We don't own the string returned by e_categories_master_list_nth,
	so terrible things will happen if we free it. (Bug 10916)

2001-10-05  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/e-addressbook-view.c (e_addressbook_view_set_arg):
	don't set the editable field on the model - let the book do that.
	(book_writable_cb): call writable_status to propagate a ui-change
	event up (and sensitize the write-only toolbar buttons after you
	authenticate with ldap.)

2001-10-04  Chris Toshok  <toshok@ximian.com>

	* backend/ebook/e-book.c (activate_factories_for_uri): for some
	reason, matching on protocol is causing problems for me.
	disabling it for now.

2001-10-04  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook-component.c: use ldap.png for ldap
	contacts.

2001-10-03  Iain Holmes  <iain@ximian.com>

	* addressbook/gui/component/addressbook-storage.c 
	(addressbook_storage_setup): Only load_storages if you have LDAP.
	(load_source_data): Only do stuff if you have LDAP.

2001-10-03  Christopher James Lahey  <clahey@ximian.com>

	* gui/widgets/e-addressbook-reflow-adapter.c (addressbook_height),
	gui/widgets/e-minicard.c (remodel): Fixed these to determine the
	fields to use properly.

2001-10-02  Jon Trowbridge  <trow@ximian.com>

	* gui/component/select-names/e-select-names-completion.c
	(name_style_query): Strip out commas before forming our query.
	(match_name): Use e_card_compare_name_to_string_full, rather
	than our crufty old matching code.  Not only is this cleaner,
	but that crufty old code was very broken when it came to 
	handling strings with whitespace. (Bug 8988)
	(match_nickname): utf8 and bug fixes.

	* backend/ebook/e-card-compare.c
	(e_card_compare_name_to_string_full): Added.  This is basically
	e_card_compare_name_to_string with a bunch of extra options, so
	that it can more readily be reused in other contexts.
	(e_card_compare_name_to_string): This is now just a call to
	e_card_compare_name_to_string_full with the extra args filled in
	to defaults that simulate the old behavior.

2001-10-02  Chris Toshok  <toshok@ximian.com>

        * backend/ebook/e-book.c (e_book_construct): remove most of the
	oaf stuff from here.  we do it in load_uri, where we'll have more
	information (namely, the protocol we're using.)
	(activate_factories_for_uri): do an oaf query to get a list of all
	objects implementing our BookFactory interface and also supporting
	the protocol used in the uri.
        (e_book_load_uri): try activating book factories to handle this
	uri, and start the iteration over the list.
        (e_book_load_uri_from_factory): try and load the uri.
        (e_book_load_uri_open_cb): callback function for the
	BookFactory_openBook call - if it succeeds, call the user's
	callback.  otherwise step to the next factory.
        (e_book_load_uri_step): go to the next factory in our list, and
	error out if there are no more.
	
2001-10-02  Christopher James Lahey  <clahey@ximian.com>

	* gui/component/select-names/e-select-names-model.c
	(e_select_names_model_get_textification): Made the max length of
	the textification be 2047 characters.  Fixes Ximian bug #3021.

2001-10-01  JP Rosevear  <jpr@ximian.com>

	* conduit/address-conduit.c (ecard_from_remote_record): if there
	was no first name or last name, file as the company.

2001-10-01  JP Rosevear  <jpr@ximian.com>
	
	* backend/pas/pas-backend-file.c
	(pas_backend_file_changes_foreach_key): if there is a db error,
	assume deletion
	(pas_backend_file_changes): write after all is done for efficiency

2001-09-28  JP Rosevear  <jpr@ximian.com>

	* backend/pas/pas-backend-file.c
	(pas_backend_file_changes_foreach_key): g_strdup
	(pas_backend_file_changes): ditto, make sure to free all data and
	do a hash write after each add/remove

	* conduit/address-conduit.c (local_record_to_pilot_record): use
	the local record category
	(local_record_from_ecard): ndle the fields and category we don't
	sync by making sure we don't overwrite them

2001-09-27  Chris Toshok  <toshok@ximian.com>

	* backend/ebook/e-book.c (e_book_construct): do an oaf query to
	get a list of all objects implementing our BookFactory interface,
	instead of just activating the one IID.  this should really be a
	global list, not a per EBook.
	(e_book_load_uri): start the iteration over our list of
	BookFactory's.
	(e_book_load_uri_from_factory): try and load the uri.
	(e_book_load_uri_open_cb): callback function for the
	BookFactory_openBook call - if it succeeds, call the user's
	callback.  otherwise step to the next factory.
	(e_book_load_uri_step): go to the next factory in our list, and
	error out if there are no more.

2001-09-27  JP Rosevear  <jpr@ximian.com>

	* conduit/address-conduit.c (local_record_from_ecard): use the old
	record (if there was one) so as not to overwrite fields we don't
	sync
	(pre_sync): store the dbi in the context and don't make it object
	data

2001-09-26  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-book-factory.c (pas_book_factory_destroy): use
	priv->iid instead of the hardcoded string here.
	(pas_book_factory_activate): parameterize the factory's iid, as in
	the calendar server, and provide a default if iid == NULL.

	* backend/pas/pas-book-factory.h: add iid parameter for
	pas_book_factory_activate.

2001-09-26  Jon Trowbridge  <trow@ximian.com>

	* backend/ebook/e-destination.c (e_destination_get_textrep): Use
	camel_address_format, not camel_address_encode.

2001-09-26  Anna Marie Dirks  <anna@ximian.com>

	* gui/contact-editor/contact-editor.glade: Added help text (thanks 
	to Aaron) and re-worded the labels, and fixed the shortcuts on the 
	brand-spanking-new Collaboration tab.
	

2001-09-26  Chris Toshok  <toshok@ximian.com>

	* gui/component/select-names/e-select-names-manager.h: add
	completion_book.

	* gui/component/select-names/e-select-names-manager.c
	(e_select_names_manager_new): get /Addressbook/Completion/uri, and
	if it's present, use the corresponding EBook for completing
	addresses.
	(focus_out_cb): use manager->completion_book here instead of NULL,
	which corresponds to the local addressbook.
	(completion_popup_cb): same.
	(e_select_names_manager_create_entry): same.

2001-09-26  Jon Trowbridge  <trow@ximian.com>

	* backend/ebook/e-card-compare.c (e_card_compare_name_to_string):
	Properly handle names when the individual elements (given,
	addition, family) contain whitespace.  (Bug #10502)

	* backend/ebook/e-destination.c (e_destination_set_name): Reset
	textrep when we change the name.
	(e_destination_set_email): Reset textrep when we change the email.
	(e_destination_get_textrep): Make sure that the textrep version of
	the address is properly quoted if it contains unsafe characters.
	(All related to bug #10796)

	* gui/component/select-names/e-select-names-completion.c
	(match_nickname): Fix nickname matching. (bug #9698)
	(make_match): Use e_completion_match_new when building our match,
	rather than ad hoc manipulation of the struct.

2001-09-26  JP Rosevear  <jpr@ximian.com>

	* backend/pas/pas-backend-file.c (pas_backend_file_changes): set
	the last_use and use_score fields of the card to known values so
	the card doesn't register as changed when only they have changed

2001-09-26  Peter Williams  <peterw@ximian.com>
 
 	* conduit/address-conduit.c (ecard_from_remote_record): Fix this function
 	to set email addresses properly, and handle multiple occurrences of
 	email addresses, home phone numbers, and business phone numbers.
	
2001-09-25  Christopher James Lahey  <clahey@ximian.com>

	* gui/component/addressbook-component.c (user_create_new_item_cb):
	Handle creating the new contact in the current folder if it's a
	contacts folder.  Fixes Ximian bug #7814.

2001-09-24  Chris Toshok  <toshok@ximian.com>

	* backend/pas/Makefile.am (LDAP_SCHEMA): add
	evolutionperson.schema
	(EXTRA_DIST): add LDAP_SCHEMA to the dist (but don't install it).

2001-09-23  JP Rosevear  <jpr@ximian.com>

	* conduit/address-conduit.c (ecard_from_remote_record): sync the
	note the to pilot and make sure to blank fields when appropriate
	(local_record_from_ecard): sync the note to the desktop

2001-09-22  Chris Toshok  <toshok@ximian.com>

	* backend/pas/pas-backend-file.c (do_create): g_free (id) in the
	error case to plug a memory leak.

2001-09-22  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/e-minicard.c (remodel): when creating the cards,
	don't display any of the subname fields (surname, given, middle,
	suffix, etc.)

2001-09-22  Chris Toshok  <toshok@ximian.com>

	* backend/ebook/e-card-simple.c
	(e_card_simple_get): add getters for the additional name fields.
	(field_data): move FAMILY_NAME to the end of the list, and add
	GIVEN_NAME, ADDITIONAL_NAME (middle name), and NAME_SUFFIX.
	
	* backend/ebook/e-card-simple.h: same.

2001-09-21  Christopher James Lahey  <clahey@ximian.com>

	* gui/component/addressbook.c (print_preview_cb): Hooked up print
	preview button.

	* gui/widgets/e-addressbook-view.c,
	gui/widgets/e-addressbook-view.h
	(e_addressbook_view_print_preview): Added this function.

	* printing/e-contact-print.c, printing/e-contact-print.h
	(e_contact_print_preview): Added this function.

2001-09-19  Jon Trowbridge  <trow@ximian.com>

	* backend/ebook/e-destination.c (name_and_email_simple_query_cb):
	Use the default e-mail address if we have nothing else to go on.
	Previously we just failed, which basically meant that name-only
	searches would never work properly.
	(nickname_simple_query_cb): The logic was a bit tangled here; if
	our query status isn't SUCCESS, always give up but don't leak the
	destination.  And if our nickname query fails and we try the
